<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			estateagent.html.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
************************************************************************** */

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class HTML_estateagent {
		
	function showCatOverview($act,$task,$cats,$scats,$entries,$sentries,$hot,$params){
				   	           
		EAHeader($act,$task,'');
		
		if($params['fpstyle'] == 0){
			?>
			<br />		
        	<table width="100%" border="0" cellspacing="1" cellpadding="4">
        	<tr>
        		<td width="40%" class="sectiontableentry2"><b><?php echo _EA_CAT_TITLE;?></b></td>
        		<td width="60%" class="sectiontableentry2"><b><?php echo _EA_CAT_DESCRIPT;?></b></td>
        	</tr>
			</table>
			
			<br />
			
			<table width="100%" border="0" cellspacing="1" cellpadding="4">
			<?php
			$x=0;
			foreach($cats as $cat) { // show maincategories      		
       			?>
       			<tr class="sectiontableentry1">
          			<td valign="top" width="40%">
          				<img src="images/M_images/arrow.png" alt="" border="0">&nbsp;
          				<?php
          				if($entries[$x] > 0){
          					echo "<a href='".sefRelToAbs("index.php?option=com_estateagent&act=cat&task=showCE&id=".$cat->id)."'>" . $cat->name ."</a>";
          				}
          				else echo $cat->name;
          				if($params['entries']==1) echo " (" . $entries[$x] . ")";          			
          				?>
          			</td>
          			<td width="60%"><?php echo $cat->description; ?></td>
          		</tr>
				<?php          	
          		// show subcategories if available and parameter is set to 'show' 
          		if($scats != 0 && $params['subcats'] == 1) {          		
          			$y=0;          		
          			foreach($scats[$x] as $scat) {       		
       					if($scat->id){
       					?>
       					<tr class="sectiontableentry1">
          					<td valign="top">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<sup>L</sup>&nbsp;
          					<?php
          					if($sentries[$x][$y] > 0){ 
          						echo "<a href='".sefRelToAbs("index.php?option=com_estateagent&act=cat&task=showCE&id=".$scat->id."&sc=y")."'>" . $scat->name ."</a>";
          					}
          					else{
          						echo $scat->name;
          					}
          					if($params['entries']==1) {
          						echo " (" . $sentries[$x][$y] . ")";
          					}
          					?>
          					</td>
          					<td valign="top"><?php echo $scat->description; ?></td>
          				</tr>	
          				<?php
       					}
       				$y++;       			          		
          			}          		
          		}          	
          		$x++;
        	}
        	?>
		    </table>
		<?php
		}
		else{
			?>
			<table width="100%" border="0" cellspacing="5" cellpadding="10">
			<?php
			$x=0;
			foreach($cats as $cat) { // show maincategories      		
       			if($x%2==0) echo "<tr class='sectiontableentry1'>";
				?>
				<td valign="top" width="50%">
          				<?php
          				if($entries[$x] > 0){
          					echo "<a href='".sefRelToAbs("index.php?option=com_estateagent&act=cat&task=showCE&id=".$cat->id)."'>" . $cat->name ."</a>";
          				}
          				else echo $cat->name;
          				if($params['entries']==1) echo " (" . $entries[$x] . ")";          			
          				?>
          			<hr noshade size="1" align="left">
					<br />
          			<?php echo $cat->description;?>
					<br /><br />
					<?php
					if($scats != 0 && $params['subcats'] == 1){          		
          				if(count($scats[$x]) > 0) echo "<div class=\"small\">"._EA_CAT_SUBS . "<br />";
						$y=0;          		
          				foreach($scats[$x] as $scat) {       		
       						if($scat->id){
       							if($sentries[$x][$y] > 0){ 
          							echo "<a href='".sefRelToAbs("index.php?option=com_estateagent&act=cat&task=showCE&id=".$scat->id."&sc=y")."'>" . $scat->name ."</a>";
          						}
          						else echo $scat->name;
          						if($params['entries']==1) echo " (" . $sentries[$x][$y] . ")";          					
							}
       						$y++;
					    	if($y < count($scats[$x])) echo ", ";	   			          		
          				}
						echo "</div>";          		
          			}          	
          			$x++;				
				echo "</td>";
          		if(count($cats) == $x && $x%2 != 0) echo "<td width=\"50%\">&nbsp;</td>";
				if($x%2==0) echo "</tr>";			
			}
			echo "</table>";
		}
		
		if(count($hot) > 0) {
			HTML_estateagent::showCatHotObjects($hot,$params);
		}		
	}
	
	function showCatEntries($act,$task,$id,$scats,$sce,$hot,$regular,$todate,$pageNav,$lists,$params){
		global $mosConfig_absolute_path, $mosConfig_live_site; 
						
		EAHeader($act,$task,$pageNav);
		
		?>
		<form action="index.php" id="categoryForm" name="categoryForm" method="post">
		<div align="right">
			<?php echo $lists['ordering'];?> 
			<?php echo $lists['direction'];?>
			<?php echo $pageNav->writeLimitBox("index.php?option=com_estateagent&act=cat&task=showCE&id=".$params['catid']."&sc=".$params['sc']."&ordering=".$params['ordering']."&direction=".$params['direction']); ?>
		</div>
		<input type="hidden" name="option" value="com_estateagent" />
		<input type="hidden" name="act" value="cat" />
		<input type="hidden" name="task" value="showCE" />
		<input type="hidden" name="id" value="<?php echo $params['catid'];?>" />
		<input type="hidden" name="sc" value="<?php echo $params['sc'];?>" />
		<input type="hidden" name="limit" value="<?php echo $pageNav->limit;?>" />
		<input type="hidden" name="limitstart" value="<?php echo $pageNav->limitstart;?>" />				
		<?php
		
		// show subcategories
		if(count($scats) > 0) {			
			?>
			<table width="100%" border="0" cellspacing="1" cellpadding="1">
        	<tr>
        		<td colspan="2">
        			<b><?php echo _EA_CAT_SUBS;?></b>
        			<br />
        		</td>
        	</tr>
			<?php
			$y=0;
			foreach($scats as $scat) {				
				?>
				<tr>
					<td colspan="2">
						<img src="images/M_images/arrow.png" alt="" border="0">&nbsp;			
						<?php
						if($sce[$y] > 0) {
							echo "<a href='".sefRelToAbs("index.php?option=com_estateagent&act=cat&task=showCE&id=".$scat->id."&sc=y")."'>" . $scat->name . "</a>";										
						}
						else{
							echo $scat->name;									
						 	if($params['entries'] == 1) echo " (" . $sce[$y] . ")";
						}
						?>
					</td>
				</tr>
				<?php
				$y++;
			}
			?>			
			</table>
			<br />
		<?php
		}		
		
		// show objects		
		if($params['showhot']==1) {
			if($params['hotpos'] == 0){
				HTML_estateagent::showCatHotObjects($hot,$params);
				HTML_estateagent::showCatObjects($regular,$params);	
			}
			else{			
				HTML_estateagent::showCatObjects($regular,$params);
				HTML_estateagent::showCatHotObjects($hot,$params);
			}			
		}
		else{
			HTML_estateagent::showCatObjects($regular,$params);
		}		
		?>
		</form>
		<?php
		if($pageNav->total > $pageNav->limit) {
		?>
			<div align="center">
				<?php
				echo $pageNav->writePagesLinks("index.php?option=com_estateagent&act=cat&task=showCE&id=".$params['catid']."&sc=".$params['sc']."&ordering=".$params['ordering']."&direction=".$params['direction']);
				?>
				<br />
				<?php
				echo $pageNav->writePagesCounter();
				?>
			</div>
		<?php
		}
	}
	
	function showCatObjects($object,$params){
		global $mosConfig_absolute_path,$mosConfig_live_site; 
				
		// show regular objects
		if(count($object) > 0){			
			?>
			<br />
			<table width="100%" border="0" cellspacing="1" cellpadding="1">
        	<tr>
        		<td colspan="2" class="contentheading"><?php echo _EA_NORM_OFFERS;?><br /></td>
        	</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<?php			
			$line=1;
			foreach($object as $obj) {						
				$pic 	= EAImage::loadFirstPic($obj->id,$params['picpath'],$params['tbwidth']);
				$hotpic = "<img align='middle' src='".$mosConfig_live_site."/components/com_estateagent/pictures/gui/hot.jpg' border='0' alt='hot' />";
				?>
				<tr>
					<td valign="top" rowspan="3" width="<?php echo $params['tbwidth'];?>">            
            			<?php
            			if($params['readmore']) {
            				echo "<a href='" . sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$obj->id)."'>";
            			}
            			echo $pic;
            			if($params['readmore']) {
            				echo "</a>";
            			}
            			?>     
            		</td>
            		<td class="sectiontableentry2" width="95%" height="15px" valign="top">
            			<img src="images/M_images/arrow.png" alt="" border="0" />&nbsp;
            			<?php
            			if($params['readmore']) {
            			?>
            				<a href="<?php echo sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$obj->id);?>">
            			<?php
            			}
            			?>
            			<b><?php echo $obj->title;?></b>&nbsp;&nbsp;
            			<?php
            			if($obj->hot) echo $hotpic;
            			if($params['readmore']) {
            			?>
            				</a>
            			<?php
            			}
            			?>
            		</td>
            	</tr>
            	<?php
            	if($obj->description != "" && $obj->description != "<br>" && $obj->description != "</p>"){
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">
            				<?php echo substr($obj->description,0,$params['shorttext']);?>...
            				<?php
            				if($params['readmore']) {
            					echo "<a href='".sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$obj->id)."'>";
            					echo _EA_OBJ_MINFO;
            					echo "</a>";
            				}
            				else{
            					echo "<a href='".sefRelToAbs('index.php?option=com_registration&task=register')."'>";            					
            					echo _EA_OBJ_REGISTER_FOR_MINFO;
            					echo "</a>";            					
            				}
            				?>
            			</td>
            		</tr>
            		<?php
            	}
            	else{
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">&nbsp;</td>
            		</tr>
            	<?php
            	}
            	?>
            		<tr>
            			<td height="14px" class="smalldark" style="text-align:right">
            			<?php
						if($obj->type == 1 || $obj->type == 3) {
							if($obj->rent != 0.00) $value = number_format($obj->rent,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
            			}
						else{
							if($obj->price != 0.00) $value = number_format($obj->price,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
						}	
            			echo EAObject::parseCategoryShortInfo($params['shortinfo'],$value,EAObject::countryISOtoName($obj->country),$obj->state,$obj->town,$obj->district);
            			?>
            			</td>
            		</tr>
            	<?php
            	$line++;
        	}
        	?>	
			</table>
			<?php
		}
	}
	
	function showCatHotObjects($hot,$params){
		global $mosConfig_absolute_path, $mosConfig_live_site; 
				
		// show hot objects
		if(count($hot) > 0){			
			?>
			<br />
			<table style="border-style:solid; border-width:1px; border-color:<?php echo $params['hotcolor'];?>; border-collapse:collapse; width:100%" cellspacing="1" cellpadding="1">
        	<tr>
        		<th colspan="2" class="contentheading" style="background-color:<?php echo $params['hotcolor'];?>"><?php echo _EA_HOT_OFFERS;?><br /></th>
        	</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<?php			
			$line=1;
			foreach($hot as $h) {			
				$pic = EAImage::loadFirstPic($h->id, $params['picpath'], $params['tbwidth']);
				?>
				<tr>
					<td valign="top" rowspan="3" width="<?php echo $params['tbwidth'];?>">            
            			<?php
            			if($params['readmore']) {
            				echo "<a href='".sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$h->id)."'>";
            			}
            			echo $pic;
            			
            			if($params['readmore']) {
            				echo "</a>";
            			}
            			?>     
            		</td>
            		<td class="sectiontableentry2" width="95%" height="15px" valign="top">
            			<img src="images/M_images/arrow.png" alt="" border="0">&nbsp;
            			<?php
            			if($params['readmore']) {
            				echo "<a href='".sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$h->id)."'>";
            			}
            			?>
            			<b><?php echo $h->title;?></b>
            			<?php
            			if($params['readmore']) {
            				echo "</a>";
            			}
            			?>
            		</td>
            	</tr>
            	<?php
            	if($h->description != "" && $h->description != "<br />" && $h->description != "</p>"){
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">
            				<?php echo substr($h->description,0,$params['shorttext']);?>...
            				<?php
            				if($params['readmore']) {
            					echo "<a href='".sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$h->id)."'>";
            					echo _EA_OBJ_MINFO;
            					echo "</a>";
            				}
            				else{
            					echo "<a href='".sefRelToAbs('index.php?option=com_registration&task=register')."'>";            					
            					echo _EA_OBJ_REGISTER_FOR_MINFO;
            					echo "</a>";            					
            				}
            				?>
            			</td>
            		</tr>
            		<?php
            	}
            	else{
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">&nbsp;</td>
            		</tr>
            		<?php
            	}
            	?>
            		<tr>
            			<td height="14px" class="smalldark" style="text-align:right">
            			<?php
						if($h->type == 1 || $h->type == 3) {
							if($h->rent != 0.00) $value = number_format($h->rent,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
            			}
						else{
							if($h->price != 0.00) $value = number_format($h->price,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
            			}
						echo EAObject::parseCategoryShortInfo($params['shortinfo'],$value,EAObject::countryISOtoName($h->country),$h->state,$h->town,$h->district);
            	    	?>
                		</td>
                	</tr>
                	<?php
            	$line++;
        	}
        	?>
        	<tr>
        		<td colspan="2">&nbsp;<br /></td>
        	</tr>
        	</table>
        	<br />
        	<?php	
		}
	}
	
	function showObject($act,$task,$obj,$mortgagecalc,$cnt,$map24,$gmap,$pageNav,$params){
		global $mainframe,$mosConfig_site_name,$mosConfig_absolute_path,$mosConfig_live_site,$my,$database;
		
		require_once($mosConfig_absolute_path."/components/com_estateagent/gui/templates/template.class.php");
    	
    	$mainframe->setPageTitle( $mosConfig_site_name . " :: " . $obj->title );
 		$mainframe->appendMetaTag( "description", $obj->metadesc );
    	$mainframe->appendMetaTag( "keywords", $obj->metakey );
    			    	
    	// prepare header for gmap
    	if($params['gmap']){
    		$mainframe->addCustomHeadTag($gmap->getHeaderJS());
			$mainframe->addCustomHeadTag($gmap->getMapJS());
    	}
    	    	    			
		mosCommonHTML::loadOverlib();
		
		EAHeader($act,$task,$pageNav);  
				
		// initialise template
		$tmpl = new METemplate();		
		$tmpl->setCurrent($params['tmpl']);
		$tmpl->initGallery($params['gallery']['glmode']);
		$tmpl->assign('id',$obj->id);
		$tmpl->assign('obj_id',$obj->obj_id);
		$tmpl->assign('created_by',$obj->created_by);
		$tmpl->assign('title',$obj->title);
		$tmpl->assign('description',$obj->description);
		$tmpl->assign('surrounding',$obj->location);
		$tmpl->assign('condition',$obj->condition);
		$tmpl->assign('other',$obj->other);		
		$tmpl->prepareAttributesHTML('attributes',$obj->filterAttributes());
		$tmpl->prepareFinancialHTML('financial',$obj->filterFinancialData(),$params['sep1'],$params['sep2']);
		$tmpl->assign('mortgagecalc',$mortgagecalc);
		$tmpl->prepareLocationHTML('location',$obj->filterLocationData(),$params['fulllocation']);
		$tmpl->prepareContactHTML('contact',$cnt);
		$tmpl->prepareGalleryHTML('gallery',$obj->loadPictures($obj->id,1),$obj->loadFiles(null,1),$params['gallery']);
		if($params['map24']) $tmpl->assign('map24',$map24);
		if($params['gmap'] && $tmpl->googlemaps){
			$tmpl->assign('gmap',$gmap->getMap());
			$tmpl->assign('gmapOnLoad',$gmap->getOnLoad());		
		}
		$tmpl->load();
			
    }
	
	function prepareDescriptionHTMLOutput(){
		
		
		
	}
	       
	
	function showMtFForm($oid, $title, $tmpl ){
    	global $mosConfig_sitename, $mainframe;
          
        $mainframe->setPageTitle( $mosConfig_sitename .' :: '. $title );
        $mainframe->addCustomHeadTag( '<link rel="stylesheet" href="templates/'. $tmpl .'/css/template_css.css" type="text/css" />' );
        ?>
        <script language="javascript" type="text/javascript">
			function submitbutton() {
            	var form = document.mtfForm;
              	if (form.email.value == "" || form.senderemail.value == "") {
                	alert( '<?php echo addslashes( _EMAIL_ERR_NOINFO ); ?>' );
                  	return false;
              	}
		        return true;
         	}
		</script>
  		<style type="text/css">
			legend {
				font-size: 12px;
				font-weight: bold;
				font-family: arial, helvetica, sans-serif;	
			}
		</style>
		
		<div style="margin-top:10px; margin-left:20px; margin-right:20px">
        
        <form action="index2.php" name="mtfForm" method="post" onSubmit="return submitbutton();">
        <input type="hidden" name="option" value="com_estateagent" />
        <input type="hidden" name="act" value="object" />
		<input type="hidden" name="task" value="sendmtf" /> 
		<input type="hidden" name="id" value="<?php echo $oid; ?>" />
        <input type="hidden" name="<?php echo mosHash( 'validate' );?>" value="1" />
		
		<fieldset><legend><?php echo _EA_EMAIL_FRIEND; ?></legend>		
		
		<table cellspacing="0" cellpadding="0" border="0">
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td width="130"><?php echo _EA_ETF_EMAIL; ?></td>
            <td><input type="text" name="email" class="inputbox" size="25" /></td>
        </tr>
        <tr>
            <td height="27"><?php echo _EA_ETF_SENDERNAME; ?></td>
            <td><input type="text" name="sendername" class="inputbox" size="25" /></td>
        </tr>
        <tr>
            <td><?php echo _EA_ETF_SENDEREMAIL; ?></td>
            <td><input type="text" name="senderemail" class="inputbox" size="25" /></td>
        </tr>
        <tr>
            <td><?php echo _SUBJECT_PROMPT; ?></td>
            <td><input type="text" name="subject" class="inputbox" maxlength="100" size="40" /></td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2" align="right"><input type="submit" name="submit" class="button" value="<?php echo _BUTTON_SUBMIT_MAIL; ?>" />&nbsp;&nbsp; 
              <input type="button" name="cancel" value="<?php echo _BUTTON_CANCEL; ?>" class="button" onclick="window.close();" />
            </td>
        </tr>
        </table>	 
        
        </fieldset>
		
		</form>
		
		</div>    
    <?php      
	}
	
	function emailTFSent($email,$tmpl) {
		global $mosConfig_sitename, $mainframe;
  
        $mainframe->setPageTitle( $mosConfig_sitename );
        $mainframe->addCustomHeadTag( '<link rel="stylesheet" href="templates/'. $tmpl .'/css/template_css.css" type="text/css" />' );
        ?>
        <div align="center">  
			<?php echo sprintf(_EA_ETF_SENT,$email);?><br />
        	<br />
        	<br />
        	<a href='javascript:window.close();'>
        		<span class="small"><?php echo _PROMPT_CLOSE;?></span>
        	</a>
		</div>
		<?php
	}
   	   	
	function showEASearchForm($act,$task,$map,$select_cat,$countries,$countrynames,$states,$towns,$districts,$countrieslist,$countrynameslist,$stateslist,$townslist,$districtslist,$sp,$param){
		global $mosConfig_absolute_path,$mosConfig_live_site;
				
     	EAHeader($act,$task,"");
                
        if($param["ls"]) {          	
          	
          	if(count($map)==0 && $param["ds"] == 0) {
        		?>
        		<br />
        		<table width="100%" border="0" cellspacing="1" cellpadding="4">
            	<tr>
            		<td colspan="2" align="center"><br /><br /><?php echo _EA_SRCH_NOENTRIES;?><br /><br /></td>
            	</tr>;
            	</table>
            	<?php
        	}
        	else{
          		?>
          		<script language="Javascript" type="text/javascript">
        		<?php
        			# create javascript-array of countries --------------------
          			echo "Countries = new Array();";
					echo "Countrynames = new Array();";
          			$x = 0;
          			foreach($countries as $country) {
          				echo "Countries[".$x."] = \"".$country."\";";
						echo "Countrynames[".$x."] = \"".$countrynames[$x]."\";";
          				$x++;
          			}	
        			# generate javascript-array of states -----------------------
            		echo "States = new Array();";
					for($country=0;$country<count($countries);$country++) {
            			echo "States[".$country."] = new Array();";
                		for($state=0;$state<count($states[$country]);$state++) {
                			echo "States[".$country."][".$state."] = \"".$states[$country][$state]."\";";
                		}
            		}
          			# generate javascript-array of towns ------------------------
            		echo "Towns = new Array();";
            		for($country=0;$country<count($countries);$country++) {
            			echo "Towns[".$country."] = new Array();";
                		for($state=0;$state<count($states[$country]);$state++) {
                			echo "Towns[".$country."][".$state."] = new Array();";
                    		for($town=0;$town<count($towns[$country][$state]);$town++) {
                        		echo "Towns[".$country."][".$state."][".$town."] = \"".$towns[$country][$state][$town]."\";";
							}
                		}
            		}          	
          			# Generate JavaScript-Array of districts
            		echo "Districts = new Array();";
            		for($country=0;$country<count($countries);$country++) {
               			echo "Districts[".$country."] = new Array();";
               			for($state=0;$state<count($states[$country]);$state++) {
                   			echo "Districts[".$country."][".$state."] = new Array();";
                   			for($town=0;$town<count($towns[$country][$state]);$town++) {
                       			echo "Districts[".$country."][".$state."][".$town."] = new Array();";
                       			for($district=0;$district<count($districts[$country][$state][$town]);$district++) {
                       				echo "Districts[".$country."][".$state."][".$town."][".$district."] = \"".$districts[$country][$state][$town][$district]."\";";
								}
                   			}
               			}
            		}
            		
            		if($param["searchtype"] == 1){
						// generate javascript array of countries
          				echo "Countrieslist = new Array();";
						echo "Countrynameslist = new Array();";
          				$x = 0;
          				foreach($countrieslist as $cl) {
          					echo "Countrieslist[".$x."] = \"".$cl."\";";
							echo "Countrynameslist[".$x."] = \"".$countrynameslist[$x]."\";";
          					$x++;
          				}
						// generate javascript array of states
						echo "Stateslist = new Array();";
						$x=0;
						foreach($stateslist as $sl) {
          					echo "Stateslist[".$x."] = \"".$sl."\";";
							$x++;
          				}
						// generate javascript array of towns
						echo "Townslist = new Array();";
						$x=0;
						foreach($townslist as $tl) {
          					echo "Townslist[".$x."] = \"".$tl."\";";
							$x++;
          				}
						// generate javascript array of towns
						echo "Districtslist = new Array();";
						$x=0;
						foreach($districtslist as $dl) {
          					echo "Districtslist[".$x."] = \"".$dl."\";";
							$x++;
          				}								
					}
					
					echo "</script>";
        	  	}
        	}
            echo "<script language='Javascript' type='text/javascript'>";   
        	
        	if($param["searchtype"] == 1) {
				?>
									
				function setField(field){
					
					
					var form = document.easearch;			
			
					var sel_country = form.elements["src_country"];
					var sel_state = form.elements["src_state"];
					var sel_town = form.elements["src_town"];			
					var sel_district = form.elements["src_district"];

					switch(field){
				
						case "1": // Countries
					
							country = form.src_country.options[form.src_country.options.selectedIndex].text;
							// get avalaible states, towns and districts
							avail_states = new Array();avail_towns =new Array();avail_districts = new Array();
							EndFor1:
							for(w=0;w<Countries.length;w++){
								if(Countrynames[w]==country){
									for(x=0;x<States[w].length;x++){
										avail_states[x] = States[w][x];
										for(y=0;y<Towns[w][x].length;y++){
											avail_towns[avail_towns.length] = Towns[w][x][y];
											for(z=0;z<Districts[w][x][y].length;z++){
												avail_districts[avail_districts.length] = Districts[w][x][y][z];
											}						
										}						
									}
									break EndFor1;
								}						
							}					
							// mark avalaible states,towns and districts---------------------------------------------------------------
							vcountry = sel_country.options[form.src_country.options.selectedIndex].value;
							if(vcountry=='no') {	       				
								for(x=0;x<sel_state.options.length;x++) {
	            	    	 		sel_state.options[x].style.color="black";
            	     			}
								for(x=0;x<sel_town.options.length;x++) {
	            	    	 		sel_town.options[x].style.color="black";
                	 			}
								for(x=0;x<sel_district.options.length;x++) {
	            	     			sel_district.options[x].style.color="black";
                	 			}
           					}
           					else{
            	   				for(x=0;x<sel_state.options.length;x++) {
	        	    	     		sel_state.options[x].style.color="lightgrey";
            	    	 		}
								for(x=0;x<sel_town.options.length;x++) {
	        	    	     		sel_town.options[x].style.color="lightgrey";
            	    	 		}
								for(x=0;x<sel_district.options.length;x++) {
	        	    	     		sel_district.options[x].style.color="lightgrey";
            	     			}
								for(x=0;x<sel_state.options.length;x++) {
	            		     		for (y=0;y<avail_states.length;y++ ){
										if(sel_state.options[x].text == avail_states[y]) {
											sel_state.options[x].style.color="black";
										}								
									}
                		 		}
								for(x=0;x<sel_town.options.length;x++) {
	            		     		for (y=0;y<avail_towns.length;y++ ){
										if(sel_town.options[x].text == avail_towns[y]) {
											sel_town.options[x].style.color="black";
										}								
									}
                		 		}
								for(x=0;x<sel_district.options.length;x++) {
	            		     		for (y=0;y<avail_districts.length;y++ ){
										if(sel_district.options[x].text == avail_districts[y]) {
											sel_district.options[x].style.color="black";
										}								
									}
             		    		}						
           					}
							sel_state.options[0].selected=true;
							sel_town.options[0].selected=true;
							sel_district.options[0].selected=true;
	
						break;

						case "2":	// States
				
							country = ""; countryname = ""; avail_towns = new Array(); avail_districts = new Array();
							// get selected state name
							state = form.src_state.options[form.src_state.options.selectedIndex].text;
							// get country from array -> States[countries][states]
							EndFor2:
							for(w=0;w<Countries.length;w++){
								for(x=0;x<States[w].length;x++){
									if(States[w][x]==state){
										country = Countries[w];
										countryname = Countrynames[w];
										for(y=0;y<Towns[w][x].length;y++){
											avail_towns[avail_towns.length] = Towns[w][x][y];
											for(z=0;z<Districts[w][x][y].length;z++){
												avail_districts[avail_districts.length] = Districts[w][x][y][z];
											}							
										}
										break EndFor2;
									}	
								}
							}
							// mark belonging towns and districts---------------------------------------------------------------
							vstate = sel_state.options[form.src_state.options.selectedIndex].value;
							if(vstate=='no') {	       				
								for(x=0;x<sel_town.options.length;x++) {
	    		             		sel_town.options[x].style.color="black";
        		         		}
								for(x=0;x<sel_district.options.length;x++) {
	    		             		sel_district.options[x].style.color="black";
        		         		}
        		   			}
        		   			else{
        		       			for(x=0;x<sel_town.options.length;x++) {
	    		             		sel_town.options[x].style.color="lightgrey";
        		         		}
								for(x=0;x<sel_district.options.length;x++) {
	    		             		sel_district.options[x].style.color="lightgrey";
        		         		}
								for(x=0;x<sel_town.options.length;x++) {
	    	    	         		for (y=0;y<avail_towns.length;y++ ){
										if(sel_town.options[x].text == avail_towns[y]) {
											sel_town.options[x].style.color="black";
										}								
									}
        	    	     		}
								for(x=0;x<sel_district.options.length;x++) {
	    	    	         		for (y=0;y<avail_districts.length;y++ ){
										if(sel_district.options[x].text == avail_districts[y]) {
											sel_district.options[x].style.color="black";
										}								
									}
    	        	     		}
							}
							// set status of the country to 'selected'
							for(x=0;x<sel_country.options.length;x++){
								if(sel_country.options[x].text==countryname){
									sel_country.options[x].style.color="black";
									sel_country.options[x].selected=true;
								}
								else{
									sel_country.options[x].style.color="lightgrey";
								}
							}
							// set status of town and district to "not choosen"
							sel_town.options[0].selected=true;
							sel_district.options[0].selected=true;

						break;

						case "3": // Towns
										
							country = ""; countryname = ""; state = "";
							avail_districts = new Array();
							// get selected town name
							town = form.src_town.options[form.src_town.options.selectedIndex].text;
							// get country and state from array -> Towns[countries][states][towns]
							EndFor3:
							for(x=0;x<Countries.length;x++){
								for(y=0;y<Towns[x].length;y++){
									for(z=0;z<Towns[x][y].length;z++){
										if(Towns[x][y][z]==town){
											country = Countries[x];
											countryname = Countrynames[x];
											state = States[x][y]
											// get districts
											for(d=0;d<Districts[x][y][z].length;d++){
												avail_districts[avail_districts.length] = Districts[x][y][z][d];
											}
											break EndFor3;
										}
									}	
								}
							}
										
							//show belonging districts and set color---------------------------------------------------------------
							vtown = form.src_town.options[form.src_town.options.selectedIndex].value;
							sel_district = form.elements["src_district"];
        		   			if(vtown=='no') {
	    		   				for(x=0;x<sel_district.options.length;x++) {
	    		             		sel_district.options[x].style.color="black";
        		         		}
        		   			}
        		   			else{
        		       			for(x=0;x<sel_district.options.length;x++) {
	    		             		sel_district.options[x].style.color="lightgrey";
        		         		}
								for(x=0;x<sel_district.options.length;x++) {
	    		   	          		for (y=0;y<avail_districts.length;y++ ){
										if(sel_district.options[x].text == avail_districts[y]) {
											sel_district.options[x].style.color="black";
										}								
									}
            		     		}						
           					}
							// set status of belonging state to 'selected' and change colors				
							for(x=0;x<sel_state.options.length;x++){
								if(sel_state.options[x].text==state){
									sel_state.options[x].style.color="black";
									sel_state.options[x].selected=true;
								}
								else{
									sel_state.options[x].style.color="lightgrey";
								}	
							}
							// set status of belonging country to 'selected' and change colors
							for(x=0;x<sel_country.options.length;x++){
								if(sel_country.options[x].text==countryname){
									sel_country.options[x].selected=true;
								}
								else{
									sel_country.options[x].style.color="lightgrey";
								}
							}
							sel_district.options[0].selected=true;

						break;
				
						case "4": // District
					
							country = ""; countryname = ""; state = ""; town = "";
							// get selected district name
							district = form.src_district.options[form.src_district.options.selectedIndex].text;
							// filter belonging country, state and town from array -> Districts[country][state][town][district]
							EndFor4:
							for(w=0;w<Countries.length;w++){
								for(x=0;x<Districts[w].length;x++){
									for(y=0;y<Districts[w][x].length;y++){
										for(z=0;z<Districts[w][x][y].length;z++){
											if(Districts[w][x][y][z]==district){
												country = Countries[w];
												countryname = Countrynames[w];
												state = States[w][x];
												town = Towns[w][x][y];	
												break EndFor4;
											}
										}	
									}
								}
							}					
							// set status of belonging towns to 'selected' and change colors
							for(x=0;x<sel_town.options.length;x++){
								if(sel_town.options[x].text==town){
									sel_town.options[x].style.color="black";
									sel_town.options[x].selected=true;
								}
								else{
									sel_town.options[x].style.color="lightgrey";
								}
							}
							// set status of belonging states to 'selected' and change colors
							for(x=0;x<sel_state.options.length;x++){
								if(sel_state.options[x].text==state){
									sel_state.options[x].style.color="black";
									sel_state.options[x].selected=true;							
								}
								else{
									sel_state.options[x].style.color="lightgrey";
								}
							}
							// set status of belonging country to 'selected' and change colors
							for(x=0;x<sel_country.options.length;x++){
								if(sel_country.options[x].text==countryname){
									sel_country.options[x].style.color="black";
										sel_country.options[x].selected=true;							
								}
								else{
									sel_country.options[x].style.color="lightgrey";
								}
							}

						break;
					}	
				}		
			<?php
			}
          	?>
				
        	function setStates(scountry) {

        		sel_state = document.easearch.elements["src_state"];
        	   	sel_town = document.easearch.elements["src_town"];
				sel_district = document.easearch.elements["src_district"];
				empty("src_state");

        	   	if(scountry=="no") {
        	   		new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_state.options.length;
        	       	sel_state.options[new_opt] = new_entry;
        	       	sel_state.options[new_opt].value = "no";
        	       	sel_state.options[new_opt].text = "<?php echo $param["option_text"];?>";
               	
        	       	empty("src_town");
        	       	new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_town.options.length;
        	       	sel_town.options[new_opt] = new_entry;
        	       	sel_town.options[new_opt].value = "no";
        	       	sel_town.options[new_opt].text = "<?php echo $param["option_text"];?>";
               	
        	       	empty("src_district");
        	       	new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_district.options.length;
        	       	sel_district.options[new_opt] = new_entry;
        	       	sel_district.options[new_opt].value = "no";
        	       	sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
        	   	}
        	   	else{
        	   		new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_state.options.length;
      				sel_state.options[new_opt] = new_entry;
      				sel_state.options[new_opt].value = "no";
      				sel_state.options[new_opt].text = "<?php echo $param["option_text"];?>";
        	       	for (x=0;x<States[scountry].length;x++ ){
        	       		new_entry = new Option(States[scountry][x]);
        	       		new_opt = sel_state.options.length;
      					sel_state.options[new_opt] = new_entry;
      					sel_state.options[new_opt].value = x;
      					sel_state.options[new_opt].text = States[scountry][x];
        	   		}
					empty("src_town");
        	       	new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_town.options.length;
        	       	sel_town.options[new_opt] = new_entry;
        	       	sel_town.options[new_opt].value = "no";
        	       	sel_town.options[new_opt].text = "<?php echo $param["option_text"];?>";
               	
        	       	empty("src_district");
        	       	new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_district.options.length;
        	       	sel_district.options[new_opt] = new_entry;
        	       	sel_district.options[new_opt].value = "no";
        	       	sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
        		}
        	}

        	function setTowns(sstate) {

        		scountry = document.easearch.src_country.value;
        	   	sel_town = document.easearch.elements["src_town"];
        	   	sel_district = document.easearch.elements["src_district"];
				
				empty("src_town");
        	   	if(sstate=="no") {
	    	   		new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_town.options.length;
        	       	sel_town.options[new_opt] = new_entry;
        	       	sel_town.options[new_opt].value = "no";
        	       	sel_town.options[new_opt].text = "<?php echo $param["option_text"];?>";
	
    		        empty("src_district");
        	        new_entry = new Option("<?php echo $param["option_text"];?>");
        	   	    new_opt = sel_district.options.length;
        	       	sel_district.options[new_opt] = new_entry;
        	       	sel_district.options[new_opt].value = "no";
        	       	sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
	    	   	}
    		   	else{
        		  	new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_town.options.length;
    				sel_town.options[new_opt] = new_entry;
    				sel_town.options[new_opt].value = "no";
      				sel_town.options[new_opt].text = "<?php echo $param["option_text"];?>";
        	   		for (x=0;x<Towns[scountry][sstate].length;x++ ){
      					new_entry = new Option(Towns[scountry][sstate][x]);
      					new_opt = sel_town.options.length;
      					sel_town.options[new_opt] = new_entry;
      					sel_town.options[new_opt].value = x;
      					sel_town.options[new_opt].text = Towns[scountry][sstate][x];
        	       	}
        	
					empty("src_district");
        	    	new_entry = new Option("<?php echo $param["option_text"];?>");
        	   		new_opt = sel_district.options.length;
        	    	sel_district.options[new_opt] = new_entry;
        	    	sel_district.options[new_opt].value = "no";
        	    	sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
				}
			}

        	function setDistricts(stown) {

        		scountry = document.easearch.src_country.value;
        	   	sstate = document.easearch.src_state.value;
        	   	sel_district = document.easearch.elements["src_district"];
        	   	empty("src_district");
        	   	if(stown=="no") {
	    	   		new_entry = new Option("<?php echo $param["option_text"];?>");
        	       	new_opt = sel_district.options.length;
    		    	sel_district.options[new_opt] = new_entry;
    		    	sel_district.options[new_opt].value = "no";
    		    	sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
        	   	}
        	   	else{
        	       	new_entry = new Option("<?php echo $param["option_text"];?>");
        	   		new_opt = sel_district.options.length;
      		 		sel_district.options[new_opt] = new_entry;
      		  		sel_district.options[new_opt].value = "no";
      		   		sel_district.options[new_opt].text = "<?php echo $param["option_text"];?>";
        	   		for (x=0;x<Districts[scountry][sstate][stown].length;x++ ){
      					new_entry = new Option(Districts[scountry][sstate][stown][x]);
      	         		new_opt = sel_district.options.length;
      					sel_district.options[new_opt] = new_entry;
      			  		sel_district.options[new_opt].value = x;
      			  		sel_district.options[new_opt].text = Districts[scountry][sstate][stown][x];
      	         	}
      	     	}
      	  	}
		
			function empty(field) {
   				document.easearch.elements[field].options.length = 0;
		 	}
		
			function validate(ls,es,stp) {
    	  		var form = document.easearch;
			
				if(stp == 1){			
					var sstr = form.searchstring.value;
					if(sstr=="") {
						alert("<?php echo _EA_SRCHVALS_ERROR1;?>");
					}
					else{
						form.submit();
					}
				}
				else{
					if(ls == 1){
        	    		var vcountry = form.src_country.options[form.src_country.options.selectedIndex].value;
        	      		var vstate = form.src_state.options[form.src_state.options.selectedIndex].value;
					}
					if(es == 1){
        	    		var minrent = form.elements["minrent"].value;
        	    		var maxrent = form.elements["maxrent"].value;
						var minprice = form.elements["minprice"].value;
        	       		var maxprice = form.elements["maxprice"].value;
        	       	}	

				
        	    	if(es == 1 && ((minrent != "" || maxrent != "") && (minprice != "" || maxprice != ""))){
						alert( "<?php echo _EA_SRCHVALS_ERROR2;?>" );
        	    	}
					else if(es == 1 && parseInt(minrent) > parseInt(maxrent)){
						alert("<?php echo _EA_SRCHVALS_ERROR3;?>");
					}
					else if(es == 1 && parseInt(minprice) > parseInt(maxprice)){
						alert("<?php echo _EA_SRCHVALS_ERROR4;?>");
					}
        	    	else{
        	    		if(ls == 1){
            				/********** replace the values of input-fields **************/
            	    		var country_val = form.src_country.options[form.src_country.options.selectedIndex].value;
           		     		var country_txt = Countries[country_val];
							var state_txt = form.src_state.options[form.src_state.options.selectedIndex].text;
							var state_val = form.src_state.options[form.src_state.options.selectedIndex].value;
           		     		var town_txt = form.src_town.options[form.src_town.options.selectedIndex].text;
               		 		var town_val = form.src_town.options[form.src_town.options.selectedIndex].value;
                			var district_txt = form.src_district.options[form.src_district.options.selectedIndex].text;
                			var district_val = form.src_district.options[form.src_district.options.selectedIndex].value;
							if(country_val!="no") {
            	    			empty("src_country");
            	    			new_entry = new Option(country_txt);
            	    			new_opt = form.src_country.options.length;
            	    			form.src_country.options[new_opt] = new_entry;
            	    			form.src_country.options[new_opt].value = country_txt;
            	    			form.src_country.options[new_opt].text = country_txt;
            	    		}
            	    		if(state_val!="no") {
            	    			empty("src_state");
            	    			new_entry = new Option(state_txt);
            	    			new_opt = form.src_state.options.length;
            	    			form.src_state.options[new_opt] = new_entry;
            	    			form.src_state.options[new_opt].value = state_txt;
            	    			form.src_state.options[new_opt].text = state_txt;
            	    		}
            	    		if(town_val!="no") {
            	    			empty("src_town");
            	    			new_entry = new Option(town_txt);
                				new_opt = form.src_town.options.length;
                				form.src_town.options[new_opt] = new_entry;
                				form.src_town.options[new_opt].value = town_txt;
                				form.src_town.options[new_opt].text = town_txt;
                			}
                			if(district_val!="no") {
                				empty("src_district");
                				new_entry = new Option(district_txt);
                				new_opt = form.src_district.options.length;
                				form.src_district.options[new_opt] = new_entry;
                				form.src_district.options[new_opt].value = district_txt;
                				form.src_district.options[new_opt].text = district_txt;
                			}
            			}
											
						
						form.submit();
        		 	}
		    	}                
         	}
        
		</script>
		
		<br /><br />
		<form action="<?php echo sefRelToAbs("index.php?option=com_estateagent&act=easearch&task=showEASR");?>" method="post" name="easearch" id="easearch">
		
		<!-- *********************** Search in Categorie *********************** -->
		<table width="100%" border="0" cellspacing="1" cellpadding="4">
		<tr class="sectiontableentry1">
			<td colspan="2">
			<?php echo _EA_SRCH_IN;?>&nbsp;<?php echo $select_cat;?>	
			</td>
		</tr>
		</table>
		
		<?php
		if($param["fs"]) {
			?>
			<!-- *********************** Free Search *********************** -->
			<fieldset><legend><b><?php echo _EA_SRCH_FREE;?></b></legend> 
			<table width="100%" border="0" cellspacing="1" cellpadding="4">	
			<tr class="sectiontableentry1">
				<td width="100%" height="38px"><input type="text" name="searchstring" size="35" maxlength="100" />
					<input type="button" class="button" name="freesearch" id="freesearch" value="<?php echo _EA_SRCH_BTT_SEARCH;?>" onClick="javascript:validate(<?php echo $param["ls"].",".$param["ds"].",1"; ?>)" />
				</td>
			</tr>
			</table>
			</fieldset>
			<?php
		}
		
		if($param["ls"]) {
		?>
		<!-- *********************** Countries *********************** -->
		<fieldset><legend><b><?php echo _EA_SRCH_PART_LCN;?></b></legend> 
		<table width="100%" border="0" cellspacing="1" cellpadding="4">	
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php
				if(!$param["searchtype"]) {
					?>
					<b><?php echo _EA_SRCH_STEP;?></b> 1:<?php echo _EA_OBJ_COUNTRY;?><br />
					<select class="inputbox" name="src_country" id="src_country" size="1" onChange="javascript:setStates(document.easearch.src_country.value)">
					<?php
				}else{
					?>
					<select class="inputbox" name="src_country" id="src_country" size="1" onChange="setField('1')">
					<?php
				}
				?>
					<option class="inputbox" value="no"><?php echo $param["option_text"]; ?></option>
						<script language="javascript" type="text/javascript">
                			for(x=0;x<Countries.length;x++) {
	                 			//document.write ("<option value='"+x+"'>"+Countries[x]+"</option>");
								document.write ("<option value='"+x+"'>"+Countrynames[x]+"</option>");
                 			}
            			</script>
					</select>
			</td>

		<!-- *********************** States *********************** -->
			<td width="50%" height="38px">
				<?php
				if(!$param["searchtype"]) {
					?>
					<b><?php echo _EA_SRCH_STEP;?></b> 2:<?php echo _EA_OBJ_STATE;?><br />
					<select class="inputbox" name="src_state" id="src_state" size="1" onChange="javascript:setTowns(document.easearch.src_state.value)">
					<?php
				}else{
					?>
					<select class="inputbox" name="src_state" id="src_state" size="1" onChange="javascript:setField('2')">
					<?php
				}
				?>
					<option class="inputbox" value="no"><?php echo $param["option_text"];?></option>
					<?php
					if($param["searchtype"]){ ?>
						<script language="javascript" type="text/javascript">
                 			for(x=0;x<Stateslist.length;x++) {
	                 			document.write ("<option value='"+x+"'>"+Stateslist[x]+"</option>");
                 			}
            			</script>
					<?php
					}
					?>
					</select>
			</td>
		</tr>
		</table>

		<!-- *********************** Towns ************************* -->
		<table width="100%" border="0" cellspacing="1" cellpadding="4">
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php
				if(!$param["searchtype"]) {
					?>
					<b><?php echo _EA_SRCH_STEP;?></b> 3:<?php echo _EA_OBJ_TOWN;?><br />
					<select class="inputbox" name="src_town" id="src_town" size="1" onChange="javascript:setDistricts(document.easearch.src_town.value)">
					<?php
				}else{
					?>
					<select class="inputbox" name="src_town" id="src_town" size="1" onChange="setField('3')">
					<?php
				}
				?>
					<option class="inputbox" value="no"><?php echo $param["option_text"]; ?></option>
					<?php
					if($param["searchtype"]){ ?>
						<script language="javascript" type="text/javascript">
                 			for(x=0;x<Townslist.length;x++) {
	                	 		document.write ("<option value='"+x+"'>"+Townslist[x]+"</option>");
                 			}
            			</script>
					<?php
					}
					?>
					</select>
			</td>		
			
			<!-- *********************** Districts ******************** -->
			<td width="50%" height="38px">
				<?php
				if(!$param["searchtype"]) {
					?>
					<b><?php echo _EA_SRCH_STEP;?></b> 4:<?php echo _EA_OBJ_DISTRICT; ?><br />
					<select class="inputbox" name="src_district" id="src_district" size="1">
					<?php
				}else{
					?>
					<select class="inputbox" name="src_district" id="src_district" size="1" onChange="setField('4')">
					<?php
				}
				?>
					<option class="inputbox" value="no"><?php echo $param["option_text"]; ?></option>
					<?php
					if($param["searchtype"]){ ?>
						<script language="javascript" type="text/javascript">
                 			for(x=0;x<Districtslist.length;x++) {
	                 			document.write ("<option value='"+x+"'>"+Districtslist[x]+"</option>");
                 			}
            			</script>
					<?php
					}
					?>
					</select>
			</td>
		</tr>
		</table>
		</fieldset>
		<?php
		}
		if($param["ds"]) {
		?>
		<fieldset><legend><b><?php echo _EA_SRCH_PART_EXT;?></b></legend>
		<table width="100%" border="0" cellspacing="1" cellpadding="4">
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php echo _EA_OBJ_DWSPACE;?>
				<br />
				<?php echo $sp[0];?>    	
    		</td>
    		<td width="50%" height="38px">
    			<?php echo _EA_OBJ_YOBUILT;?>
    			<br />
    			<?php echo $sp[1];?>
   			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php echo _EA_OBJ_ROOMNR;?>
				<br />
				<?php echo $sp[2];?>    	
    		</td>
    		<td width="50%" height="38px">
				<?php echo _EA_OBJ_BEDROOMS;?>
				<br />
				<?php echo $sp[3];?>    	
    		</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php echo _EA_OBJ_RENT;?>
				<br />
    			<input class="inputbox" type="Text" name="minrent" size="9" maxlength="10">&nbsp;-&nbsp;<input class="inputbox" type="Text" name="maxrent" size="9" maxlength="10">&nbsp;<?php echo $param["currency"];?>
    		</td>
			<td width="50%" height="38px">
				<?php echo _EA_OBJ_PRICE;?>
				<br />
    			<input class="inputbox" type="Text" name="minprice" size="9" maxlength="10">&nbsp;-&nbsp;<input class="inputbox" type="Text" name="maxprice" size="9" maxlength="10">&nbsp;<?php echo $param["currency"];?>
    		</td>
		</tr>
		<tr class="sectiontableentry2">
			<td colspan="2" height="38px">
				<b><?php echo _EA_SRCH_EQUPMT_DETAILS;?>:</b>
			</td>			
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[4]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_TOHEAT_UFLOOR;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[5]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_FIRESIDE;?>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[6]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_AIRCONDITION;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[7]; ?>
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_LIFT;?>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[8]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_HANDICAP;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[9]; ?>
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_TV;?>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[10]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_DSL;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[11]; ?>
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_POOL;?>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[12]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_GARDEN;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[13]; ?>
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_PAREA;?>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td width="50%">
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
				<tr>					
					<td width="10%">
						<?php echo $sp[14]; ?>    	
    				</td>
					<td width="90%">
						<?php echo _EA_OBJ_GARAGE;?>
					</td>
				</tr>
				</table>
			</td>
			<td width="50%">&nbsp;</td>
		</tr>
		</table>
		<?php
		}
		if($param["ls"] || $param["ds"]){
		?>
		<table width="100%" border="0" cellspacing="1" cellpadding="4">
		<tr class="sectiontableentry1">
			<td width="50%" height="38px">
				<?php echo _EA_SRCH_SORT1;?>
				<br />
				<?php echo $sp[15];?>
    		</td>
    		<td width="50%" height="38px">
    			<?php echo _EA_SRCH_SORT2;?>
    			<br />
    			<?php echo $sp[16];?>
    		</td>
		</tr>
		</table>
		</fieldset>
		
		<table width="100%" border="0" cellspacing="1" cellpadding="0">
		<tr>
			<td colspan="2"></td>
		</tr>
		<tr class="sectiontableentry2">
   			<td width="60%"><!--?php echo _EA_SRCH_OBLIGATED; ?--></td>
			<td width="40%" height="15px" style="text-align:right">    	
        		<input class="button" type="button" name="easearch" id="easearch" value="<?php echo _EA_SRCH_BTT_SEARCH;?>" onClick="javascript:validate(<?php echo $param["ls"] . ",".$param["ds"].",0"; ?>)" />&nbsp;
    		</td>
		</tr>		
		</table>
		<input type="hidden" name="lsearch" value="<?php echo $param["ls"];?>" />
		</form>
		<?php
		}		
	}

	function showEASearchResult($option,$act,$task,$results,$pageNav,$limitstart,$limit,$params){	
		global $mosConfig_live_site,$mosConfig_absolute_path;
						
		EAHeader($act,$task,$pageNav);
         
        ?>         
        <div align="right">
        	<?php echo $pageNav->writeLimitBox("index.php?option=com_estateagent&act=easearch&task=showEASR");?>
        </div>
        <table width="100%" border="0" cellspacing="1" cellpadding="1">
		<tr>
			<th colspan="2" class="contentheading">
				<?php echo _EA_SRCH_RESULTS1 . $pageNav->total . _EA_SRCH_RESULTS2;?>
				<br />
				<?php
				if($pageNav->total > 0 ) echo "<span class='small'>(".$pageNav->writePagesCounter().")</span>";
				?>
			</th>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		</table>
				               	
		<br />
		
		<table width="100%" border="0" cellspacing="1" cellpadding="1">
		<?php
		if(count($results) > 0){			
			$line=1;
			foreach($results as $obj) {						
				$pic = EAImage::loadFirstPic($obj->id, $params['picpath'], $params['tbwidth']);
				$hotpic = "<img align='middle' src='".$mosConfig_live_site."/components/com_estateagent/pictures/gui/hot.jpg' border='0' alt='hot' />";
				?>
				<tr>
					<td valign="top" rowspan="3" width="<?php echo $params['tbwidth'];?>">            
            			<?php
            			if($params['readmore']) {
            			?>
            				<a href="<?php echo sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$obj->id."&limit=".$pageNav->limit."&limitstart=".$pageNav->limitstart);?>"><?php echo $pic;?></a>
						<?php
            			}
            			else{
            				echo $pic;
            			}
            			?>						
					</td>
            		<td class="sectiontableentry2" width="95%" height="15px" valign="top">
            			<?php
            			if($params['readmore']) {
            			?>
            				<img src="images/M_images/arrow.png" alt="" border="0">&nbsp;<a href="<?php echo sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$obj->id."&limit=".$pageNav->limit."&limitstart=".$pageNav->limitstart);?>"><b><?php echo $obj->title;?></b></a>
            			<?php
            			}
            			else{ ?>
            				<img src="images/M_images/arrow.png" alt="" border="0">&nbsp;<b><?php echo $obj->title;?></b>
            			<?php
            			}
            			if($obj->hot) echo $hotpic;
            			?>
            		</td>
            	</tr>
            	<?php
            	if($obj->description != "" && $obj->description != "<br>" && $obj->description != "</p>"){
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">
            			<?php echo substr($obj->description,0,$params['shorttext']);?>...
            			<?php
            			if($params['readmore']) {
            				echo "<a href='".sefRelToAbs('index.php?option=com_estateagent&act=object&task=showEO&id='.$obj->id)."'>";
            				echo _EA_OBJ_MINFO;
            				echo "</a>";
            			}
            			else{
            				echo "<a href='".sefRelToAbs('index.php?option=com_registration&task=register')."'>";            					
            				echo _EA_OBJ_REGISTER_FOR_MINFO;
            				echo "</a>";            					
            			}
            			?>
            			</td>
            		</tr>
            		<?php
            	}
            	else{
            		?>
            		<tr>
            			<td class="smalldark" valign="top" padding="0" margin="0">&nbsp;</td>
            		</tr>
            		<?php
            	}
            	?>
            		<tr>
            			<td height="14px" class="smalldark" style="text-align:right">
            			<?php
						if($obj->type == 1 || $obj->type == 3) {
							if($obj->rent != 0.00) $value = number_format($obj->rent,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
            			}
						else{
							if($obj->price >= 0.00) $value = number_format($obj->price,0,$params['sep2'],$params['sep1']) . "&nbsp;" . $params['currency'];
            			}
						echo EAObject::parseCategoryShortInfo($params['shortinfo'],$value,EAObject::countryISOtoName($obj->country),$obj->state,$obj->town,$obj->district);
                		?>
                		</td>
               		</tr>
               		<?php
            	$line++;
        	}			
		}
		else{
			?>
			<tr>
				<td align="center"><?php echo _EA_SRCH_NORESULT;?></td>
			</tr>
			<?php		
		}
		?>
		</table>		
		<?php
		if($pageNav->total > $pageNav->limit) {
			?>
			<br />
			<div style="text-align:center">
				<?php echo $pageNav->writePagesLinks("index.php?option=com_estateagent&act=easearch&task=showEASR");?>
			</div>
			<?php
		}
	}
	
}
?>