<?php 

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			details.php (Extended Template)
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
License: 		MEOpenSource:
				- You are authorized to make necessary modification(s) to this file
				  to fit your purposes.
				- You may NOT redistribute or resale this file
				  without prior written consent from MisterEstate.com.   
************************************************************************** */

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

?>
<br /><br />

<script type="text/javascript" src="includes/js/joomla.javascript.js"></script>

<div class="MEHeader">
    <?php echo _EA_OBJ_ID;?>&gt;&nbsp;<?php echo $this->obj_id;?>&nbsp;:::&nbsp;<?php echo $this->title;?>
</div>

<br />

<div class="MEBlock1">
		<?php echo $this->gallery;?>
</div>

<br clear="all">

<div class="MEBlock2">
	<?php echo $this->attributes;?>
</div>

<br clear="all">

<?php
if($this->description) { ?>
<div class="METext">
	<table class="METext">
	<tr>
    	<th class="METext"><?php echo _EA_OBJ_DESCRIPT;?></th>
    </tr>
    <tr>
    	<td class="METext"><?php echo $this->description;?></td>
    </tr>
	</table>
</div>
<br clear="all">
<?php
}
?>

<?php
if($this->surrounding) { ?>
<div class="METext">
	<table class="METext">
	<tr>
    	<th class="METext"><?php echo _EA_OBJ_LOCATION;?></th>
    </tr>
    <tr>
    	<td class="METext"><?php echo $this->surrounding;?></td>
    </tr>
	</table>
</div>
<br clear="all">
<?php
}
?>

<?php
if($this->condition) { ?>
<div class="METext">
	<table class="METext">
	<tr>
    	<th class="METext"><?php echo _EA_OBJ_CONDITION;?></th>
    </tr>
    <tr>
    	<td class="METext"><?php echo $this->condition;?></td>
    </tr>
	</table>
</div>
<br clear="all">
<?php
}
?>

<?php
if($this->other) { ?>
<div class="METext">
	<table class="METext">
	<tr>
    	<th class="METext"><?php echo _EA_OBJ_FURTHER;?></th>
    </tr>
    <tr>
    	<td class="METext"><?php echo $this->other;?></td>
    </tr>
	</table>
</div>
<br clear="all">
<?php
}
?>

<div class="MEBlock4">
	<?php echo $this->financial;?>
</div>
 
<br clear="all">

<?php
if($this->gmap) {
?>		
	<div class="MEGoogleMap">
	<?php echo $this->gmap;?>
	<?php echo $this->gmapOnLoad;?>
	</div>
	<br clear="all">
<?php
}
?>

<div class="MEContact">
		<?php echo $this->contact;?>
</div>
<div class="MELocation">
	<?php echo $this->location;?>
	<br />
	<?php
	if($this->map24){
		echo $this->map24;
		echo "<br />";
	}
	?>
</div>
	
<br clear="all"><br />

<div class="MEForm">
	<script type="text/javascript" language="javascript">
	<!--
	   	function validate(){
			
			var form = document.contactform;
				
			var usr 		= "([a-zA-Z0-9][a-zA-Z0-9_.-]*|\"([^\\\\\x80-\xff\015\012\"]|\\\\[^\x80-\xff])+\")";
	    	var domain 		= "([a-zA-Z0-9][a-zA-Z0-9._-]*\\.)*[a-zA-Z0-9][a-zA-Z0-9._-]*\\.[a-zA-Z]{2,5}";
	    	var r 			= "^"+usr+"\@"+domain+"$";
			var rex   		= new RegExp(r);
			var checkEmail 	= (rex.test(form.ctf_mail.value));
				
			if(form.ctf_mail.value=="" || checkEmail == false){
				alert("<?php echo _EA_CTF_NO_VALID_EMAIL;?>");
			}
			else if (form.ctf_name.value==""){
	    		alert("<?php echo _EA_CTF_VAL_CTC; ?>");
	    	}
	    	else if( form.ctf_message.value==""){
	    		alert("<?php echo _EA_CTF_VAL_MSG; ?>");
    		}
    		else{
    	  		document.contactform.submit();
    	   	}
    	}
    	-->
    </script>
    <noscript>Please enable JavaScript in your browser, if you wish to use our contactform</noscript>
                         				                                        
    <form action="index.php" method="post" name="contactform" id="contactform">
    <input type="hidden" name="option" value="com_estateagent" />
    <input type="hidden" name="act" value="object" />
    <input type="hidden" name="task" value="mail" />
    <input type="hidden" name="id" value="<?php echo $this->id;?>" />
	<input type="hidden" name="owner" value="<?php echo $this->created_by;?>" />
    
    <table class="MEForm">
    <tr>
    	<th colspan="2"><?php echo _EA_OBJ_CONTACT;?></th>
    </tr>
    <tr>
      	<td class="MEFormLeft"><?php echo _EA_CTF_NAME;?>&nbsp;<span style='color:red; font-weight:bold'>*</span></td>
       	<td class="MEFormRight"><input class="inputbox" type="Text" name="ctf_name" value="" size="45" maxlength="50" /></td>
    </tr>
    <tr>
      	<td class="MEFormLeft"><?php echo _EA_CTF_FON;?>&nbsp;&nbsp;</td>
       	<td class="MEFormRight"><input class="inputbox" type="Text" name="ctf_fon" value="" size="45" maxlength="50" /></td>
    </tr>
    <tr>
      	<td class="MEFormLeft"><?php echo _EA_CTF_FAX;?>&nbsp;&nbsp;</td>
      	<td class="MEFormRight"><input class="inputbox" type="Text" name="ctf_fax" value="" size="45" maxlength="50" /></td>
    </tr>
    <tr>
       	<td class="MEFormLeft"><?php echo _EA_CTF_MAIL;?>&nbsp;<span style='color:red; font-weight:bold'>*</span></td>
       	<td class="MEFormRight"><input class="inputbox" type="Text" name="ctf_mail" value="" size="45" maxlength="50" /></td>
    </tr>
    <tr>
     	<td class="MEFormLeft"><?php echo _EA_CTF_SUBJECT;?>&nbsp;<span style='color:red; font-weight:bold'>*</span></td>
      	<td class="MEFormRight"><input class="inputbox" type="Text" name="ctf_subject" value="<?php echo _EA_OBJ_REFERENCE . "&nbsp;" . _EA_OBJ_ID . ":" . $this->obj_id;?>" size="45" maxlength="50" /></td>
    </tr>
    <tr>
    	<td class="MEFormLeft"><?php echo _EA_CTF_INSPECT;?>&nbsp;&nbsp;</td>
    	<td class="MEFormRight"><input type="Checkbox" name="ctf_inspect" value="0" /></td>
    </tr>
    <tr>
      	<td class="MEFormLeft"><?php echo _EA_CTF_MESSAGE;?>&nbsp;<span style='color:red; font-weight:bold'>*</span></td>
      	<td class="MEFormRight"><textarea class="inputbox" name="ctf_message" cols="32" rows="5"></textarea></td>
    </tr>
    <tr>
      	<td class="MEFormLeft"><?php echo _EA_CTF_OBLFIELD;?></td>
       	<td class="MEFormRight"><input class="button" type="reset" value="<?php echo _EA_BT_RESET;?>"><input class="button" type="button" name="send" value="<?php echo _EA_BT_SUBMIT;?>" onClick="javascript:validate()">          					
    </tr>
    </table>
    </form>
</div>              