<?php

/* ***********************************************************************************
MisterEstate - a Joomla Component

File:			gallery.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Version: 		1.1.0 Stable                       
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux Core4 (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
*************************************************************************** */

define( "_VALID_MOS", 1 );

/** security check */
require( "authEA.php" );

include_once ( $mosConfig_absolute_path . '/administrator/components/com_estateagent/class.estateagent.php' );
include_once ( $mosConfig_absolute_path . '/administrator/components/com_estateagent/configuration.php' );
include_once ( $mosConfig_absolute_path . '/includes/sef.php' );

$action			= mosGetParam( $_REQUEST, 'action', $_POST['action'] );
$objid 			= mosGetParam( $_REQUEST, 'objid', $_POST['objid'] );
$pid			= mosGetParam( $_REQUEST, 'pid', $_POST['pid'] ); // picture id
$pn				= mosGetParam( $_REQUEST, 'pn', $_POST['pn'] );  // picture number
$css 			= mosGetParam( $_REQUEST, 'css', $_POST['css'] );

switch ($action) {
    	   	    
        case 'delete':
        	
			$img = new EAImage($database);
			$img->load($pid);
			$result = $img->delete();	        	
  			
			if($result == true) $msg = "Image Deleted Successfull";
   			else $msg = "Image Not Deleted";
   			
   			mosRedirect("admin.gallery.html.php?action=manage&objid=$objid&css=$css&msg=$msg&uid=$my->id");
  
        break;
  		
  		case "orderup":
  		case "orderdown":  		
  						       
       		$p = new EAImage( $database );
      		$p->load( $pid );
       		if($action == "orderup") $p->move( -1,"objid=$p->objid AND type='$p->type'");
       		else $p->move( 1,"objid=$p->objid AND type='$p->type'");
   			$p->updateOrder( "objid=$p->objid AND type='$p->type'" );
  
  			$msg = "File Ordered Successfull!"; 						
			mosRedirect( "admin.gallery.html.php?action=manage&objid=$objid&css=$css&msg=$msg&uid=$my->id" ); 
		
		break;
		
		case "save":
		
			$gl 		= $_POST;
			$pid		= $_POST['pid'];
			$objid	= $_POST['objid'];
	
			$p = new EAImage( $database);
			$p->load($pid);
			
			if (!$p->bind( $_POST )) {
           		echo "<script> alert('".$p->getError()."'); window.history.go(-1); </script>\n";
           		exit();
       		}
			if (!$p->check()) {
           		echo "<script> alert('".$p->getError()."'); window.history.go(-1); </script>\n";
           		exit();
       		}
       		if (!$p->store()) {
           		echo "<script> alert('".$p->getError()."'); window.history.go(-1); </script>\n";
           		exit();
       		}
       					
       		$p->checkin();
  			$p->updateOrder( "objid=$objid AND type='$p->type'" );
		
			$msg = "Image Updated Successfull!"; 						
			mosRedirect( "admin.gallery.html.php?action=manage&objid=$objid&css=$css&msg=$msg&uid=$my->id" ); 
		
		break;
		
		case "bind":
		
			$msg	= "";
			$gl 	= $_POST;
			$pn		= $_POST['pn'];
			
			if($pn == $ea_maxpics) {
				echo "<script> alert('Maximum Reached - No More Images Linkable!'); window.history.go(-1); </script>\n";
           		exit();	
			}	
			
			$img = split(",",$gl['imglist']);
						 			
  			// bind new images to object  			   			 
  			for($x=0;$x < count($img);$x++) {
  					$ci = new EAImage($database);
  					$ci->load($img[$x]);
  			 			
  					$bi = new EAImage($database);
  					$bi->objid 				= $objid;
  					$bi->title				= $ci->title;
  					$bi->description 	= $ci->description;
  					$bi->fname 			= $ci->fname;
  					$bi->type				= $ci->type;
					$bi->path				= $ci->path;
  					$bi->owner				= $my->id;
  					$bi->publish			= 1;
  			 			
  					if (!$bi->check()) {
           				echo "<script> alert('".$bi->getError()."'); window.history.go(-1); </script>\n";
           				exit();
       				}
       				if (!$bi->store()) {
           				echo "<script> alert('".$bi->getError()."'); window.history.go(-1); </script>\n";
           				exit();
       				}
       					
       				$bi->checkin();
  					$bi->updateOrder( "objid=$objid AND type='$bi->type'" );
   			}
  			  			
  			$msg .= "Image Linked Successfull!"; 						
			mosRedirect( "admin.gallery.html.php?action=upload&objid=$objid&css=$css&msg=$msg&uid=$my->id" ); 
  				
		break;
}

?>