<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			english.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Version:		1.1.0                      
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
***************************************************************************************/

// Backend language definitions
DEFINE("_EAB_MENU_LINK1","Manage Objects");
DEFINE("_EAB_MENU_LINK2","Manage Categories");
DEFINE("_EAB_MENU_LINK3","Manage Agents");
DEFINE("_EAB_MENU_LINK4","Configuration");
DEFINE("_EAB_MENU_LINK5","About ME");

DEFINE("_EAB_OBJ_PP","Objects per Page");
DEFINE("_EAB_CAT_OPT","Select Category");
DEFINE("_EAB_OBJ_TYPE","Type");									//new (ME 1.0.3)
DEFINE("_EAB_OBJ_TYPE0","Choose <i><b>Single-Type...</b></i><br />For Rooms, Appartments,...<br /><i><b>Multi-Type...</b></i><br />For Houses, Office Buildings, ...");
DEFINE("_EAB_OBJ_TYPE1","Choose Type");
DEFINE("_EAB_OBJ_TYPE2","Single-Type For Rent");
DEFINE("_EAB_OBJ_TYPE3","Single-Type For Sale");
DEFINE("_EAB_OBJ_TYPE4","Multi-Type For Rent");
DEFINE("_EAB_OBJ_TYPE5","Multi-Type For Sale");
DEFINE("_EAB_OBJ_TYPE_ERROR","Please Choose Object Type!");

DEFINE("_EAB_OBJ_TYPE_INFO","Object Informations");

DEFINE("_EAB_SORT_OPT","Order");
DEFINE("_EAB_SORT_OPT1","Ascending");
DEFINE("_EAB_SORT_OPT2","Descending");

DEFINE("_EAB_OBJ_OVW","Select Object:");
DEFINE("_EAB_OBJ_OVW1","Reference Nr.");
DEFINE("_EAB_OBJ_OVW2","Title");
DEFINE("_EAB_OBJ_OVW3","Location");
DEFINE("_EAB_OBJ_OVW4","Category");
DEFINE("_EAB_OBJ_OVW_AGENT","Agent");							//new (ME 1.1.0)
DEFINE("_EAB_OBJ_OVW5","Status");
DEFINE("_EAB_OBJ_SELECT_VERIFYSTATUS","Select Verify Status"); 	//new (ME 1.0.3)
DEFINE("_EAB_OBJ_VERIFY","Verify");								//new (ME 1.0.3)
DEFINE("_EAB_OBJ_VERIFIED","Verified");							//new (ME 1.0.3)
DEFINE("_EAB_OBJ_NOTVERIFIED","Not Verified");					//new (ME 1.0.3)
DEFINE("_EAB_OBJ_OVW6","Hits");	
DEFINE("_EAB_OBJ_OVW61","Hot Offer");
DEFINE("_EAB_OBJ_OVW62","Access");
DEFINE("_EAB_OBJ_OVW63","Entries");
DEFINE("_EAB_OBJ_OVW64","Pictures");
DEFINE("_EAB_OBJ_OVW7","Display Object...");
DEFINE("_EAB_OBJ_OVW8","Now ");
DEFINE("_EAB_OBJ_OVW9","Active");
DEFINE("_EAB_OBJ_OVW10","Expired");
DEFINE("_EAB_OBJ_OVW11","Object Not Active");

DEFINE("_EAB_OBJ_EDIT","Edit Object:");
DEFINE("_EAB_OBJ_NEW","New Object:");
DEFINE("_EAB_OBJ_EOVW","Overview");
DEFINE("_EAB_OBJ_ERFCNR","Reference Nr.");
DEFINE("_EAB_OBJ_EDSPT","Description");
DEFINE("_EAB_OBJ_ECAT","Category");
DEFINE("_EAB_OBJ_ETTL","Header Title");
DEFINE("_EAB_OBJ_COPY","Copy of: ");							//new (ME 1.0.3)
DEFINE("_EAB_OBJ_EDCPT","Description");
DEFINE("_EAB_OBJ_ELCTN","Location / Vicinity");
DEFINE("_EAB_OBJ_ECNTN","Condition");
DEFINE("_EAB_OBJ_EOTHR","Miscellaneous");

DEFINE("_EAB_OBJ_EEXP","Expose");
DEFINE("_EAB_OBJ_EDTLS","Detailed Information");
DEFINE("_EAB_OBJ_ENRRMS","Number of Rooms");
DEFINE("_EAB_OBJ_EDWGN","Living Space");
DEFINE("_EAB_OBJ_BEDROOMS","Number of Bedrooms");
DEFINE("_EAB_OBJ_WC","Number of WC/Bathrooms");
DEFINE("_EAB_OBJ_EHMS","Apartments");
DEFINE("_EAB_OBJ_EHMSS","Total Living Space");
DEFINE("_EAB_OBJ_ETUTS","Trade Units");
DEFINE("_EAB_OBJ_ETUSZ","Total Trade Space");
DEFINE("_EAB_OBJ_EPPSZ","Property Size");
DEFINE("_EAB_OBJ_EGRDNSZ","Garden");
DEFINE("_EAB_OBJ_EPSTN","Floor(s) / Location");
DEFINE("_EAB_OBJ_ELFT","Elevator");
DEFINE("_EAB_OBJ_HANDICAP","Handicap Righteous");
DEFINE("_EAB_OBJ_EYOBLT","Year Of Construction");
DEFINE("_EAB_OBJ_ETOHT","Heating Type");
DEFINE("_EAB_OBJ_ETOHTUF","Underfloor Heating");
DEFINE("_EAB_OBJ_FIRESIDE","Open Fireside");
DEFINE("_EAB_OBJ_AIRCONDITION","Air Condition");
DEFINE("_EAB_OBJ_TV","Cable-TV/Sat");
DEFINE("_EAB_OBJ_DSL","DSL / Internet");
DEFINE("_EAB_OBJ_EBLCY","Balcony");
DEFINE("_EAB_OBJ_ETRCE","Terrace");
DEFINE("_EAB_OBJ_SWPOOL","Indoor/Outdoor Pool");
DEFINE("_EAB_OBJ_EPKAE","Parking Lot");
DEFINE("_EAB_OBJ_EGRG","Garage");
DEFINE("_EAB_OBJ_EFNZI","Financial Information");
DEFINE("_EAB_OBJ_ERNTC","Rent");
DEFINE("_EAB_OBJ_ERNTX","Additional Expenses");
DEFINE("_EAB_OBJ_EPRCE","Property Value");
DEFINE("_EAB_OBJ_ERCPTSM","Rent Income / Month");
DEFINE("_EAB_OBJ_ECMMSN","Brokerage");
DEFINE("_EAB_OBJ_ESCRE","Deposit");
DEFINE("_EAB_OBJ_ELCTN1","Object Location");
DEFINE("_EAB_OBJ_ESTRNR","Street, Nr.");
DEFINE("_EAB_OBJ_EPCTWN","Zip Code, Town");
DEFINE("_EAB_OBJ_EPTWN","Town");
DEFINE("_EAB_OBJ_EDSCT","District");
DEFINE("_EAB_OBJ_ESTTE","State");
DEFINE("_EAB_OBJ_ECNTR","Country");

DEFINE("_EAB_OBJ_EGLR","Gallery");
DEFINE("_EAB_OBJ_EPBLSH","Publishing");
DEFINE("_EAB_OBJ_EPBLSH1","Publishing Options");
DEFINE("_EAB_OBJ_CRTD","Created Date");
DEFINE("_EAB_OBJ_EPBLSHST","Start Date");
DEFINE("_EAB_OBJ_EPBLSHE","End Date");
DEFINE("_EAB_OBJ_EPBLSHA","Publish");
DEFINE("_EAB_OBJ_EPHOT","Hot Offer");
DEFINE("_EAB_OBJ_PUBNEVER","Never");
DEFINE("_EAB_OBJ_RESETCNT_SUCCESS","Successfully Reset Hit Counter");
DEFINE("_EAB_OBJ_RESETCNT","Reset Counter.");
DEFINE("_EAB_OBJ_CHANGE_OWNER","Change Owner");
DEFINE("_EAB_OBJ_METAINFO","Meta Informations");
DEFINE("_EAB_OBJ_METAKEYS","Keywords");
DEFINE("_EAB_OBJ_METADESC","Description");

DEFINE("_EAB_OBJ_EGLNF","Picture Upload");
DEFINE("_EAB_OBJ_EGLNFT","Title");
DEFINE("_EAB_OBJ_EGLNFD","Description");
DEFINE("_EAB_OBJ_EGLCHF","Select Picture");
DEFINE("_EAB_OBJ_EGLUF","Upload Picture");
DEFINE("_EAB_OBJ_EGLPNR","Nr.");
DEFINE("_EAB_OBJ_EGLPIC","Preview");
DEFINE("_EAB_OBJ_EGLPO","Order");
DEFINE("_EAB_OBJ_EGLPUP","Move up");
DEFINE("_EAB_OBJ_EGLPDW","Move down");
DEFINE("_EAB_OBJ_EGLPDLT","Delete Picture");
DEFINE("_EAB_OBJ_NOIMG","No Images Found. Please Click On 'Gallery' Below, To Add Images!");
DEFINE("_EAB_OBJ_IMAGES","Images");
DEFINE("_EAB_OBJ_IMAGES_PREVIEW","Image Preview");

DEFINE("_EAB_CAT_OVW","Select Category:");
DEFINE("_EAB_CAT_OVW1","Display");
DEFINE("_EAB_CAT_OVW2","Title");
DEFINE("_EAB_CAT_OVW3","Description");
DEFINE("_EAB_CAT_OVW31","Order");
DEFINE("_EAB_CAT_OVW4","Status");
DEFINE("_EAB_CAT_OVW5","Category enabled");
DEFINE("_EAB_CAT_OVW6","Category disabled");
DEFINE("_EAB_CAT_OVW7"," - Main Category - ");
DEFINE("_EAB_CAT_ECAT","Edit Category");
DEFINE("_EAB_CAT_ENCAT","New Category");
DEFINE("_EAB_CAT_ECHCAT","Upper Category");
DEFINE("_EAB_CAT_ECNME","Category Name");
DEFINE("_EAB_CAT_ECDSCPT","Desription");
DEFINE("_EAB_CAT_ECPBLSH","Publish");

DEFINE("_EAB_CFG_STS01","No");
DEFINE("_EAB_CFG_STS02","Yes");
DEFINE("_EAB_CFG_STS03","metric (m&sup2)");
DEFINE("_EAB_CFG_STS04","anglo-american (ft&sup2)");
DEFINE("_EAB_CFG_RSS_GLOBAL","Enable global RSS feed");
DEFINE("_EAB_CFG_STS05","Access");
DEFINE("_EAB_CFG_STS051","Public");
DEFINE("_EAB_CFG_STS06","Registered");
DEFINE("_EAB_CFG_STS07","Special");
DEFINE("_EAB_CFG_TMPL","Template");								// new ME 1.1.0
DEFINE("_EAB_CFG_TMPL_INFO","Notice: only 'Extendend' supports GoogleMaps");	// new ME 1.1.0
DEFINE("_EAB_CFG_STS08","One Column");
DEFINE("_EAB_CFG_STS09","Two Columns");
DEFINE("_EAB_CFG_STS1","is");
DEFINE("_EAB_CFG_STS102","writeable");
DEFINE("_EAB_CFG_STS103","not writable");
DEFINE("_EAB_CFG_STS3","Global");
DEFINE("_EAB_CFG_IMAGES","Gallery");
DEFINE("_EAB_CFG_CATEGORIES","Categories");
DEFINE("_EAB_CFG_OBJECTS","Objects");
DEFINE("_EAB_CFG_SEARCH","Search");
DEFINE("_EAB_CFG_MAPS","Maps");									// changed ME 1.1.0
DEFINE("_EAB_CFG_STS6","MisterEstate Offline?");
DEFINE("_EAB_CFG_STS7","Offline Message");
DEFINE("_EAB_CFG_STS71","Global Image Settings");
DEFINE("_EAB_CFG_STS8","Picture Directory");
DEFINE("_EAB_CFG_PICPATH_STATUS","<b>Status</b> ( Present? / Writeable? ): ");
DEFINE("_EAB_CFG_STS10","max. Picture Size");
DEFINE("_EAB_CFG_STS11","Graphics Library");
DEFINE("_EAB_CFG_GDINFO","Select The GD Library Which Is Installed On Your Server. If You\'re Not Sure, Ask Your Administrator Or Provider.");
DEFINE("_EAB_CFG_STS112","Resize Images To ");
DEFINE("_EAB_CFG_PROPORTIONS","Constrain Proportions?");
DEFINE("_EAB_CFG_STS114","Image Quality (Compression)");
DEFINE("_EAB_CFG_WATERMARK","Create Watermark On Images?");
DEFINE("_EAB_CFG_STS12","Thumbnail Size");
DEFINE("_EAB_CFG_STS13","Thumbnail Quality");
DEFINE("_EAB_CFG_STS14","Square Measure Unit");
DEFINE("_EAB_CFG_STS15","Currency");
DEFINE("_EAB_CFG_STS151","Currency Format");
DEFINE("_EAB_CFG_STS152","19.999,00");
DEFINE("_EAB_CFG_STS153","19,999.00");
DEFINE("_EAB_CFG_STS154","Show Object's Short Informations?");
DEFINE("_EAB_CFG_SHORTTEXT_LENGTH","Maximum amount of chars for the short description?"); 			//new (ME 1.1.0)
DEFINE("_EAB_CFG_SHOWLOCATION","Show Complete Location?");
DEFINE("_EAB_CFG_LOCATIONREQUIRED","Whole Address, including street and housenumber, will be shown. This is required for MAP24 Support!");
DEFINE("_EAB_CFG_STS16","Caution: Some Versions Of MS InternetExplorer Won't Display The EURO-Symbol Here, But Will Show It Correctly In The Frontend!");
DEFINE("_EAB_CFG_STS17","Frontend");
DEFINE("_EAB_CFG_STS18","Category Layout On Frontpage");
DEFINE("_EAB_CFG_STS19","Show Subcategories On Frontpage?");
DEFINE("_EAB_CFG_FULLCATVIEW","Show Categories Overview Recursive?");
DEFINE("_EAB_CFG_STS20","Show Category Links With Amount Of Containing Entries?");
DEFINE("_EAB_CFG_READMORE_ACCESS","Show description full length only to registered users?");		//new (ME 1.1.0)
DEFINE("_EAB_CFG_STS21","Object Entries Per Page");
DEFINE("_EAB_CFG_STS211","Position Of Hot Offers");
DEFINE("_EAB_CFG_STS212","Top");
DEFINE("_EAB_CFG_STS213","Bottom");
DEFINE("_EAB_CFG_SHOW_HOT_EVERYWHERE","Show hot offers within regular object overview also?");		//new (ME 1.1.0)
DEFINE("_EAB_CFG_HOTCOLOR","Coloured Emphasis Of Hot Offers");
DEFINE("_EAB_CFG_HOTONFP","Hot Offers Presentation");
DEFINE("_EAB_CFG_HOTOPTION0","Nowhere");
DEFINE("_EAB_CFG_HOTOPTION1","Only On Frontpage");
DEFINE("_EAB_CFG_HOTOPTION2","Only In Categories");
DEFINE("_EAB_CFG_HOTOPTION3","On Frontpage And In Categories");
DEFINE("_EAB_CFG_HOTONFPAMOUNT","Amount Of Hot Offers On Frontpage?");
DEFINE("_EAB_CFG_MAILTOFRIEND","Show \"Email To Friend\"-Button");
DEFINE("_EAB_CFG_MTF_TYPE1","As Textlink");
DEFINE("_EAB_CFG_MTF_TYPE2","As Icon");
DEFINE("_EAB_CFG_SHORTINFO1","Rent/Value");
DEFINE("_EAB_CFG_SHORTINFO2","Country");
DEFINE("_EAB_CFG_SHORTINFO3","State");
DEFINE("_EAB_CFG_SHORTINFO4","Town");
DEFINE("_EAB_CFG_SHORTINFO5","District");
DEFINE("_EAB_CFG_MISC","Miscellaneous");
DEFINE("_EAB_CFG_FOOTER","Display Copyright");
DEFINE("_EAB_CFG_FOOTER1","As Textlink");
DEFINE("_EAB_CFG_FOOTER2","As Image");
DEFINE("_EAB_CFG_FOOTER_INFO","If You don`t want to show the `powered by ...` link, please sponsor the <b>further development</b> and <b>free avalaibility</b> with a small donation - or provide somewhere else the credits, for example on a separate page or with a tool like <b>mosCredits</b>!");
DEFINE("_EAB_CFG_FOOTER_NOTICE","MisterEstate is chargefree and gives you the freedom, to deactivate the visibility of the copyright-footer at the frontend.<br />
		Please support the further develoment and chargefree availability before you deactivate the footer! Thanks!");
DEFINE("_EAB_CFG_MAP24_SPRT","MAP24 ('Link2Map') - Support?");
DEFINE("_EAB_CFG_MAP24_INFO1","This Will Show The Location Of Your Real Estate Objects On A Dynamically Generated Map In A New Window.");
DEFINE("_EAB_CFG_MAP24_LID","Your MAP24 LID");
DEFINE("_EAB_CFG_MAP24_GTD","General Target Description");
DEFINE("_EAB_CFG_MAP24_TLOGO","URL of Target Logo");
DEFINE("_EAB_CFG_MAP24_INFO4","The Image Will Mark The Destination Object On The Generated Map - Why Not Use Your Business Logo, For Example?! Notice: File Should Not Be Bigger Than 9KB And IN GIF, JPG Or PNG - Format.");
DEFINE("_EAB_CFG_MAP24_LIMG","URL of MAP24 - Symbol");
DEFINE("_EAB_CFG_MAP24_MAP","Map Type");
DEFINE("_EAB_CFG_MAP24_STATIC","Static");
DEFINE("_EAB_CFG_MAP24_DYNAMIC","Dynamic");
DEFINE("_EAB_CFG_MAP24_LGV","MAP24 Language Version");
DEFINE("_EAB_CFG_MAP24_INFO2","If you haven't a MAP24 account yet, go to <a href=\"http://www.map24.com\" target=\"_blank\">MAP24.com</a> and create a 'link2map' account - it's chargefree!");
DEFINE("_EAB_CFG_MAP24_INFO3","Notice: the MAP24 service will choose the right language for your website visitor automatically. If you wish, you can preselect an language version here instead.");
DEFINE("_EAB_CFG_MAP24_INFO5","The Image Will Show The MAP24-Link On Your Objects Site.");
DEFINE("_EAB_CFG_GMAP_ON","Use GoogleMaps?");																						// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_APIKEY","GoogleMap API-Key");																					// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_APIKEY_INFO","For using GoogleMaps services you need a Google account and an API-Key for your domain.<br />
		You can get both over there on <a href='http://www.google.com/apis/maps/' target='_blank'>www.google.com/apis/maps/</a>
		respectively on <a href='http://maps.google.com/maps' target='_blank'>maps.google.com/maps</a>.");							// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_WIDTH","GMap Breite in Pixel/Prozent");																		// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_HEIGHT","GMap H&ouml;he in Pixel/Prozent");																	// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_DEFAULTTYPE","GMap Kartentyp");																				// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_MAP","Map");																									// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_HYBRID","Hybrid");																							// new ME 1.1.0
DEFINE("_EAB_CFG_GMAP_SATELLITE","Satellite");																						// new ME 1.1.0
DEFINE("_EAB_CFG_MTG","Default Settings:");
DEFINE("_EAB_CFG_MTGC","Mortgage Calculator Enabled?");
DEFINE("_EAB_CFG_MTGC_DEF_INT_PERCNT","Interest Percent");
DEFINE("_EAB_CFG_MTGC_DEF_YEAR_TERM","Year Term");
DEFINE("_EAB_CFG_MTGC_YEARS"," Years");
DEFINE("_EAB_CFG_MTGC_DEF_DOWN_PERCNT","Down Percent");
DEFINE("_EAB_CFG_MTGC_DEF_SHOW_PROGRESS","Show Progress?");
DEFINE("_EAB_CFG_STS23","Gallery Mode?");
DEFINE("_EAB_CFG_STS23_INFO","Notice: for multimedia files presentation use <b>Thickbox</b> mode.");	//new (ME 1.1.0)
DEFINE("_EAB_CFG_STS24","Extras");
DEFINE("_EAB_CFG_STS25","MAP24");
DEFINE("_EAB_CFG_STS26","Searchform Options");
DEFINE("_EAB_CFG_FREESEARCH","Enable Free Search?");
DEFINE("_EAB_CFG_STS27","Enable Location Search?");
DEFINE("_EAB_CFG_LOC_SRCHTYPE","Location Search Type");
DEFINE("_EAB_CFG_LOC_SRCHTYPE1","Step By Step");
DEFINE("_EAB_CFG_LOC_SRCHTYPE2","Free Selection");
DEFINE("_EAB_CFG_STS271","Enable Extended Search?");
DEFINE("_EAB_CFG_ALLOW_USR_SUBMISSION","Allow users, to add own objects through frontend?");			//new (ME 1.0.3)
DEFINE("_EAB_CFG_MAX_OBJECTS_PER_USER","Maximum amount of objects per user? (0 = without limit)");		//new (ME 1.0.3)
DEFINE("_EAB_CFG_USR_GID","Which group can submit own objects through frontend?");						//new (ME 1.0.3)
DEFINE("_EAB_CFG_USR_AUTOVERIFY","Autoverify new objects?");											//new (ME 1.0.3)
DEFINE("_EAB_CFG_USR_INDIVIDUAL_GLS","Users can set individual picture dimensions?");					//new (ME 1.0.3)

DEFINE("_EAB_CFG_ERROR1","Configuration Not Saved!");
DEFINE("_EAB_CFG_SCSS","Configuration Saved Successfully.");
DEFINE("_EAB_OBJ_ERROR1","The Object Does Not Have A Reference Nr.");
DEFINE("_EAB_OBJ_ERROR2","The Object Does Not Have A Title.");
DEFINE("_EAB_OBJ_ERROR3","Title Has More Than 100 Characters.");
DEFINE("_EAB_OBJ_ERROR31","Please Assign The Object To A Category"); 
DEFINE("_EAB_OBJ_ERROR4","The Description Of Object Is Missing");
DEFINE("_EAB_OBJ_ERROR5","The Description Of Object Has More Than 250 Characters.");
DEFINE("_EAB_OBJ_ERROR6","The Description Of The Object Location/Vicinity Is Missing.");
DEFINE("_EAB_OBJ_ERROR7","Location/Vicinity Has More Than 250 Characters.");
DEFINE("_EAB_OBJ_ERROR8","The Description Of Object Condition Is Missing.");
DEFINE("_EAB_OBJ_ERROR9","Object Condition Has More Than 250 Characters.");
DEFINE("_EAB_OBJ_ERROR10","Miscellaneous Has More Than 250 Characters.");
DEFINE("_EAB_OBJ_ERROR12","Town was Not Specified.");
DEFINE("_EAB_OBJ_ERROR13","State Was Not Specified.");
DEFINE("_EAB_OBJ_ERROR14","Please Check Publication Data.");
DEFINE("_EAB_OBJ_ERROR15","The Publication Field Must Be Activated.");
DEFINE("_EAB_OBJ_ERROR16","Please Select An Object For Deletion!");
DEFINE("_EAB_OBJ_ERROR17","Please Select One Object For This Action At Least!");

DEFINE("_EAB_OBJ_ERROR","Object Not Changed/Saved!");
DEFINE("_EAB_OBJ_SCSS","Object Successfully Changed/Saved!");
DEFINE("_EAB_OBJ_DELERROR","Object Was Not Completely Deleted!");
DEFINE("_EAB_OBJ_DELSCSS","Object Successfully Deleted!");
DEFINE("_EAB_CAT_ERROR1","Category Name Missing.");
DEFINE("_EAB_CAT_ERROR2","Category Not Deleted.");
DEFINE("_EAB_CAT_SCSS1","Category Successfully Deleted.");
DEFINE("_EAB_CAT_CREATECAT","You must create 1 category at least, before you can add objects.");

DEFINE("_EAB_GL_FIRSTPIC","<span style='color:#887bff'>*** This Picture Will Be Visible On Categories And Object's Overview. ***</span>");
DEFINE("_EAB_GL_USC","File Uploaded Successfully!");
DEFINE("_EAB_GL_UTB","Upload failed - File Is To Big!");
DEFINE("_EAB_GL_FAE","Upload failed - A File With This Name Already Exists!");
DEFINE("_EAB_GL_FT","Upload failed - Filetype Must Be PNG Or JPG!");
DEFINE("_EAB_GL_FCD","Upload failed - Can\'t Copy File To The Destination Directory!");
DEFINE("_EAB_GL_UFS","Upload failed - Can\'t Upload File!");
DEFINE("_EAB_GL_ERROR1","Title Is Missed!");
DEFINE("_EAB_GL_ERROR2","Error - The Maximum Amount Of Uploadable Pictures Is Reached!");
DEFINE("_EAB_GL_ERROR3","Error - File Can't Be Deleted!");
DEFINE("_EAB_GL_ERROR4","Error - Can Not Move To Destination Directory!");
DEFINE("_EAB_CFG_MP","Maximum Amount Of Pictures / Object");
DEFINE("_EAB_GL_NOFILE","File Not Found!");
DEFINE("_EAB_GL_NOGD","GD Image Library Is Not Avalaible!");
DEFINE("_EAB_GL_NOGD2","GD2 Image Library Is Not Avalaible!");
DEFINE("_EAB_GL_NOTHMBCREAT","Error: Couldn't Create Thumbnail!");
DEFINE("_EAB_GL_TITLEERROR","Image title must only contain alphanumeric characters!");
DEFINE("_EAB_HITCOUNTER","Hits");

// Frontend language definitions ------------------------------

// Navigation language definitions
DEFINE("_EA_TITLE","Property-Database");
DEFINE("_EA_TOPMENU","Home");
DEFINE("_EA_ADVSEARCH","Advanced Search");
DEFINE("_EA_FASTSEARCH","Search");
DEFINE("_EA_NEWSEARCH","New Search");
DEFINE("_EA_UP",":: up ::");
DEFINE("_EA_BEFOREENTRIES","There are");
DEFINE("_EA_AFTERENTRIES","Object(s) in the Database.");
DEFINE("_EA_HOT_OFFERS","Our Hot Offers");
DEFINE("_EA_NORM_OFFERS","Our Current Offers");
DEFINE("_EA_OBJECT","Object");
DEFINE("_EA_PAGES","Page(s):");
DEFINE("_EA_STMT_YES","Yes");
DEFINE("_EA_STMT_NO","No");
DEFINE("_EA_OBJ_OVERVIEW","Overview");
DEFINE("_EA_OBJ_EXPOSE","Expose");
DEFINE("_EA_OBJ_DOWNLOAD_EXPOSE","Download Expose");
DEFINE("_EA_OBJ_PICS","Gallery");
DEFINE("_EA_OBJ_SLT_PICS","Select Picture");
DEFINE("_EA_OBJ_NEWPICS","Upload Pictures");
DEFINE("_EA_OBJ_PICMANAGER","Picture Manager");
DEFINE("_EA_OBJ_PICPREVIEW","Picture Preview");
DEFINE("_EA_OBJ_ORDER","Order");
DEFINE("_EA_OBJ_PICDELETE","[Delete Picture]");
DEFINE("_EA_BTT_UPLOAD","Upload");
DEFINE("_EA_OBJ_PUBLISH","Publish");
DEFINE("_EA_OBJ_STRT_PUBLISH","Start");
DEFINE("_EA_OBJ_END_PUBLISH","End");
DEFINE("_EA_OBJ_PICS_FULL","(Click To View Full Sized)");
DEFINE("_EA_OBJ_MPICS","[More Pictures]");
DEFINE("_EA_OBJ_MINFO","[More]");
DEFINE("_EA_OBJ_REGISTER_FOR_MINFO","[register now for more details]"); 					//new (ME 1.1.0)
DEFINE("_EA_OBJ_TOOLS","Tools");
DEFINE("_EA_OBJ_CONTACT","Contact");
DEFINE("_EA_OBJ_CONTACTMAIL","[Contact by E-Mail]");
DEFINE("_EA_OBJ_MAINDESCRIPT","Object Description");
DEFINE("_EA_OBJ_REFERENCEID","Reference Nr.");
DEFINE("_EA_OBJ_TYPE","Type / Category");
DEFINE("_EA_OBJ_TYPE_NOACCESS","Sorry, but you re not registered to see this!");
DEFINE("_EA_OBJ_MEDIA","Available Mediatypes:");
DEFINE("_EA_OBJ_IMAGES","Images:");
DEFINE("_EA_OBJ_MOVIES","Movies:");

// Searchform language definitions
DEFINE("_EA_SRCH_IN","Search in");
DEFINE("_EA_SRCH_FREE","Search for object ID or string");
DEFINE("_EA_SRCH_PART_LCN","Location Search");
DEFINE("_EA_SRCH_STEP","Step ");
DEFINE("_EA_SRCH_PART_EXT","Extended Search");
DEFINE("_EA_SRCH_EQUPMT_DETAILS","More Equipment Details");
DEFINE("_EA_SRCH_FOR_DWSPACE_1","< 50");
DEFINE("_EA_SRCH_FOR_DWSPACE_2","40 - 80");
DEFINE("_EA_SRCH_FOR_DWSPACE_3","70 - 120");
DEFINE("_EA_SRCH_FOR_DWSPACE_4","110 - 160");
DEFINE("_EA_SRCH_FOR_DWSPACE_5","150 - 220");
DEFINE("_EA_SRCH_FOR_DWSPACE_6","200 - 300");
DEFINE("_EA_SRCH_FOR_DWSPACE_7","> 300");
DEFINE("_EA_SRCH_FOR_ROOMS_1"," 1 ");
DEFINE("_EA_SRCH_FOR_ROOMS_2","min. 2");
DEFINE("_EA_SRCH_FOR_ROOMS_3","min. 3");
DEFINE("_EA_SRCH_FOR_ROOMS_4","min. 4");
DEFINE("_EA_SRCH_FOR_ROOMS_5","min. 5");
DEFINE("_EA_SRCH_FOR_ROOMS_6","min. 6");
DEFINE("_EA_SRCH_FOR_ROOMS_7","min. 7");
DEFINE("_EA_SRCH_FOR_ROOMS_8","min. 8");
DEFINE("_EA_SRCH_YOBUILT_1","New Building");
DEFINE("_EA_SRCH_YOBUILT_2","<10 y. old");
DEFINE("_EA_SRCH_YOBUILT_3","<20 y. old");
DEFINE("_EA_SRCH_YOBUILT_4","<40 y. old");
DEFINE("_EA_SRCH_YOBUILT_5","<60 y. old");
DEFINE("_EA_SRCH_YOBUILT_6","<80 y. old");
DEFINE("_EA_SRCH_YOBUILT_7","Old Building");
DEFINE("_EA_CAT_OPTION",":: Select Category ::");
DEFINE("_EA_CAT_ALL","All Categories");
DEFINE("_EA_NO_OPTION",":: Please Select ::");
DEFINE("_EA_NOT_SELECTED",":: Not Selected ::");
DEFINE("_EA_SRCH_SORT1","Sort By");
DEFINE("_EA_SRCH_SORT2","Order");
DEFINE("_EA_SRCH_DATE","Date");
DEFINE("_EA_SRCH_BTT_SEARCH","Start Search");
DEFINE("_EA_SRCH_BTT_ADVSEARCH","Advanced Search");
DEFINE("_EA_SRCH_RESULTS1","Your search resulted in ");
DEFINE("_EA_SRCH_RESULTS2"," Hits:");
DEFINE("_EA_SRCH_BTRESLTS","Back to Search Results");
DEFINE("_EA_SRCH_NORESULT","No Matching Objects Found. Please Specify Or Change Your Search Parameters And Try Again.");
DEFINE("_EA_SRCH_NOENTRIES","There Are No Public Entries In Our Database Yet.<br>Please Contact Us By Phone Or Try Again Later - Thank You!");
DEFINE("_EA_SRCH_MAX","max. Hits/Page");
DEFINE("_EA_SRCH_ASC","Ascending");
DEFINE("_EA_SRCH_DESC","Descending");
DEFINE("_EA_SRCHVALS_ERROR1","Please fill in an object ID or searchstring to search for!");
DEFINE("_EA_SRCHVALS_ERROR2","It's not possible to search for rent and price at the same time. Please choose one option!");
DEFINE("_EA_SRCHVALS_ERROR3","The lower rent value cannot go over the upper rent value! Please enter a valid combination!");
DEFINE("_EA_SRCHVALS_ERROR4","The lower price value cannot go over the upper price value! Please enter a valid combination!");
DEFINE("_EA_SRCH_OBLIGATED","Fields marked with <span style='color:red; font-weight:bold'>*</span> are obligated.");
DEFINE("_EA_SRCH_DISABLED","<center>Our Searchsite Is Disabled. Please Contact Us Per Mail Or Phone, If Youre Looking For Special Properties.</center>");

// Email language definitions
DEFINE("_EA_EMAIL_FRIEND","Recommend This Objekt To A Friend:");
DEFINE("_EA_ETF_EMAIL","Recipient\'s Email:");
DEFINE("_EA_ETF_SENDERNAME","Your Name:");
DEFINE("_EA_ETF_SENDEREMAIL","Your Email:");
DEFINE("_EA_ETF_ERR_NOEMAIL","Please Fill In Your And The Emailaddress Of Your Friend.");
DEFINE("_EA_ETF_MSG",'%s (%s) Want To Recommend You A Real Estate Object On %s:

You Can Find More Informations About Under The Following URL: 
%s

');
DEFINE("_EA_ETF_INFO","A Real Estate Recommendation For You From ");
DEFINE("_EA_ETF_SENT","The Recommendation Has Been Sent to %s. Thank You!");

// Category language definitions
DEFINE("_EA_CAT_ID","ID");
DEFINE("_EA_CAT_SUBS","Sub Categories:");
DEFINE("_EA_CAT_TITLE","Category");
DEFINE("_EA_CAT_DESCRIPT","Description");

// Object language definitions
DEFINE("_EA_OBJ_ID","ID");
DEFINE("_EA_OBJ_HEADER","Title");
DEFINE("_EA_OBJ_REFERENCE","Reference");
DEFINE("_EA_OBJ_TITLE","Object");
DEFINE("_EA_OBJ_DATA","Object Data");
DEFINE("_EA_OBJ_DESCRIPT","Description");
DEFINE("_EA_OBJ_LOCATION","Location / Vicinity");
DEFINE("_EA_OBJ_EQUIP","Equipment");
DEFINE("_EA_OBJ_CONDITION","Condition");
DEFINE("_EA_OBJ_FURTHER","Miscellaneous");
DEFINE("_EA_OBJ_ROOMNR","Rooms");
DEFINE("_EA_OBJ_BEDROOMS","Bedrooms");
DEFINE("_EA_OBJ_WC","WC/Bathrooms");
DEFINE("_EA_OBJ_DWSPACE","Living-/Useable Space");

DEFINE("_EA_OBJ_HOMES","Appartments");
DEFINE("_EA_OBJ_HOMES_SIZE","Living Space");
DEFINE("_EA_OBJ_TRADE_UNITS","Trade Units");
DEFINE("_EA_OBJ_TRADE_SIZE","Trade Size");
DEFINE("_EA_OBJ_PP_SIZE","Property Size");

DEFINE("_EA_OBJ_POSITION","Floor(s) / Location");
DEFINE("_EA_OBJ_LIFT","Elevator");
DEFINE("_EA_OBJ_HANDICAP","Handicap Righteous");
DEFINE("_EA_OBJ_BALCONY","Balcony");
DEFINE("_EA_OBJ_TERRACE","Terrace");
DEFINE("_EA_OBJ_GARDEN","Garden");
DEFINE("_EA_OBJ_POOL","Swimming Hall / Pool");
DEFINE("_EA_OBJ_PAREA","Parking Lot");
DEFINE("_EA_OBJ_GARAGE","Garage");
DEFINE("_EA_OBJ_TOHEAT","Heating Type");
DEFINE("_EA_OBJ_TOHEAT_UFLOOR","Underfloor Heating");
DEFINE("_EA_OBJ_FIRESIDE","Open Fireside");
DEFINE("_EA_OBJ_AIRCONDITION","Air Condition");
DEFINE("_EA_OBJ_TV","Cable TV / Sat");
DEFINE("_EA_OBJ_DSL","DSL / Internet");
DEFINE("_EA_OBJ_YOBUILT","Year of Construction");
DEFINE("_EA_OBJ_PRICES","Financial Information");
DEFINE("_EA_OBJ_RENT","Rent");
DEFINE("_EA_OBJ_ECOSTS","Additional Expenses");
DEFINE("_EA_OBJ_PRICE","Price");
DEFINE("_EA_OBJ_COMMIS","Brokerage");
DEFINE("_EA_OBJ_SECURE","Deposit");
DEFINE("_EA_OBJ_RENT_RCPTS","Rent Income");

DEFINE("_EA_OBJ_ADDRESS","Object Location");
DEFINE("_EA_OBJ_ADDRESS2","Address");
DEFINE("_EA_OBJ_STREET","Street");
DEFINE("_EA_OBJ_STREETNR","Nr.");
DEFINE("_EA_OBJ_PLACE","Municipality");
DEFINE("_EA_OBJ_PCODE","Zip Code");
DEFINE("_EA_OBJ_TOWN","Town");
DEFINE("_EA_OBJ_DISTRICT","District");
DEFINE("_EA_OBJ_STATE","State");
DEFINE("_EA_OBJ_COUNTRY","Country");

// gallery language definitions first
DEFINE("_EA_GL_FIRST","first");
DEFINE("_EA_GL_BACK","back");
DEFINE("_EA_GL_NEXT","next");
DEFINE("_EA_GL_LAST","last");
DEFINE("_EA_GL_START","start");
DEFINE("_EA_GL_STOP","stop");
DEFINE("_EA_GL_FASTER","faster");
DEFINE("_EA_GL_SLOWER","slower");
DEFINE("_EA_GL_MENU1","Bind & Upload");
DEFINE("_EA_GL_MENU2","Edit & Order");
DEFINE("_EA_GL_MENU3","Preview");
DEFINE("_EA_GL_MENU4","Back");
DEFINE("_EA_GL_CLOSEWIN","Close Window");
DEFINE("_EA_GL_BINDTOOBJ","Link Existing Images To The Current Object:");
DEFINE("_EA_GL_AVAILIMAGES","Avalaible Images:");
DEFINE("_EA_GL_ADDTO","Add Image To Object Gallery:");
DEFINE("_EA_GL_REMOVEFROM","Remove From Object Gallery:");
DEFINE("_EA_GL_IMGTOLINK","Images To Link:");
DEFINE("_EA_GL_SAVELINKS","Save Links");
DEFINE("_EA_GL_OBJIMAGES","Object Images");
DEFINE("_EA_GL_CLKPREVIEW","Click To Preview");
DEFINE("_EA_GL_EDITIMAGES","Edit Images");
DEFINE("_EA_GL_UPLOADIMG","File Upload");
DEFINE("_EA_GL_FILETYPE","File Type: ");
DEFINE("_EA_GL_UPLOADSETTINGS","Individual Upload Settings");
DEFINE("_EA_GL_UPLOADDIR","Destination");
DEFINE("_EA_GL_MAXFILESIZE","Max. File Size");
DEFINE("_EA_GL_IMGSETTINGS","Individual Image Settings");
DEFINE("_EA_GL_IMGWIDTH","Width");
DEFINE("_EA_GL_IMGHEIGHT","Height");
DEFINE("_EA_GL_IMGQUALITY","Quality");
DEFINE("_EA_GL_IMGPROPORTIONS","Constrain Proportions");
DEFINE("_EA_GL_THUMBSETTINGS","Individual Thumbnail Settings");
DEFINE("_EA_GL_CREATETHUMB","Create Thumbnail");
DEFINE("_EA_GL_IMAGE","Image");
DEFINE("_EA_GL_SAVECHANGES","Save Changes");
DEFINE("_EA_GL_FILE","File");
DEFINE("_EA_GL_DELETEFILE","Delete File");
DEFINE("_EA_GL_NOIMAGE","No Image Avalaible");
DEFINE("_EA_GL_UPLOADSUCCESS","File uploaded successfull!");

// contactform language definitions
DEFINE("_EA_CTF_OBLFIELD","(<span style='color:red; font-weight:bold'>*</span> Obligate Fields)");
DEFINE("_EA_CTF_FINANZFLD","(Please Enter The Rent Or The Price.)");
DEFINE("_EA_CTF_CONTACTADRESS","Contact Address");
DEFINE("_EA_CTF_NAME","Name");
DEFINE("_EA_CTF_FON","Phone");
DEFINE("_EA_CTF_FAX","Fax");
DEFINE("_EA_CTF_MAIL","E-Mail");
DEFINE("_EA_CTF_SUBJECT","Subject");
DEFINE("_EA_CTF_INSPECT","Inspection Date Desired");
DEFINE("_EA_CTF_MESSAGE","Message");
DEFINE("_EA_BT_RESET","Delete");
DEFINE("_EA_BT_SUBMIT","Submit");
DEFINE("_EA_CTF_MSUCCESS","The Email Was Sent Sucessfully.<br>Thank You For Your Visit!");
DEFINE("_EA_CTF_MNOSUCCESS","The Email Could Not Be Sent!");
DEFINE("_EA_CTF_MAIL1","You've Got Mail From A Website Visitor.\n");
DEFINE("_EA_CTF_MAIL2","The Message Was Sent At ");
DEFINE("_EA_CTF_MAIL3"," \n\n");
DEFINE("_EA_CTF_MAIL4","Sender:\n");
DEFINE("_EA_CTF_VAL_CTC","Please Enter Your Name!");
DEFINE("_EA_CTF_VAL_MSG","Please Enter A Short Message!");							//new (ME 1.1.0)
DEFINE("_EA_CTF_NO_VALID_EMAIL","Please Enter A Valid Emailaddress!");				//new (ME 1.1.0)

// usercontact language definitions
DEFINE("_EA_USR_YOUROBJ","My Objects");												//new (ME 1.0.3)
DEFINE("_EA_USR_YOUR_CONTACTDATA","Contactdata");									//new (ME 1.0.3)
DEFINE("_EA_USR_NOOBJECTS_FOUND","No Objects found.");								//new (ME 1.0.3)
DEFINE("_EA_USR_NONEWOBJECTS","Youve reached the maximum amount of objects. No cant add new objects."); //new (ME 1.0.3)
DEFINE("_EA_USR_COMPANYNAME","Agent or Company Name");								//new (ME 1.0.3)
DEFINE("_EA_USR_ADDRESS1","Address");												//new (ME 1.0.3)
DEFINE("_EA_USR_ADDRESS2","Zipcode / City");										//new (ME 1.0.3)
DEFINE("_EA_USR_STATE","State");													//new (ME 1.0.3)
DEFINE("_EA_USR_COUNTRY","Country");												//new (ME 1.0.3)
DEFINE("_EA_USR_FON","Fon");														//new (ME 1.0.3)
DEFINE("_EA_USR_FAX","Fax");														//new (ME 1.0.3)
DEFINE("_EA_USR_EMAIL","Email");													//new (ME 1.0.3)
DEFINE("_EA_USR_NONAME","Please fill in your name.");								//new (ME 1.0.3)
DEFINE("_EA_USR_NOADDRESS","Please fill in your address (street + number).");		//new (ME 1.0.3)
DEFINE("_EA_USR_NOADDRESS2","Please fill in your zipcode and city.");				//new (ME 1.0.3)
DEFINE("_EA_USR_NOCOUNTRY","Please fill inyour country.");							//new (ME 1.0.3)
DEFINE("_EA_USR_NOFON","Please fill in your fon number.");							//new (ME 1.0.3)
DEFINE("_EA_USR_NOMAIL","Please fill in your email.");								//new (ME 1.0.3)
DEFINE("_EA_USR_NOCONTACT","<div style='color:red'>You must complete your address informations, before youre able to add own objects.</div>"); //new (ME 1.0.3)

// Mortgage Calculator
DEFINE("_EA_MTGCALC","Mortgage Calculator");
DEFINE("_EA_MTG_INFO","This mortgage calculator can be used to figure out monthly payments of a home mortgage loan,"
					. " based on the home\'s sale price, the term of the loan desired, buyer\'s down payment percentage, and the loan\'s interest rate.<br />"
					. "This calculator factors in PMI (Private Mortgage Insurance) for loans where less than 20\% is put as a down payment. "
					. "Also taken into consideration are the town property taxes, and their effect on the total monthly mortgage payment.");
DEFINE("_EA_MTG_PURCHASE","<b>Purchase &amp; Financing Information</b>");
DEFINE("_EA_MTG_SALESPRICE","Sale Price of Home:");
DEFINE("_EA_MTG_PRCNTDOWN","Percentage Down:");
DEFINE("_EA_MTG_LENGTH","Length of Mortgage:");
DEFINE("_EA_MTG_YEARS","years");
DEFINE("_EA_MTG_YEAR","Year: ");
DEFINE("_EA_MTG_MONTH","<b>Month</b>");
DEFINE("_EA_MTG_INTERESTPAID","<b>Interest Paid</b>");
DEFINE("_EA_MTG_PRINCIPALPAID","<b>Principal Paid</b>");
DEFINE("_EA_MTG_REMAININGBLNC","<b>Remaing Balance</b>");

DEFINE("_EA_MTG_INTERESTRATE","Annual Interest Rate:");
DEFINE("_EA_MTG_EXPLAINCALC","Explain Calculations:");
DEFINE("_EA_MTG_SHOWCALC","Show me the calculations and amortization");
DEFINE("_EA_MTG_CALCBTN","Calculate");
DEFINE("_EA_MTG_PAYMENT","<b>Mortgage Payment Information</b>");
DEFINE("_EA_MTG_DOWNPAYMENT","Down Payment:");
DEFINE("_EA_MTG_FINANCED","Amount Financed:");
DEFINE("_EA_MTG_MONTHLYPAYMNT","Monthly Payment:");
DEFINE("_EA_MTG_PMIINTEREST","(Principal &amp; Interest ONLY)");
DEFINE("_EA_MTG_LESSDOWN","Since you are putting LESS than 20\% down, you will need to pay PMI ");
DEFINE("_EA_MTG_PMI","Private Mortgage Insurance");
DEFINE("_EA_MTG_PMI2","which tends to be about"); 
DEFINE("_EA_MTG_PMI3","per month for every 100,000"); 
DEFINE("_EA_MTG_PMI4","financed (until you have paid off 20\% of your loan). This could add");
DEFINE("_EA_MTG_PMI5","to your monthly payment.");
DEFINE("_EA_MTG_PMIINTEREST2","(Principal &amp; Interest, and PMI)");
DEFINE("_EA_MTG_PMITXT","PMI and ");
DEFINE("_EA_MTG_TAXES","Residential (or Property) Taxes are a little harder to figure out... In Massachusetts, the average resedential tax rate seems to be around $14 per year for every $1,000 of your property's assessed value.
                <br><br>
                Let's say that your property's <i>assessed value</i> is 85\% of what you actually paid for it -");
DEFINE("_EA_MTG_TAXES2","This would mean that your yearly residential taxes will be around ");
DEFINE("_EA_MTG_TAXES3","This could add");
DEFINE("_EA_MTG_TAXES4","to your monthly payment.");
DEFINE("_EA_MTG_TOTALPAYMNT","TOTAL Monthly Payment:");
DEFINE("_EA_MTG_PMITEXT","(including %s residential tax)");
DEFINE("_EA_MTG_TERMS","<b>Terms Description:</b>");
DEFINE("_EA_MTG_INFO2a","<b>Down Payment</b>");
DEFINE("_EA_MTG_INFO2b","The price of the home multiplied by the percentage down divided by 100.<br><br>%d %s = %d %s x ( %d / 100)");
DEFINE("_EA_MTG_INFO3a","<b>Interest Rate</b>");
DEFINE("_EA_MTG_INFO3b","The annual interest percentage divided by 100<br><br>%f = %d / 100");
DEFINE("_EA_MTG_INFO4","The <b>Monthly Factor</b> = The result of the following formula:");
DEFINE("_EA_MTG_INFO5a","<b>Monthly Interest rate</b>");
DEFINE("_EA_MTG_INFO5b","The annual interest rate divided by 12 (for the 12 months in a year)<br><br>%f = %f / 12");
DEFINE("_EA_MTG_INFO6a","<b>Month Term</b>");
DEFINE("_EA_MTG_INFO6b","The number of years you\'ve taken the loan out for times 12<br><br>%d Months = %d Years x 12");
DEFINE("_EA_MTG_INFO7a","<b>Montly Payment</b>");
DEFINE("_EA_MTG_INFO7b","The montly payment is figured out using the following formula:<br><br>Monthly Payment =");
DEFINE("_EA_MTG_INFO7c","<br /><br />The amortization breaks down how much of your monthly payment goes towards the bank\'s interest, and how much goes into paying off the principal of your loan.");
DEFINE("_EA_MTG_AMORTIZATION","Amortization For Monthly Payment: "); 
DEFINE("_EA_MTG_OVER","over");
DEFINE("_EA_MTG_TOTALS","Totals for year "); 
DEFINE("_EA_MTG_TOTALS1","You will spend");
DEFINE("_EA_MTG_TOTALS2"," on your house in year ");
DEFINE("_EA_MTG_TOTALS3"," will go towards INTEREST.");
DEFINE("_EA_MTG_TOTALS4"," will go towards PRINCIPAL.");
DEFINE("_EA_MTG_CLOSEWIN","Close Window");
DEFINE("_EA_MTGERROR1","You must enter a <b>Sale Price of Home</b>, <b>Length of Mortgage</b> <i>and</i> <b>Annual Interest Rate</b>");

// country ISO codes for EA (& MAP24.com support)
DEFINE('_COUNTRY_AF','Afghanistan');
DEFINE('_COUNTRY_AX','Aland Islands');
DEFINE('_COUNTRY_AL','Albania');
DEFINE('_COUNTRY_DZ','Algeria');
DEFINE('_COUNTRY_AS','American Samoa');
DEFINE('_COUNTRY_AD','Andorra');
DEFINE('_COUNTRY_AO','Angola');
DEFINE('_COUNTRY_AI','Anguilla');
DEFINE('_COUNTRY_AG','Antigua and Barbuda');
DEFINE('_COUNTRY_AR','Argentina');
DEFINE('_COUNTRY_AM','Armenia');
DEFINE('_COUNTRY_AW','Aruba');
DEFINE('_COUNTRY_AU','Australia');
DEFINE('_COUNTRY_AT','Austria');
DEFINE('_COUNTRY_AZ','Azerbaijan');
DEFINE('_COUNTRY_BS','Bahamas');
DEFINE('_COUNTRY_BH','Bahrain');
DEFINE('_COUNTRY_BD','Bangladesh');
DEFINE('_COUNTRY_BB','Barbados');
DEFINE('_COUNTRY_BY','Belarus');
DEFINE('_COUNTRY_BE','Belgium');
DEFINE('_COUNTRY_BZ','Belize');
DEFINE('_COUNTRY_BJ','Benin');
DEFINE('_COUNTRY_BM','Bermuda');
DEFINE('_COUNTRY_BT','Bhutan');
DEFINE('_COUNTRY_BO','Bolivia');
DEFINE('_COUNTRY_BA','Bosnia and Herzegowina');
DEFINE('_COUNTRY_BW','Botswana');
DEFINE('_COUNTRY_BV','Bouvet Island');
DEFINE('_COUNTRY_BR','Brazil');
DEFINE('_COUNTRY_VG','British Virgin Islands');
DEFINE('_COUNTRY_BN','Brunei Darussalam');
DEFINE('_COUNTRY_BG','Bulgaria');
DEFINE('_COUNTRY_BF','Burkina Faso');
DEFINE('_COUNTRY_MM','Burma');
DEFINE('_COUNTRY_BI','Burundi');
DEFINE('_COUNTRY_KH','Cambodia');
DEFINE('_COUNTRY_CM','Cameroon');
DEFINE('_COUNTRY_CA','Canada');
DEFINE('_COUNTRY_CV','Cape Verde');
DEFINE('_COUNTRY_KY','Cayman Islands');
DEFINE('_COUNTRY_CF','Central African Republic');
DEFINE('_COUNTRY_TD','Chad)');
DEFINE('_COUNTRY_CL','Chile');
DEFINE('_COUNTRY_CN','China');
DEFINE('_COUNTRY_CO','Colombia');
DEFINE('_COUNTRY_KM','Comoros');
DEFINE('_COUNTRY_CG','Kongo');
DEFINE('_COUNTRY_CK','Cook Islands');
DEFINE('_COUNTRY_CR','Costa Rica');
DEFINE('_COUNTRY_CI','Cte d\'Ivoire');
DEFINE('_COUNTRY_HR','Croatia');
DEFINE('_COUNTRY_CU','Cuba');
DEFINE('_COUNTRY_CY','Cyprus');
DEFINE('_COUNTRY_CZ','Czech Republic');
DEFINE('_COUNTRY_CD','Congo');
DEFINE('_COUNTRY_DK','Denmark');
DEFINE('_COUNTRY_DJ','Djibouti');
DEFINE('_COUNTRY_DM','Dominica');
DEFINE('_COUNTRY_DO','Dominican Republic');
DEFINE('_COUNTRY_EC','Ecuador');
DEFINE('_COUNTRY_EG','Egypt');
DEFINE('_COUNTRY_SV','El Salvador');
DEFINE('_COUNTRY_GQ','Equatorial Guinea');
DEFINE('_COUNTRY_ER','Eritrea');
DEFINE('_COUNTRY_EE','Estonia');
DEFINE('_COUNTRY_ET','Ethiopia');
DEFINE('_COUNTRY_FK','Falkland Islands');
DEFINE('_COUNTRY_FO','Faroe Islands');
DEFINE('_COUNTRY_FJ','Fiji');
DEFINE('_COUNTRY_FI','Finland');
DEFINE('_COUNTRY_FR','France');
DEFINE('_COUNTRY_GF','French Guiana');
DEFINE('_COUNTRY_PF','French Polynesia');
DEFINE('_COUNTRY_TF','French Southern Territories');
DEFINE('_COUNTRY_GA','Gabon');
DEFINE('_COUNTRY_GM','Gambia');
DEFINE('_COUNTRY_GE','Georgia');
DEFINE('_COUNTRY_DE','Germany');
DEFINE('_COUNTRY_GH','Ghana');
DEFINE('_COUNTRY_GI','Gibraltar');
DEFINE('_COUNTRY_GR','Greece');
DEFINE('_COUNTRY_GD','Grenada');
DEFINE('_COUNTRY_GP','Guadeloupe');
DEFINE('_COUNTRY_GU','Guam');
DEFINE('_COUNTRY_GT','Guatemala');
DEFINE('_COUNTRY_GN','Guinea');
DEFINE('_COUNTRY_GW','Guinea-Bissau');
DEFINE('_COUNTRY_GY','Guyana');
DEFINE('_COUNTRY_HT','Haiti');
DEFINE('_COUNTRY_HN','Honduras');
DEFINE('_COUNTRY_HU','Hungary');
DEFINE('_COUNTRY_IS','Iceland');
DEFINE('_COUNTRY_IN','India');
DEFINE('_COUNTRY_ID','Indonesia');
DEFINE('_COUNTRY_IR','Iran');
DEFINE('_COUNTRY_IQ','Iraq');
DEFINE('_COUNTRY_IE','Ireland');
DEFINE('_COUNTRY_IL','Israel');
DEFINE('_COUNTRY_IT','Italy');
DEFINE('_COUNTRY_JM','Jamaica');
DEFINE('_COUNTRY_JP','Japan');
DEFINE('_COUNTRY_JO','Jordan');
DEFINE('_COUNTRY_KZ','Kazakhstan');
DEFINE('_COUNTRY_KE','Kenya');
DEFINE('_COUNTRY_KI','Kiribati');
DEFINE('_COUNTRY_KW','Kuwait');
DEFINE('_COUNTRY_KG','Kyrgyztan');
DEFINE('_COUNTRY_LA','Laos');
DEFINE('_COUNTRY_LV','Latvia');
DEFINE('_COUNTRY_LB','Libanon');
DEFINE('_COUNTRY_LS','Lesotho');
DEFINE('_COUNTRY_LR','Liberia');
DEFINE('_COUNTRY_LY','Libya');
DEFINE('_COUNTRY_LI','Liechtenstein');
DEFINE('_COUNTRY_LT','Lithuania');
DEFINE('_COUNTRY_LU','Luxembourg');
DEFINE('_COUNTRY_MO','Macao');
DEFINE('_COUNTRY_MK','Macedonia');
DEFINE('_COUNTRY_MG','Madagascar');
DEFINE('_COUNTRY_MW','Malawi');
DEFINE('_COUNTRY_MY','Malaysia');
DEFINE('_COUNTRY_MV','Maledives');
DEFINE('_COUNTRY_ML','Mali');
DEFINE('_COUNTRY_MT','Malta');
DEFINE('_COUNTRY_MH','Marshall Islands');
DEFINE('_COUNTRY_MQ','Martinique');
DEFINE('_COUNTRY_MR','Mauretania');
DEFINE('_COUNTRY_MU','Mauritius');
DEFINE('_COUNTRY_YT','Mayotte');
DEFINE('_COUNTRY_MX','Mexico');
DEFINE('_COUNTRY_FM','Micronesia');
DEFINE('_COUNTRY_MD','Moldova');
DEFINE('_COUNTRY_MC','Monaco');
DEFINE('_COUNTRY_MN','Mongolia');
DEFINE('_COUNTRY_MS','Montserrat');
DEFINE('_COUNTRY_MA','Morocco');
DEFINE('_COUNTRY_MZ','Mozambique');
DEFINE('_COUNTRY_NA','Namibia');
DEFINE('_COUNTRY_NR','Nauru');
DEFINE('_COUNTRY_NP','Nepal');
DEFINE('_COUNTRY_NL','Netherlands');
DEFINE('_COUNTRY_AN','Netherlands Antilles');
DEFINE('_COUNTRY_NU','Niue');
DEFINE('_COUNTRY_NC','New Caledonia');
DEFINE('_COUNTRY_NZ','New Zealand');
DEFINE('_COUNTRY_NI','Nicaragua');
DEFINE('_COUNTRY_NE','Niger');
DEFINE('_COUNTRY_NG','Nigeria');
DEFINE('_COUNTRY_KP','North Korea');
DEFINE('_COUNTRY_NF','Norfolk Island');
DEFINE('_COUNTRY_MP','Northern Mariana Islands');
DEFINE('_COUNTRY_NO','Norway');
DEFINE('_COUNTRY_OM','Oman');
DEFINE('_COUNTRY_PK','Pakistan');
DEFINE('_COUNTRY_PW','Palau');
DEFINE('_COUNTRY_PA','Panama');
DEFINE('_COUNTRY_PG','Papua New Guinea');
DEFINE('_COUNTRY_PY','Paraguay');
DEFINE('_COUNTRY_PE','Peru');
DEFINE('_COUNTRY_PH','Philippines');
DEFINE('_COUNTRY_PL','Poland');
DEFINE('_COUNTRY_PT','Portugal');
DEFINE('_COUNTRY_PR','Puerto Rico');
DEFINE('_COUNTRY_QA','Qatar');
DEFINE('_COUNTRY_RE','Runion');
DEFINE('_COUNTRY_RO','Romnia');
DEFINE('_COUNTRY_RU','Russia');
DEFINE('_COUNTRY_RW','Rwanda');
DEFINE('_COUNTRY_KN','Saint Kitts and Nevis');
DEFINE('_COUNTRY_SH','Saint Helena');
DEFINE('_COUNTRY_LC','Saint Lucia');
DEFINE('_COUNTRY_VC','Saint Vincent and the Grenadines');
DEFINE('_COUNTRY_PM','Saint-Pierre and Miquelon');
DEFINE('_COUNTRY_WS','Samoa');
DEFINE('_COUNTRY_SM','San Marino');
DEFINE('_COUNTRY_SA','Saudi Arabia');
DEFINE('_COUNTRY_ST','So Tom and Prncipe');
DEFINE('_COUNTRY_SN','Senegal');
DEFINE('_COUNTRY_CS','Serbia and Montenegro');
DEFINE('_COUNTRY_SC','Seychelles');
DEFINE('_COUNTRY_SL','Sierra Leone');
DEFINE('_COUNTRY_SG','Singapore');
DEFINE('_COUNTRY_SK','Slovakia');
DEFINE('_COUNTRY_SI','Slovenia');
DEFINE('_COUNTRY_SB','Solomon Islands');
DEFINE('_COUNTRY_SO','Somalia');
DEFINE('_COUNTRY_ZA','South Africa');
DEFINE('_COUNTRY_KR','South Korea');
DEFINE('_COUNTRY_ES','Spain');
DEFINE('_COUNTRY_LK','Sri Lanka');
DEFINE('_COUNTRY_SD','Sudan');
DEFINE('_COUNTRY_SR','Suriname');
DEFINE('_COUNTRY_SZ','Swaziland');
DEFINE('_COUNTRY_SE','Sweden');
DEFINE('_COUNTRY_CH','Switzerland');
DEFINE('_COUNTRY_SY','Syria');
DEFINE('_COUNTRY_TW','Taiwan');
DEFINE('_COUNTRY_TJ','Tajikistan');
DEFINE('_COUNTRY_TZ','Tanzania');
DEFINE('_COUNTRY_TH','Thailand');
DEFINE('_COUNTRY_TG','Togo');
DEFINE('_COUNTRY_TK','Tokelau');
DEFINE('_COUNTRY_TO','Tonga');
DEFINE('_COUNTRY_TT','Trinidad and Tobago');
DEFINE('_COUNTRY_TN','Tunesia');
DEFINE('_COUNTRY_TR','Turkey');
DEFINE('_COUNTRY_TM','Turkmenistan');
DEFINE('_COUNTRY_TC','Turks and Caicos Islands');
DEFINE('_COUNTRY_TV','Tuvalu');
DEFINE('_COUNTRY_VI','Virgin Islands, U.S.');
DEFINE('_COUNTRY_UG','Uganda');
DEFINE('_COUNTRY_UA','Ukraine');
DEFINE('_COUNTRY_AE','United Arab Emirates');
DEFINE('_COUNTRY_UK','United Kingdom');
DEFINE('_COUNTRY_US','United States Of America');
DEFINE('_COUNTRY_UY','Uruguay');
DEFINE('_COUNTRY_UZ','Uzbekistan');
DEFINE('_COUNTRY_VU','Vanuatu');
DEFINE('_COUNTRY_VA','Vatikan City');
DEFINE('_COUNTRY_VE','Venezuela');
DEFINE('_COUNTRY_VN','Vietnam');
DEFINE('_COUNTRY_WF','Wallis and Futuna');
DEFINE('_COUNTRY_YE','Yemen');
DEFINE('_COUNTRY_ZM','Zambia');
DEFINE('_COUNTRY_ZW','Zimbabwe');

DEFINE('_UDEF','User Defined');
DEFINE('_LANG_EN','English');
DEFINE('_LANG_FR','French');
DEFINE('_LANG_ES','Spanish');
DEFINE('_LANG_DE','German');
DEFINE('_LANG_IT','Italian');
DEFINE('_LANG_NL','Netherlands');
DEFINE('_LANG_PT','Portuguese');
DEFINE('_LANG_DK','Danish');
DEFINE('_LANG_FI','Finnish');
DEFINE('_LANG_SV','Swedish');
DEFINE('_LANG_NO','Norwegian');
?>