<?php
// Mister Estate Quick Search free Module 
//
// based on
// EA Improved Search
// Author: Manos Orfanoudakis
// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html

// modified Version for MisterEstate 1.1.0 
// by Nasty Nindja
// Moding: Master-mihov.com
// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
// Version: 1.1.0

// Extended "Improved" version :-)) 
// by Darko Selesi / misterestate.com
// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html


### DONT EDIT BELOW THIS LINE #################################################

# Don't allow direct acces to the file
  defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
 
require($mosConfig_absolute_path."/administrator/components/com_estateagent/configuration.php");
  // Get the right languagefile if it exists
if (file_exists($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php')) {
	include_once($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php');
}else {
   	include_once($mosConfig_absolute_path.'/components/com_estateagent/languages/english.php');
}

mosCommonHTML::loadOverlib();

# Module Parameter Settings
$moduleclass_sfx 	= $params->get( 'moduleclass_sfx' );
$showcat = $params->get( 'showcat' );
$showrent = $params->get( 'showrent' );
$showprice = $params->get( 'showprice' );

$link = sefRelToAbs("index.php?option=com_estateagent&act=easearch&Itemid=1");

function mod_search_getCategories($parent){
	global $database;
	
	$today =  mosCurrentDate( $format="%Y-%m-%d" );
	$query = "SELECT * FROM #__estateagent_categories"
				. "\n WHERE parent = $parent AND"
				. " ("
				. "\n ((publish_up >= '0000-00-00' AND publish_up <= '$today') AND publish_down >= '$today')"
   				. "\n OR ((publish_up >= '0000-00-00' AND publish_up <= '$today' ) AND (publish_down = '0000-00-00' OR publish_down >= '$today'))"
   				. "\n OR (publish_up = '0000-00-00' AND publish_down = '0000-00-00')"
   				. "\n )"
				. "\n  AND access<=".$GLOBALS['gid']." AND publish='1' ORDER BY ordering";
	$database->setQuery($query);
   	$cats = $database->loadObjectList();
	$database->getErrorMsg();
	return $cats;
	
}
	
// generate HTML output	
?>
<script language="Javascript" type="text/javascript">
<!--
	function disableFields(v,f)
	{
		
		if(v==0 || v=="")
		{
			switch(f)
			{
				case "rent":
					document.getElementById("minrent").readOnly = false;
					document.getElementById('maxrent').readOnly = false;
					document.getElementById("minprice").value = "";
					document.getElementById('maxprice').value = "";
				break;
							
				case "price":
					document.getElementById('minprice').readOnly = false;
					document.getElementById('maxprice').readOnly = false;
					document.getElementById("minrent").value = "";
					document.getElementById('maxrent').value = "";
				break;
			}
		}
		else{
			
			switch(f)
			{
				case "rent":
					document.getElementById("minrent").readOnly = true;
					document.getElementById('maxrent').readOnly = true;
				break;
							
				case "price":
					document.getElementById('minprice').readOnly = true;
					document.getElementById('maxprice').readOnly = true;
				break;
			}
			
		}
	}
-->
</script>

<form action="<?php echo sefRelToAbs("index.php?option=com_estateagent&act=easearch&task=showEASR")?>" method="post" name="mequicksearch">
<table cellpadding='4' cellspacing='0' border='0' width='100%' class='moduletable<?php echo $moduleclass_sfx?>'>
<tr>
	<td>	
		<?php
		if($showcat==1){
	
			$select_cat = "<select class=\"inputbox\" name=\"src_cat\" id=\"src_cat\" >";
    		$select_cat .= "<option value=\"A\">" . _EA_CAT_ALL . "</option>";
			$cats=mod_search_getCategories(0);
			foreach($cats as $cat) {
		   		$select_cat .= "<option value=\"" . $cat->id . "\">&nbsp;";
    			$select_cat .= $cat->name . "</option>";
				$scats = mod_search_getCategories($cat->id);						
				foreach($scats as $scat) {
					$select_cat .= "<option value=\"" . $scat->id . "\">&nbsp;";
    				$select_cat .= "&nbsp;'--> " . $scat->name . "</option>";				
				}	
			}		
    		$select_cat .= "</select>";
			echo $select_cat;
		}
		else{
			?>
			<input type="hidden" name="src_cat" value="A" />	
			<?php
		}
		?>
		<br />
		<input class="inputbox" type="text" name="searchstring"  maxlength="100" /><?php echo mosToolTip(_EA_SRCH_FREE);?>
		<?php 
		if($ea_l_srch)
		{
		?>
			<input type="hidden" name="country" value="no" />
			<input type="hidden" name="state" value="no" />
			<input type="hidden" name="town" value="no" />
			<input type="hidden" name="district" value="no" />
		<?php	
		}
		if($ea_d_srch)
		{
		?>
			<input type="hidden" name="space" value="0" />
			<input type="hidden" name="yobuilt" value="0" />
			<input type="hidden" name="rooms" value="0" />
			<input type="hidden" name="bedrooms" value="0" />
		<?php	
		} 
		if($showrent==1)
		{
			?>
			<br />
			<?php echo _EA_OBJ_RENT;?>
			<br />
    		<input class="inputbox" type="text" name="minrent" id="minrent" size= "5" maxlength="10" onChange="disableFields(this.value,'price');" /> - <input class="inputbox" type="text" name="maxrent" id="maxrent" size= "5" maxlength="10" onChange="disableFields(this.value,'price');" />&nbsp;<?php echo $ea_currency;?>
			<?php 
		}
		else{
			?>
			<input type="hidden" name="minrent" value="0" />
			<input type="hidden" name="maxrent" value="0" />	
			<?php
		}
		if($showprice==1)
		{
			?>
			<br />
			<?php echo _EA_OBJ_PRICE;?>
			<br />
    		<input class="inputbox" type="text" name="minprice" id="minprice" size= "5" maxlength="10" onChange="disableFields(this.value,'rent');" /> - <input class="inputbox" type="text" name="maxprice" id="maxprice" size= "5" maxlength="10" onChange="disableFields(this.value,'rent');" />&nbsp;<?php echo $ea_currency;?>
			<?php 
		}
		else{
			?>
			<input type="hidden" name="minprice" value="0" />
			<input type="hidden" name="maxprice" value="0" />	
			<?php
		}
		?>
		<br />
		<input type="hidden" name="lsearch" value="<?php echo $ea_l_srch;?>" />
		<input class="button" type="submit" name="easearch" id="easearch" value="<?php echo _EA_SRCH_BTT_SEARCH;?>" /></div>
		<br />
		<a href="<?php echo $link;?>" target="_self"><?php echo _EA_SRCH_PART_EXT;?></a>
	</td>
</tr>
</table>
</form>