<?php

//EA Hot//

// Hot EstateAgent Object Module

// Author: Andre Klinkhamer

// Url: www.kroatie-vakanties.com

// Created: 03.03.2006

// Changed code from Emsurban to make it work without faults and multilingual

// All rights reserved

// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html

// Version: 1.0



# Module Parameter Settings

$moduleclass_sfx = $params->get( 'moduleclass_sfx' );

$titlelength = $params->get( 'titlelength', '22' );

$descriptionlength = $params->get( 'descriptionlength', '22' );

$linecolor1 = $params->get( 'linecolor1', '#49D000' );

$linecolor2 = $params->get( 'linecolor2', '#4276C3' );

$limit = $params->get( 'limit', '5' );



### DONT EDIT BELOW THIS LINE #################################################



# Don't allow direct acces to the file

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );



# Set path to config file

require($mainframe->getCfg( 'absolute_path' )."/administrator/components/com_estateagent/configuration.php");



// Get the right languagefile if it exists

if (file_exists($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php')) {

	include($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php');

}else {

   	include($mosConfig_absolute_path.'/components/com_estateagent/languages/english.php');

}



$content = "";



# Set up database query

$query = "SELECT id, cat, type, title, description, rent, price"

	. " FROM #__estateagent"

	. " WHERE hot=1 AND publish=1 ORDER BY id DESC LIMIT $limit";



# Query the database

$database->setQuery( $query );

$rows = $database->loadObjectList();



$i=0;



# Put the output on screen

$content .="<table class=\"moduletable\"".$moduleclass_sfx."\">";

$content .="<tr><td>";



foreach($rows as $row) {



	# Set up database query for images

	$query1 = "SELECT id, path, fname, type, ordering, publish

	FROM #__estateagent_images

	WHERE objid='$row->id' AND ordering=1";

	

	# Query the database for images

	$img = "";

	$database->setQuery( $query1 );

	$database->loadObject($img);





	#build image path

	$imgpath = $mosConfig_live_site . $img->path . "t" . $img->fname . $img->type;



	if(strlen($row->title) > $titlelength) {

		$row->title = substr($row->title,0,$titlelength);

		$row->title .= "...";

	}



	if(strlen($row->description) > $descriptionlength) {

		$row->description = substr($row->description,0,$descriptionlength);

		$row->description .= "...";

	}



	$RowColor = $i%2?"$linecolor1":"$linecolor2";

	

	$content .= "<table style=\"background-color:$RowColor\" cellpadding=\"0\" cellspacing=\0\" border=\"0\">";

	$content .= "<tr>";

	$content .= "<td style=\"text-align:center\"><a href=\"".sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$row->id)."\"><font size='2'><b>".$row->title."</b></font></a></td></tr>";

	$content .= "<tr>";

	$content .= "<td valign=\"top\" style=\"text-align:center\"><a href=\"".sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$row->id)."\"><img src='$imgpath'/></a></td></tr>";

	$content .= "<tr>";

	$content .= "<td style=\"text-align:center\"><b>" . _EAB_OBJ_EDSPT . ":</b> " . $row->description ;

	if($row->type == 1 || $row->type == 3) $content .= "<br /><br /><b>" . _EA_OBJ_RENT . ":</b> " . $row->rent . $ea_currency;

	else $content .= "<br /><br /><b>" . _EA_OBJ_PRICE . ":</b> " . $row->price . $ea_currency;

	$content .= "</td></tr></table>";



	$i++;

}



$content .="</td></tr></table>";



?>