<?php
// ME Categories
// Author: Manos Orfanoudakis
// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
// Version: 1.1

// ----------------------------------------------------------------------
// Version 1.2 + 1.3
// Author: Darko Selesi (www.misterestate.com) 


### DONT EDIT BELOW THIS LINE #################################################

# Don't allow direct acces to the file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
# Module Parameter Settings
$moduleclass_sfx 	= $params->get( 'moduleclass_sfx' );

function countEntries($catid){
	global $database;
  	$query = "SELECT count(*) FROM #__estateagent " 
			. " WHERE cat = $catid"
			. " AND publish=1"
			. " AND verified=1";
	$database->setQuery($query);	
  	$entries = $database->loadResult();
		
	$query = "SELECT * FROM #__estateagent_categories"						
			. " WHERE parent = $catid ";
		
	$database->setQuery($query);
	$categories = $database->loadObjectList();
		
	foreach($categories as $cat){
		$entries = $entries + countEntries($cat->id);
	}
		
	return $entries;
}
 
function displayCategories($parent=0,&$params){
	global $database;
	
	# Module Parameter Settings
	$titlelength 	= $params->get( 'titlelength', '22' );
	$showcount		= $params->get( 'showcount', '0' );
	$showsubcats	= $params->get( 'showsubcats', '0' );
	$showempty		= $params->get( 'showempty', '0' );
	$accesstype		= $params->get( 'accesstype', '0' );
		 	
	// get maincategories
	$query = "SELECT * FROM #__estateagent_categories"						
			. " WHERE parent=".$parent
			. " ORDER BY ordering ASC";
		
	$database->setQuery($query);
	$categories = $database->loadObjectList();
					
	foreach($categories as $cat) {
		
		$length = strlen($cat->name);
		$entries = countEntries($cat->id);
		
		if($showempty == 0 && $entries == 0){
			continue;
		}
		if($accesstype > 0 && $cat->access >= $accesstype){
			continue;
		}
	 	
		if($showcount==1){
			$length += strlen("(".$entries.")");
		}
		
		if($length > $titlelength){
			$cat->name = substr($cat->name,0,strlen($cat->name)-$length+$titlelength);
			$cat->name .= "...";
		}
		
		if($entries>0) {
			$cat->name = "<a href=\"".sefRelToAbs("index.php?option=com_estateagent&amp;act=cat&amp;task=showCE&amp;id=$cat->id")."\">".$cat->name."</a>";
		}
		
		if($parent==0){
			$prefix = "<img src='images/M_images/arrow.png' alt='' border='0' />";
		}
		else{
			$prefix = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<sup>L</sup>&nbsp;";
		}
			
		if($showcount==1){
			$cat->name = $prefix."&nbsp;".$cat->name." (".$entries.")";
		}
		else{ 
			$cat->name = $prefix."&nbsp;".$cat->name ;
		}				
		
		echo "<tr class=\"sectiontableentry1\" ><td>&nbsp;";
		echo $cat->name;
		echo "</td></tr>";
			
		if($showsubcats==1){
			displayCategories($cat->id,$params);
		}
  	}
}

echo "<table cellpadding='0' cellspacing='0' border='0' width='100%' class='moduletable$moduleclass_sfx'>\n";
 displayCategories(0,$params);
echo "</table>\n";

?>
