<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			countries.inc.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux Core4 (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
*************************************************************************** */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// dont forget to update your languagefile, if you add or remove ISO codes 

$countries = array(

	"AF" => _COUNTRY_AF,"AL" => _COUNTRY_AL,"DZ" => _COUNTRY_DZ,"AS" => _COUNTRY_AS,
	"AD" => _COUNTRY_AD,"AO" => _COUNTRY_AO,"AI" => _COUNTRY_AI,"AG" => _COUNTRY_AG,
	"AR" => _COUNTRY_AR,"AM" => _COUNTRY_AM,"AW" => _COUNTRY_AW,"AU" => _COUNTRY_AU,
	"AT" => _COUNTRY_AT,"AZ" => _COUNTRY_AZ,"BS" => _COUNTRY_BS,"BH" => _COUNTRY_BH,
	"BD" => _COUNTRY_BD,"BB" => _COUNTRY_BB,"BY" => _COUNTRY_BY,"BE" => _COUNTRY_BE,				
	"BZ" => _COUNTRY_BZ,"BJ" => _COUNTRY_BJ,"BM" => _COUNTRY_BM,"BT" => _COUNTRY_BT,
	"BO" => _COUNTRY_BO,"BA" => _COUNTRY_BA,"BW" => _COUNTRY_BW,"BR" => _COUNTRY_BR,
	"VG" => _COUNTRY_VG,"BN" => _COUNTRY_BN,"BG" => _COUNTRY_BG,"BF" => _COUNTRY_BF,
	"MM" => _COUNTRY_MM,"BI" => _COUNTRY_BI,"KH" => _COUNTRY_KH,"CM" => _COUNTRY_CM,
	"CA" => _COUNTRY_CA,"CV" => _COUNTRY_CV,"KY" => _COUNTRY_KY,"CF" => _COUNTRY_CF,
	"TD" => _COUNTRY_TD,"CL" => _COUNTRY_CL,"CN" => _COUNTRY_CN,"CO" => _COUNTRY_CO,
	"KM" => _COUNTRY_KM,"CG" => _COUNTRY_CG,"CK" => _COUNTRY_CK,"CR" => _COUNTRY_CR,
	"CI" => _COUNTRY_CI,"HR" => _COUNTRY_HR,"CU" => _COUNTRY_CU,"CY" => _COUNTRY_CY,
	"CZ" => _COUNTRY_CZ,"CD" => _COUNTRY_CD,"DK" => _COUNTRY_DK,"DJ" => _COUNTRY_DJ,
	"DM" => _COUNTRY_DM,"DO" => _COUNTRY_DO,"EC" => _COUNTRY_EC,"EG" => _COUNTRY_EG,
	"SV" => _COUNTRY_SV,"GQ" => _COUNTRY_GQ,"ER" => _COUNTRY_ER,"EE" => _COUNTRY_EE,
	"ET" => _COUNTRY_ET,"FK" => _COUNTRY_FK,"FO" => _COUNTRY_FO,"FJ" => _COUNTRY_FJ,
	"FI" => _COUNTRY_FI,"FR" => _COUNTRY_FR,"GF" => _COUNTRY_GF,"PF" => _COUNTRY_PF,
	"GA" => _COUNTRY_GA,"GM" => _COUNTRY_GM,"GE" => _COUNTRY_GE,"DE" => _COUNTRY_DE,
	"GH" => _COUNTRY_GH,"GI" => _COUNTRY_GI,"GR" => _COUNTRY_GR,"GD" => _COUNTRY_GD,
	"GP" => _COUNTRY_GP,"GU" => _COUNTRY_GU,"GT" => _COUNTRY_GT,"GN" => _COUNTRY_GN,
	"GW" => _COUNTRY_GW,"GY" => _COUNTRY_GY,"HT" => _COUNTRY_HT,"HN" => _COUNTRY_HN,
	"HU" => _COUNTRY_HU,"IS" => _COUNTRY_IS,"IN" => _COUNTRY_IN,"ID" => _COUNTRY_ID,
	"IR" => _COUNTRY_IR,"IQ" => _COUNTRY_IQ,"IE" => _COUNTRY_IE,"IL" => _COUNTRY_IL,
	"IT" => _COUNTRY_IT,"JM" => _COUNTRY_JM,"JP" => _COUNTRY_JP,"JO" => _COUNTRY_JO,
	"KZ" => _COUNTRY_KZ,"KE" => _COUNTRY_KE,"KI" => _COUNTRY_KI,"KW" => _COUNTRY_KW,
	"KG" => _COUNTRY_KG,"LA" => _COUNTRY_LA,"LV" => _COUNTRY_LV,"LB" => _COUNTRY_LB,
	"LS" => _COUNTRY_LS,"LR" => _COUNTRY_LR,"LY" => _COUNTRY_LY,"LI" => _COUNTRY_LI,
	"LT" => _COUNTRY_LT,"LU" => _COUNTRY_LU,"MO" => _COUNTRY_MO,"MK" => _COUNTRY_MK,
	"MG" => _COUNTRY_MG,"MW" => _COUNTRY_MW,"MY" => _COUNTRY_MY,"MV" => _COUNTRY_MV,
	"ML" => _COUNTRY_ML,"MT" => _COUNTRY_MT,"MH" => _COUNTRY_MH,"MQ" => _COUNTRY_MQ,
	"MR" => _COUNTRY_MR,"MU" => _COUNTRY_MU,"YT" => _COUNTRY_YT,"MX" => _COUNTRY_MX,
	"MD" => _COUNTRY_MD,"MC" => _COUNTRY_MC,"MN" => _COUNTRY_MN,"MS" => _COUNTRY_MS,
	"MA" => _COUNTRY_MA,"MZ" => _COUNTRY_MZ,"NA" => _COUNTRY_NA,"NR" => _COUNTRY_NR,
	"NP" => _COUNTRY_NP,"NL" => _COUNTRY_NL,"AN" => _COUNTRY_AN,"NC" => _COUNTRY_NC,
	"NZ" => _COUNTRY_NZ,"NI" => _COUNTRY_NI,"NE" => _COUNTRY_NE,"NG" => _COUNTRY_NG,
	"KP" => _COUNTRY_KP,"MP" => _COUNTRY_MP,"NO" => _COUNTRY_NO,"OM" => _COUNTRY_OM,
	"PK" => _COUNTRY_PK,"PW" => _COUNTRY_PW,"PA" => _COUNTRY_PA,"PG" => _COUNTRY_PG,
	"PY" => _COUNTRY_PY,"PE" => _COUNTRY_PE,"PH" => _COUNTRY_PH,"PL" => _COUNTRY_PL,
	"PT" => _COUNTRY_PT,"PR" => _COUNTRY_PR,"QA" => _COUNTRY_QA,"RE" => _COUNTRY_RE,
	"RO" => _COUNTRY_RO,"RU" => _COUNTRY_RU,"RW" => _COUNTRY_RW,"KN" => _COUNTRY_KN,
	"LC" => _COUNTRY_LC,"VC" => _COUNTRY_VC,"PM" => _COUNTRY_PM,"WS" => _COUNTRY_WS,
	"SM" => _COUNTRY_SM,"SA" => _COUNTRY_SA,"ST" => _COUNTRY_ST,"SN" => _COUNTRY_SN,
	"CS" => _COUNTRY_CS,"SC" => _COUNTRY_SC,"SL" => _COUNTRY_SL,"SG" => _COUNTRY_SG,
	"SK" => _COUNTRY_SK,"SI" => _COUNTRY_SI,"SB" => _COUNTRY_SB,"SO" => _COUNTRY_SO,
	"ZA" => _COUNTRY_ZA,"KR" => _COUNTRY_KR,"ES" => _COUNTRY_ES,"LK" => _COUNTRY_LK,
	"SD" => _COUNTRY_SD,"SR" => _COUNTRY_SR,"SZ" => _COUNTRY_SZ,"SE" => _COUNTRY_SE,
	"CH" => _COUNTRY_CH,"SY" => _COUNTRY_SY,"TW" => _COUNTRY_TW,"TJ" => _COUNTRY_TJ,
	"TZ" => _COUNTRY_TZ,"TH" => _COUNTRY_TH,"TG" => _COUNTRY_TG,"TO" => _COUNTRY_TO,
	"TT" => _COUNTRY_TT,"TN" => _COUNTRY_TN,"TR" => _COUNTRY_TR,"TM" => _COUNTRY_TM,
	"TC" => _COUNTRY_TC,"TV" => _COUNTRY_TV,"VI" => _COUNTRY_VI,"UG" => _COUNTRY_UG,
	"UA" => _COUNTRY_UA,"AE" => _COUNTRY_AE,"UK" => _COUNTRY_UK,"US" => _COUNTRY_US,
	"UY" => _COUNTRY_UY,"UZ" => _COUNTRY_UZ,"VU" => _COUNTRY_VU,"VA" => _COUNTRY_VA,
	"VE" => _COUNTRY_VE,"VN" => _COUNTRY_VN,"WF" => _COUNTRY_WF,"YE" => _COUNTRY_YE,
	"ZM" => _COUNTRY_ZM,"ZW" => _COUNTRY_ZW

);

?>
