<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			admin.gallery.html.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Version: 		1.1.0 Stable                       
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux Core4 (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
*************************************************************************** */

// Set flag that this is a parent file
define( "_VALID_MOS", 1 );

/** security check */
require_once( "authEA.php" );

include_once ( $mosConfig_absolute_path . '/administrator/components/com_estateagent/configuration.php' );
include_once ( $mosConfig_absolute_path . '/administrator/components/com_estateagent/class.estateagent.php' );
include_once ( $mosConfig_absolute_path . '/administrator/components/com_estateagent/version.php' );

if (file_exists($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php')) {
	include_once($mosConfig_absolute_path.'/components/com_estateagent/languages/'.$mosConfig_lang.'.php');
} else {
   	include_once($mosConfig_absolute_path.'/components/com_estateagent/languages/english.php');
}
include_once($mosConfig_absolute_path.'/language/'.$mosConfig_lang.'.php');

$action		= mosGetParam( $_REQUEST, 'action', '');
$objid 		= mosGetParam( $_REQUEST, 'objid', 0 );
$pn 		= mosGetParam( $_REQUEST, 'pn', 0 );
$msg		= mosGetParam( $_REQUEST, 'msg', '' );

function siteheader() {
	global $mosConfig_absolute_path, $mosConfig_live_site, $css, $ea_version;
	
	$iso = split( '=', _ISO );
	// xml prolog
	echo '<?xml version="1.0" encoding="'. $iso[1] .'"?' .'>';
	?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title>MisterEstate Gallery Manager</title>
	<link rel="stylesheet" href="<?php echo $mosConfig_live_site; ?>/administrator/templates/<?php echo $css; ?>/css/template_css.css" type="text/css" />
	<script src="<?php echo $mosConfig_live_site; ?>/components/com_estateagent/includes/gallery/admin.gallery.js" type="text/javascript"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $mosConfig_live_site;?>/includes/js/overlib_mini.js"></script>
    <script language="javascript" type="text/javascript" src="<?php echo $mosConfig_live_site;?>/includes/js/overlib_hideform_mini.js"></script>
    <div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
	<?php
}

function sitefooter() {
	echo "</html></body>";
}

siteheader();

switch($action) {
	
	case "init":

		?>
		<script language="javascript" type="text/javascript">
		<!--	
			function changeGUI(act) {		
				if(act == 'preview') {
					document.getElementById('menu1').style.visibility = 'hidden';
					document.getElementById('menu2').style.visibility = 'visible';
				}
				else{
					document.getElementById('menu1').style.visibility = 'visible';
					document.getElementById('menu2').style.visibility = 'hidden';
				}
				var url = "admin.gallery.html.php?action="+act+"&css=<?php echo $css; ?>&objid=<?php echo $objid; ?>&uid=<?php echo $my->id; ?>";		
				document.getElementById('iframe').src = url;	
			}
		-->	
		</script>
		</head>
		<body>
		<div id="menu" style="position:absolute; top:0px; left:0px; width:100%; height:65px">	
		<table class="adminform" width="100%">
		<tr>
			<td colspan="2" style="height:30px; background-color:black; color:white; padding-left:25px"><span style="font-size:14pt; font-weight:bold;">MisterEstate</span> GalleryManager (<?php echo $ea_version;?>)</td>
			<td style="text-align:right; vertical-align:bottom; padding-right:20px; background-color:black"><a href="#" style="color:white" onClick="javascript:window.close()"><b>:: <?php echo _EA_GL_CLOSEWIN;?> ::</b></a></td>
		</tr>	
		<tr>
			<th colspan="2" class="menubackgr" style="width:60%; padding-left:25px">
				<div id="menu1" style="visibility:visible">
					<a href="javascript:void()" onClick="javascript:changeGUI('upload')"><?php echo _EA_GL_MENU1;?></a> | 
					<a href="javascript:void()" onClick="javascript:changeGUI('manage')"><?php echo _EA_GL_MENU2;?></a> | 
					<a href="javascript:void()" onClick="javascript:changeGUI('preview')"><?php echo _EA_GL_MENU3;?></a>									  										
				</div>
			</th>
			<th class="menubackgr" style="width:20%">
				<div id="menu2" style="text-align:right; padding-right:20px; visibility:hidden">
					<a href="#" onClick="javascript:changeGUI('upload')">&laquo;&nbsp;<?php echo _EA_GL_MENU4;?> ///</a>
				</div>
			</th>			
		</tr>
		</table>
		</div>
		<div id="content" style="position:absolute; top:65px; left:0px; width:100%; height:525px">
			<iframe name="iframe" id="iframe" src="admin.gallery.html.php?action=start&css=<?php echo $css; ?>&objid=<?php echo $objid; ?>&uid=<?php echo $my->id; ?>" width="100%" height="525px" marginwidth="0" marginheight="0" valign="top" scrolling="auto" frameborder="0" hspace="0" vspace="0" bgcolor="#f5f5f5"></iframe>
		</div>
		<?php	
		
	break;

	case "upload":
		
		$obj 					= new EAObject($database);						
		$available_images		= $obj->loadPictures($objid,0);
		$total_available_images	= count($available_images);
		$object_images			= $obj->loadPictures($objid,1);
		$total_obj_images		= count($object_images);
		
		?>
		<script language="javascript" type="text/javascript">
		<!--						
			function checkUpload() {
      			var form = document.picform;

				if (form.title.value == ""){
					alert( "<?php echo _EAB_GL_ERROR1; ?>" );
					stop();
   				}
   				else{
   					if(form.pn.value >= <?php echo $ea_maxpics; ?>){
  						alert( "<?php echo _EAB_GL_ERROR2; ?>" );
  						stop();
    				} else {
           				form.submit();
    				}
    			}
			}
			
			aimg = new Array();
			oimg = new Array();
			
			<?php 
				foreach($available_images as $ai) {
					if($ai->path == "") $ai->path = $ea_picpath;
					echo "aimg['".$ai->id."'] = new Image('".$ai->id."','".$ai->fname."','".$ai->type."','".$ai->path."');";
				}
				foreach($object_images as $oi) {
					if($oi->path == "") $oi->path = $ea_picpath;
					echo "oimg['".$oi->id."'] = new Image('".$oi->id."','".$oi->fname."','".$oi->type."','".$oi->path."');";
				}
			?>		
		-->
		</script>
		</head>
		<body>
		<table class="menubar" style="width:100%; visibility:visible;" cellspacing="0" cellpadding="0" border=0>
		<tr>
			<th colspan="2" class="menubackgr"><br /><?php echo _EA_GL_MENU1;?><br /><span class="small"><?php echo $msg; ?></span><br  /></th>
		</tr>	
		</table>
		<form name="bindform" action="gallery.php" method="post">
		<input type="hidden" name="objid" value="<?php echo $objid; ?>" />
		<input type="hidden" name="css" value="<?php echo $css; ?>" />
		<input type="hidden" name="action" value="bind" />
		<input type="hidden" name="imglist" value="0" />
		<input type="hidden" name="uid" value="<?php echo $my->id; ?>" />
		<input type="hidden" name="pn" value="<?php echo $total_obj_images; ?>" />		
		<table class="menubar" style="width:100%; visibility:visible;" border=0>
		<tr>
			<td valign="top" width="50%">
				<fieldset>
				<table width="100%">
				<tr>
					<td valign="top"> 
						<fieldset><legend><?php echo _EA_GL_BINDTOOBJ;?></legend>
						<table style="width:100%; background-color:#f5f5f5" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="120px" width="45%" align="center" valign="top"><?php echo _EA_GL_AVAILIMAGES;?><br />
								<select name="glimages" size="7" multiple onchange="previewImage( 'glimages', 'view_image', '<?php echo $mosConfig_live_site; ?>' )">
								<?php
									foreach($available_images as $ai) {
							 			echo "<option value='".$ai->id."'>".$ai->fname.$ai->type."</option>";
									}
								?>
								</select>	
							</td>
							<td width="10%" valign="middle">
								<input class="button" style="width:40px" type="button" value=">>" onclick="addSelectedToList('bindform','glimages','objimages')" title="<?php echo _EA_GL_ADDTO;?>" />
								<br /><input class="button" style="width:40px" type="button" value="<<" onClick="delSelectedFromList('bindform','objimages')" title="<?php echo _EA_GL_REMOVEFROM;?>" />
							</td>
							<td width="45%" align="center" valign="top"><?php echo _EA_GL_IMGTOLINK;?><br />
								<select name="objimages" size="7" multiple onchange="previewImage( 'objimages', 'view_image', '<?php echo $mosConfig_live_site; ?>' )">
								</select>
							</td>
						</tr>
						<tr>
							<td style="height:20px; text-align:right" colspan="2">&nbsp;</td>
							<td align="center">
								<input type="button" class="button" id="submitbind" name="submitbind" value="<?php echo _EA_GL_SAVELINKS;?>" onClick="javascript:saveBindings()">
							</td>
						</tr>
						</table>				
					</td>
					<td valign="top" width="50%">						
						<fieldset><legend><?php echo _EA_GL_OBJIMAGES;?></legend>
						<table style="width:100%; background-color:#f5f5f5" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td align="center" valign="top" height="120px" width="50%"><?php echo _EA_GL_CLKPREVIEW;?><br />
								<select name="files" size="7" multiple onchange="previewImage( 'files', 'view_image', '<?php echo $mosConfig_live_site; ?>' )">
								<?php
									foreach($object_images as $oi) {
							 			echo "<option value='".$oi->id."'>".$oi->fname.$oi->type."</option>";
									}
								?>
								</select>
							</td>
							<td width="50%" valign="middle">
								<div align="center">
									<img name="view_image" src="../../pictures/nopic.png" height="110" />
								</div>
							</td>
						</tr>
						<tr>
							<td style="height:20px; text-align:center">								
								<input type="button" class="button" id="editIMG" name="editIMG" value="<?php echo _EA_GL_EDITIMAGES;?>" onClick="javascript:parent.changeGUI('manage')">
							</td>
							<td>&nbsp;</td>
						</tr>
					</td>			
				</tr>
				</table>
				</fieldset>
			</td>
		</tr>
		</table>	
		</form>		
		
		<form id="picform" name="picform" method="post" action="upload.gallery.php" enctype="multipart/form-data">
		<input type="hidden" name="css" value="<?php echo $css; ?>" />
		<input type="hidden" name="objid" value="<?php echo $objid; ?>" />
		<input type="hidden" name="pn" value="<?php echo $total_obj_images; ?>" />	 
		<input type="hidden" name="uid" value="<?php echo $my->id; ?>" />
		<table id="uploadform" class="menubar" style="width:100%; visibility:visible;" border=0>
		<tr>	
			<td>
				<fieldset>
				<table width="100%" cellpadding=2 cellspacing=0 border=0>
				<tr>
					<td width="50%" valign="top">
						<fieldset><legend><?php echo _EA_GL_UPLOADIMG;?></legend>
						<table style="width:100%; background-color:#f5f5f5" cellpadding=2 cellspacing=0 border=0>
						<tr>
 							<td style="width:20%; text-align:right"><?php echo _EAB_OBJ_EGLNFT; ?></td>
            				<td style="width:80%;"><input type="text" id="title" name="title" size="40" class="inputbox" maxlength="50" value="" /></td>
            			</tr>			
						<tr>
          					<td style="text-align:right; text-valign: top"><?php echo _EAB_OBJ_EGLNFD; ?><br />(Alt Text)</td>
            				<td><textarea class="inputbox" id="description" name="description" cols="33" rows="3"></textarea></td>
           				</tr>
						<tr>
							<td>&nbsp;</td>
							<td>
								<input class="inputbox" size="14" name="userfile" type="file" />&nbsp;<input class="inputbox" type="button" value="Upload" name="fileupload" onClick="javascript:checkUpload()" /><br />
							</td>
						</tr>
						</table>
						</fieldset>  						
  						<fieldset><legend><?php echo _EA_GL_UPLOADSETTINGS;?></legend>
						<table style="width:100%; background-color:#f5f5f5" cellpadding="2" cellspacing="0" border="0">
						<?php
						$readonly = (($my->usertype!="Super Administrator"
									 || $my->usertype!="Administrator"
									 || $my->usertype!="Manager") 
									 && $ea_usr_individual_gls==0) ? "readonly='readonly'" : "";
						?>
						<tr>
							<td style="width:25%; text-align:right"><?php echo _EA_GL_UPLOADDIR;?></td>
							<td style="width:75%;"><input type="text" name="picpath" size="40" value="<?php echo $ea_picpath; ?>" <?php echo $readonly; ?>></td>
						</tr>						
						<tr>
							<td style="text-align:right"><?php echo _EA_GL_MAXFILESIZE;?></td>
							<td><input type="text" name="maxpicsize" size="6" value="<?php echo $ea_maxpicsize; ?>" <?php echo $readonly; ?>> KB</td>
						</tr>
						</table>
						</fieldset>							
  					</td>
  					<td style="width:50%; text-valign:top" valign="top">						
						<fieldset><legend><?php echo _EA_GL_IMGSETTINGS;?></legend>	
						<table style="width:100%; background-color:#f5f5f5" cellpadding=2 cellspacing=0 border=0>			
						<tr>
							<?php $checked = ($ea_imgprtn == 1)? " checked='checked'" : ""; ?>
							<td style="width:22%; text-align:right"><?php echo _EA_GL_IMGWIDTH;?></td>
							<td style="width:78%"><input type="text" name="imgwidth" value="<?php echo $ea_imgwidth; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />px&nbsp;&nbsp;
								<?php 
								if( ($my->usertype=="Super Administrator"
										|| $my->usertype=="Administrator"
									 	|| $my->usertype=="Manager") 
									 	&& $ea_usr_individual_gls==1){
									echo _EA_GL_IMGPROPORTIONS . "<input type='checkbox' name='imgprtn' value='1'".$checked." /><br />";
								}
								?>
							</td>
  						</tr>
  						<tr>
							<td style="text-align:right"><?php echo _EA_GL_IMGHEIGHT;?></td>
							<td><input type="text" name="imgheight" value="<?php echo $ea_imgheight; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />px</td>
  						</tr>
  						<tr>
							<td style="text-align:right"><?php echo _EA_GL_IMGQUALITY;?></td>
							<td><input type="text" name="imgqulty" value="<?php echo $ea_imgqulty; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />%</td>
  						</tr>
  						</table>
  						</fieldset>
  						<fieldset><legend><?php echo _EA_GL_THUMBSETTINGS;?></legend>
  						<table style="width:100%; background-color:#f5f5f5" cellpadding=2 cellspacing=0 border=0>
  						<?php
						if( ($my->usertype=="Super Administrator"
							|| $my->usertype=="Administrator"
						 	|| $my->usertype=="Manager") 
						 	&& $ea_usr_individual_gls==1){
  						?>
  						<tr>
							<td style="text-align:right"><?php echo _EA_GL_CREATETHUMB;?></td>
							<td>
								<input type="checkbox" name="createthumb" value="1" checked />
							</td>
  						</tr>
  						<?php
						}
						else{
						?>
							<tr>
								<td>
									<input type="hidden" name="createthumb" value="1" />
								</td>
  							</tr>
						<?php
						}
						?>
  						<tr>
							<td style="width:22%; text-align:right"><?php echo _EA_GL_IMGWIDTH;?></td>				
							<td style="width:78%;"><input type="text" name="tbwidth" value="<?php echo $ea_tbwidth; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />px&nbsp;&nbsp;
								<?php
								if( ($my->usertype=="Super Administrator"
										|| $my->usertype=="Administrator"
									 	|| $my->usertype=="Manager") 
									 	&& $ea_usr_individual_gls==1){
									echo _EA_GL_IMGPROPORTIONS . "<input type='checkbox' name='tbprtn' value='1' checked='checked' /><br />";
								}
								?>	  
							</td>
  						</tr>
  						<tr>
							<td style="text-align:right"><?php echo _EA_GL_IMGHEIGHT;?></td>
							<td><input type="text" name="tbheight" value="<?php echo $ea_tbheight; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />px</td>
  						</tr>
  						<tr>
							<td style="text-align:right"><?php echo _EA_GL_IMGQUALITY;?></td>
							<td><input type="text" name="tbqulty" value="<?php echo $ea_tbqulty; ?>" size="6" maxlength="6" <?php echo $readonly; ?> />%</td>
  						</tr>
  						</table>
						</fieldset>
					</td>
  				</tr>
  				</table>
  				</fieldset>
			</td>
		</tr>
		</table>
		</form>
		<?php	
		
	break;	
					
	case "manage":
		
		?>
		</head>
		<body>
		<table class="menubar" style="width:100%; visibility:visible;" cellspacing="0" cellpadding="0" border=0>
		<tr>
			<th class="menubackgr"><br />Edit & Order<br /><span class="small"><?php echo $msg; ?></span><br  /></th>
		</tr>
		</table>
						
		        		
		<?php		
		$o = new EAObject($database);
		$images = $o->loadPictures($objid,1);
		$i=1;$pn = count($images);
        if($pn > 0){
        	echo "<table style='width:100%' border='0' cellspacing='0' cellpadding='0'>";
			foreach($images as $pic){ ?>
        		<tr>
        			<td>
        				<fieldset><legend><?php echo _EA_GL_IMAGE;?><?php echo $i; ?>&nbsp;&nbsp;<?php if($i==1) echo _EAB_GL_FIRSTPIC;?></legend>
        				<table style="width:100%; background-color:<?php if($i==1){ echo "#cad5ff";}else echo "#f5f5f5";?>" border=0>
        				<form action="gallery.php" id="glform<?php echo $i; ?>" name="glform<?php echo $i; ?>" method="post"> 
        				<input type="hidden" id="action" name="action" value="" />
						<input type="hidden" name="objid" value="<?php echo $objid; ?>" />
						<input type="hidden" id="pid" name="pid" value="<?php echo $pic->id; ?>" />
        				<input type="hidden" name="css" value="<?php echo $css; ?>" />
        				<input type="hidden" id="uid" name="uid" value="<?php echo $my->id; ?>" />        				
        				<tr>
        					<td rowspan="2" width="<?php echo $ea_tbwidth; ?>px"><img src="<?php echo $mosConfig_live_site.$ea_picpath."t".$pic->fname.$pic->type; ?>" alt="" border="0" ></td>
    						<td>&nbsp;</td>
    						<td height="20px"><input type="text" class="inputbox" id="title" name="title" size="40" maxlength="50" value="<?php echo $pic->title; ?>"></td> 
    						<td rowspan="2" style="width:15%; text-align:center;text-valign:middle">
    						<?php                
                			if($i > 1) { ?>
        						<a href="gallery.php?action=orderup&objid=<?php echo $pic->objid; ?>&pid=<?php echo $pic->id;?>&css=<?php echo $css; ?>&uid=<?php echo $my->id; ?>">
        						<img src="<?php echo $mosConfig_live_site; ?>/administrator/images/uparrow.png" width="12" height="12" border="0" alt="<?php echo _EAB_OBJ_EGLPUP; ?>"></a>
        					<?php 
        					}else{
        			 			echo "&nbsp;";
                			}         		
        					if ($i < $pn) { ?>
        						<a href="gallery.php?action=orderdown&objid=<?php echo $pic->objid; ?>&pid=<?php echo $pic->id; ?>&css=<?php echo $css; ?>&uid=<?php echo $my->id; ?>">
        						<img src="<?php echo $mosConfig_live_site; ?>/administrator/images/downarrow.png" width="12" height="12" border="0" alt="<?php echo _EAB_OBJ_EGLPDW; ?>"></a>
        						<?php
        					}else{
        						echo "&nbsp;";
        					}
        					?>
    						<br /><br /><input type="button" class="button" style="width:120px" onclick="javascript:changeImages('delete','<?php echo $i; ?>')" value="<?php echo _EAB_OBJ_EGLPDLT; ?>" /><br />
    									<input type="button" class="button" style="width:120px" onclick="javascript:changeImages('save','<?php echo $i; ?>')" value="<?php echo _EA_GL_SAVECHANGES;?>" /></td>
        				</tr>
  						<tr>
    						<td>&nbsp;</td>
    						<td valign="top"><textarea class="inputbox" id="description" name="description" cols="35" rows="3"><?php echo $pic->description; ?></textarea></td>    			
  						</tr>
  						</form>
  						</table>
  						</fieldset>
  					</td>
  				</tr>
  				<?php
       			$i++;
       			}
			echo "</table>";
        }
        
		
		#echo "Other Files<br />";
		
		$files = $o->loadFiles($objid);
		$i=1;$pna = count($files);
        if($pna > 0){        	
			echo "<table style=\"width:100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";	
			foreach($files as $fl){ ?>
        		<tr>
        			<td>
        				<fieldset><legend><?php echo _EA_GL_FILE;?> <?php echo $i; ?></legend>
        				<table style="width:100%; background-color:#eef5cd" border=0>
        				<form action="gallery.php" id="fform<?php echo $i; ?>" name="fform<?php echo $i; ?>" method="post"> 
        				<input type="hidden" name="css" value="<?php echo $css; ?>" />
        				<input type="hidden" id="pid" name="pid" value="<?php echo $fl->id; ?>" />
        				<input type="hidden" id="action" name="action" value="" />
        				<input type="hidden" id="uid" name="uid" value="<?php echo $my->id; ?>" />
        				<input type="hidden" name="objid" value="<?php echo $objid; ?>" />
        				<tr>
        					<?php
							$fl->type = strtolower(substr($fl->type,-3));
							?>
							<td rowspan="2" style="width:<?php echo $ea_tbwidth; ?>px; text-align:center"><img src="<?php echo $mosConfig_live_site."/components/com_estateagent/gui/".$fl->type.".png"; ?>" alt="" border="0"><br />
							<?php echo _EA_GL_FILETYPE . $fl->type; ?></td>
    						<td>&nbsp;</td>
    						<td height="20px"><input type="text" class="inputbox" id="title" name="title" size="40" maxlength="50" value="<?php echo $fl->title; ?>"></td> 
    						<td rowspan="2" style="width:15%; text-align:center;text-valign:middle">
    						<?php                
                			if($i > 1) { ?>
        						<a href="gallery.php?action=orderup&objid=<?php echo $fl->objid; ?>&pid=<?php echo $fl->id;?>&css=<?php echo $css; ?>&uid=<?php echo $my->id; ?>">
        						<img src="<?php echo $mosConfig_live_site; ?>/administrator/images/uparrow.png" width="12" height="12" border="0" alt="<?php echo _EAB_OBJ_EGLPUP; ?>"></a>
        					<?php 
        					}else{
        			 			echo "&nbsp;";
                			}         		
        					if ($i < $pna) { ?>
        						<a href="gallery.php?action=orderdown&objid=<?php echo $fl->objid; ?>&pid=<?php echo $fl->id; ?>&css=<?php echo $css; ?>&uid=<?php echo $my->id; ?>">
        						<img src="<?php echo $mosConfig_live_site; ?>/administrator/images/downarrow.png" width="12" height="12" border="0" alt="<?php echo _EAB_OBJ_EGLPDW; ?>"></a>
        						<?php
        					}else{
        						echo "&nbsp;";
        					}
        					?>
    						<br /><br /><input type="button" class="button" style="width:100px" onclick="javascript:changeFiles('delete','<?php echo $i; ?>')" value="<?php echo _EA_GL_DELETEFILE; ?>" /><br />
    									<input type="button" class="button" style="width:100px" onclick="javascript:changeFiles('save','<?php echo $i; ?>')" value="<?php echo _EA_GL_SAVECHANGES;?>" /></td>
        				</tr>
  						<tr>
    						<td>&nbsp;</td>
    						<td valign="top"><textarea class="inputbox" id="description" name="description" cols="35" rows="3"><?php echo $fl->description; ?></textarea></td>    			
  						</tr>
  						</form>
  						</table>
  						</fieldset>
  					</td>
  				</tr>
  				<?php
       			$i++;
       			}
				echo "</table>";	
        	}
        
	break;
	
	case "preview":
		
		include($mosConfig_absolute_path."/components/com_estateagent/includes/gallery/show.gallery.html.php");		
		
	break;	
	
	default:
	case "start":
				
		?>	
		<div id="art" style="position:absolute; top:55px; left:0px; width:100%; height:300px; text-align:center;">
			<br /><br /><br /><br /><img src="<?php echo $mosConfig_live_site; ?>/components/com_estateagent/pictures/gui/ealogo.png" border="0" />
		</div>	
		<?php
		
	break;	
			
}

sitefooter();

?>