<?php
/**
* @version $Id: auth.php 4801 2006-08-28 16:10:28Z stingrey $
* @package Joomla
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*
* 29.01.2007 modified by Darko Selesi (www.misterestate.com) to fit the needs of the MisterEstate component
* File:		authEA.php
* Version:	1.1.0 Stable
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

$basePath 	= dirname( __FILE__ );
require( $basePath . '/../../../../globals.php' );

// $basepath reintialization required as globals.php will kill initial when RGs Emulation `Off` 
$basePath 	= dirname( __FILE__ );
require( $basePath . '/../../../../configuration.php' );
require( $basePath . '/../../../../administrator/components/com_estateagent/configuration.php' );

if (!defined( '_MOS_MAMBO_INCLUDED' )) {
	
	if(file_exists($mosConfig_absolute_path . "/includes/joomla.php")){
		$path = $basePath . '/../../../../includes/joomla.php';		 
		require( $path );
		$css  = mosGetParam( $_REQUEST, 'css', 'joomla_admin' );		
	}
	else{
		$path = $basePath . '/../../../../includes/mambo.php';		
		require( $path );
		$database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );
		$css  = mosGetParam( $_REQUEST, 'css', 'mambo_admin' );		
  	}

}

$uid 		= mosGetParam( $_REQUEST, 'uid', 0 );
$action		= mosGetParam( $_REQUEST, 'action', '');

// 1st security check: check referer host of this script
// if your server doesnt provide -> $_SERVER['HTTP_REFERER']
// please uncomment the following 5 lines.
// Theres a 2nd security check below.
#$referer 	= parse_url($_SERVER['HTTP_REFERER']);
#$site 		= parse_url($mosConfig_live_site);
#if( $action != "preview" && $action != "showMTG" && ($referer['host'] != $site['host']) ){
#	die( "<center>Sorry, no access to this source. Please log in!</center>" );	
#}

if($action != "showMTG") {

	// 2nd security check: check if theres a valid session for this userid 
	$session = false;
	$sql = "SELECT usertype, session_id as id FROM #__session WHERE userid='".$uid."'";
	$database->setQuery($sql);
	$database->loadObject($session);

	if( $session == false ){	
		die( "<center>Sorry, no access to this source. Please log in!</center>" );
	}
	else{
		if(!isset($my)){
			$my = new mosUser( $database );
		}
		$my->load($uid);
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );
		
		// 3rd security check: check usertype
		if( $session->usertype != "Super Administrator"
			&& $session->usertype != "Administrator"
			&& $session->usertype != "Manager"
			&& $my_groups[0] < $ea_usr_gid)
		{		
			die( "<center>Sorry, you dont have enough rights to access this source. !</center>" );
		}
	
		// update session timestamp
		$current_time = time();
		$query = "UPDATE #__session"
				. "\n SET time = '$current_time'"
		  		. "\n WHERE session_id = '$session->id'";
		$database->setQuery( $query );
		$database->query();
	}
}
?>