<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			install.estateagent.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
*************************************************************************** */


// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function com_install() {
	global $database, $mosConfig_live_site, $mosConfig_absolute_path;
	
	$msg ="<ul>";
	
	$database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/edit.png' WHERE admin_menu_link='option=com_estateagent&act=manageObj'");
  	if( $database->query() ) $msg .= "<li style='color:green'>Menu image 1 corrected successfull.</li>";   
  	$database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/categories.png' WHERE admin_menu_link='option=com_estateagent&act=manageCat'");
  	if( $database->query() ) $msg .= "<li style='color:green'>Menu image 2 corrected successfull.</li>";
  	$database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/config.png' WHERE admin_menu_link='option=com_estateagent&act=configEA'");
  	if( $database->query() ) $msg .= "<li style='color:green'>Menu image 3 corrected successfull.</li>";
  	$database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/credits.png' WHERE admin_menu_link='option=com_estateagent&act=EAinfo'");
  	if( $database->query() ) $msg .= "<li style='color:green'>Menu image 4 corrected successfull.</li>";
  	$database->setQuery("INSERT INTO #__categories (parent_id,title,name,section,description,published ) VALUES ('0', 'MisterEstate', 'EstateAgents', 'com_contact_details', 'ME Contacts','1')");
  	if( $database->query() ) $msg .= "<li style='color:green'>Added contact category 'EstateAgents' to contacts.</li>";

	$database->setQuery("INSERT INTO #__menu (menutype,name,link,type,published,parent,componentid,sublevel,ordering,checked_out,checked_out_time,pollid,browserNav,access,utaccess,params)
				 VALUES ('usermenu', 'MisterEstate - My Objects', 'index.php?option=com_estateagent&act=eaadmin', 'url', 1, 0, 0, 0, 9, 0, '0000-00-00 00:00:00', 0, 0, 1, 0, 'menu_image=-1')");
  	if( $database->query() ) $msg .= "<li style='color:green'>Added link to usermenu.</li>";
	    	
  	// make pictures directory writable	
  	if(chmod($mosConfig_absolute_path."/components/com_estateagent/pictures", 0777)) $msg .= "<li style='color:green'>Picture directory made writable</li>";	
 
	// copy menuimages 
  	$images = array("copy_f2.png","delete_f2.png","edit_f2.png","mediamanager.png","new_f2.png","publish_f2.png","unpublish_f2.png");
    
  	$x=0;
  	foreach($images as $i){
  		$source = $mosConfig_absolute_path."/administrator/images/".$i[$x];
  		$dest = $mosConfig_absolute_path."/images/".$i[$x];
  		if(!file_exists($dest)) {
  			if(@copy($source,$dest)) $msg .= "<li style='color:green'>Icon ".$x." copied successfull to /images directory.</li>";
  		}
  		$x++;
  	}
  	
  	$msg .= "</ul>";
?>
  
<div style="text-align:left">
	<img src='<?php echo $mosConfig_live_site;?>/components/com_estateagent/gui/ealogo.png' alt='go to the home of the MisterEstate' border='0'><br /><br />
	<br /><br />
	<span style="color:green">
  		<?php echo $msg;?><br /><br />
  	</span>
  	<b>Congratulations!</b><br />
  	<b>MisterEstate 1.1.0 Stable installed successfully!</b>
  <br /><br />
  Before you start to add your real estate objects,<br>please take a little time and...<br />
  <ol>
  	<li>create categories for your real estate objects</li>
  	<li>add your contact information to the Joomla <a href="<?php echo $mosConfig_live_site;?>/administrator/index2.php?option=com_contact" target="_blank">Contact Manager</a><br />
		(MisterEstate has created a special contact category called "EstateAgents". Please fill in your contact informations there.<br />
		ME needs this information to show your company's address and contact information at the frontend!)</li>
  	<li>then go to the <b>ME configuration</b> and:</b><br /><br /></li>
  			<ul>
				<li>select the right GD-library</li>
  				<li>set the image and thumbnail width, heigth and quality</li>
  				<li>set the gallery mode</li>
  				<li>set frontend permissions</li>
  				<li>check the other settings</li>
  				<li>if you wish to use the integrated <b>MAP24.com</b> support:<br />go to <a href="http://www.map24.com" target="_blank">MAP24.com</a> and create a chargefree <b>link2map</b> account</li>
  			</ul><br />
	<li><b>last but not least</b>: if you like MisterEstate and think, ME has saved you time and money:<br /><br />Please support the further development with a small donation.<br />
				It will help us to continue with developing free software like this for you and the JOOMLA! community!<br /><br /><b>Thank you!</b></li>
	</ol>
 </div>
<?php
}
?>