<?php

/* ************************************************************************************
MisterEstate - a Joomla Component

File:			user.estateagent.php
Copyright: 		2004 - 2007 by Darko Selesi
Homepage: 		http://www.misterestate.com
Created with: 	Eclipse 3.2.0 (http://www.eclipse.org)
			  	on RedHat/Fedora Linux (http://fedora.redhat.com)
License: 		GNU/GPL http://www.gnu.org/copyleft/gpl.html
*************************************************************************** */

# Don't allow direct linking
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if(file_exists($mosConfig_absolute_path."/components/com_estateagent/user.estateagent.html.php")) {
	require_once($mosConfig_absolute_path."/components/com_estateagent/user.estateagent.html.php");
}

function showEACPanel($option,$act,$task,$limit,$limitstart){
	global $mosConfig_absolute_path,$database,$acl,$my,$ea_picpath,$ea_usr_gid;
			
	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	// check contact data
	$cnt = null;
	$query = "SELECT * FROM #__contact_details WHERE user_id='".$my->id."'";
	$database->setQuery($query);
	$database->loadObject($cnt);

	if($cnt == null) mosRedirect( "index.php?option=com_estateagent&act=eaadmin&task=showMyCData", _EA_USR_NOCONTACT );
			
	$filter 		= trim(mosGetParam( $_REQUEST, 'filter', '' ));
	$slcat 			= mosGetParam( $_REQUEST, 'corder', '' );
	$filter 		= trim(mosGetParam( $_REQUEST, 'filter', '' ));
	$sort 			= mosGetParam( $_REQUEST, 'sort', 'ASC' );
	
	$where = "";						
	if(isset( $filter ) && $filter != "") {
		$where = " (o.obj_id LIKE '%$filter%'" .
						" OR o.title LIKE '%$filter%'" .
						" OR o.description LIKE '%$filter%'" .
						" OR o.condition LIKE '%$filter%'" .
						" OR o.street LIKE '%$filter%'" .
						" OR o.town LIKE '%$filter%'" .
						" OR o.district LIKE '%$filter%'" .
						" OR o.state LIKE '%$filter%'" .
						" OR o.country LIKE '%$filter%'" .	
						" OR o.other LIKE '%$filter%') AND";
	}	
	
	if($slcat != "") $where .= " o.cat = $slcat AND";				
				
	$query = "SELECT count(o.id)"
			. " FROM #__estateagent o"
			. " WHERE "
			. " $where "
			. " o.created_by='$my->id'";
	$database->setQuery($query);
	$total = $database->loadResult();    		
	#echo $database->getErrorMsg();
	#echo $query;
	
	include_once($mosConfig_absolute_path."/includes/pageNavigation.php");
	$pageNav = new mosPageNav( $total, $limitstart, $limit );

	$query = "SELECT o.id,o.obj_id,o.cat,o.title,o.country,o.state,o.town,o.district,o.hits,"
				. " o.publish_up,o.publish_down,o.publish,o.hot,c.name AS catname"
				. " FROM #__estateagent o, #__estateagent_categories c"
				. " WHERE c.id = o.cat $where"
				. " AND o.created_by=$my->id"
				. " ORDER BY o.id $sort LIMIT $limitstart,$limit";
	$database->setQuery($query);
	$objects = $database->loadObjectList();
	#echo $database->getErrorMsg();

	$query = "SELECT id, name"
			. " FROM #__estateagent_categories"
			. " WHERE parent = 0 ORDER BY ordering";
	$database->setQuery($query);
	$cats = $database->loadObjectList();
	#echo $database->getErrorMsg();

	$i = 0;
	$catoption[$i] = mosHTML::makeOption( '', _EAB_CAT_OPT );
	foreach($cats as $cat) {
		$i++;
		$catoption[$i] = mosHTML::makeOption( $cat->id, $cat->name );

		$query = "SELECT id, name"
				. " FROM #__estateagent_categories"
				. " WHERE parent = $cat->id ORDER BY ordering";
		$database->setQuery($query);
		$scats = $database->loadObjectList();

		foreach($scats as $scat) {
			$i++;
			$catoption[$i] = mosHTML::makeOption( $scat->id, "&nbsp;'-->".$scat->name );
		}						
	}		
	$corder = mosHTML::selectList($catoption,'corder','size="1" class="inputbox" style="width:170px" onchange="document.adminForm.submit()"','value','text', $slcat);

	$opt[] = mosHTML::makeOption( 'ASC', _EAB_SORT_OPT1 );			
	$opt[] = mosHTML::makeOption( 'DESC', _EAB_SORT_OPT2 );
	$sort = mosHTML::selectList($opt, 'sort', 'size="1" class="inputbox" style="width:105px;" onchange="document.adminForm.submit()"','value','text', $sort);

	$params['picpath'] = $ea_picpath;
			
	HTML_ea_userfrontend::showMyObjects($option,$act,$task,$objects,$cats,$filter,$corder,$sort,$pageNav,$params);
	
}

function editMyEAObject($option,$act,$task,$id,$cid,$limit,$limitstart){
	global $database,$acl,$my,$mosConfig_live_site;
	global $ea_autoindex,$ea_measure,$ea_currency,$ea_picpath,$ea_maxobjects,$ea_usr_gid;
	
	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	$query = "SELECT count(id) FROM #__estateagent WHERE created_by='$my->id'";
	$database->setQuery($query);
	$total = $database->loadResult();

	if($task=="new" && ($ea_maxobjects > 0 && $total >= $ea_maxobjects)){
	
		$msg = _EA_USR_NONEWOBJECTS;
		mosRedirect( "index.php?option=com_estateagent&act=eaadmin", $msg );

	}else{
	
		$obj = new EAObject( $database );

		if($task == "edit") {
			if($id == 0) $obj->load($cid[0]);
			else $obj->load($id);
			$action = '<input type="hidden" name="id" id="id" value="' . $obj->id .'" />';
			$action .= _EAB_OBJ_EDIT;
		}
		else{
		
			$query = "SELECT id FROM #__estateagent ORDER BY id ASC";
			$database->setQuery($query);
			$result = $database->loadResultArray();

			if(count($result) == 0 || $result == "") $obj->id = 1;
			else $obj->id = (end($result) + 1);
            
            if($ea_autoindex){
                $d = date(GisjmY);
                $obj->obj_id = "EA".$d;    
            }
            
			$action = '<input type="hidden" name="cid" id="cid" value="' . $obj->id .'" />';
			$action .= _EAB_OBJ_NEW;
			$obj->publish = 0;
		}

		// make categories html selectlist
		$query = "SELECT id, name"
				. " FROM #__estateagent_categories"
				. " WHERE parent=0"
				. " ORDER BY ordering";
		$database->setQuery($query);
		$maincats = $database->loadObjectList();
		#echo $database->getErrorMsg();

		$c[] = mosHTML::makeOption( '0', _EAB_CAT_OVW );
		foreach($maincats as $maincat) {       			         	
			$c[] = mosHTML::makeOption( $maincat->id, $maincat->name );			

			// let`s look for subcategories
			$query = "SELECT id, name"
					. " FROM #__estateagent_categories"
					. " WHERE parent=$maincat->id"
					. " ORDER BY ordering";
			$database->setQuery($query);
			$subcats = $database->loadObjectList();						

			foreach($subcats as $subcat) {									
				$c[] = mosHTML::makeOption( $subcat->id, "&nbsp;'->&nbsp;" . $subcat->name );
			}		
		}           	
		$lists['categories'] = mosHTML::selectList( $c, 'cat', 'class="inputbox" size="1" ', 'value', 'text', $obj->cat );

		$t[] = mosHTML::makeOption('0',_EAB_OBJ_TYPE1);
		$t[] = mosHTML::makeOption('1',_EAB_OBJ_TYPE2);
		$t[] = mosHTML::makeOption('2',_EAB_OBJ_TYPE3);
		$t[] = mosHTML::makeOption('3',_EAB_OBJ_TYPE4);
		$t[] = mosHTML::makeOption('4',_EAB_OBJ_TYPE5);
		$lists['type'] = mosHTML::selectList($t,'type','id="type" class="inputbox" size="1" onChange="javascript:changeGUI(document.getElementById(\'type\').selectedIndex);" ', 'value', 'text', $obj->type );

		$obj->lift				= mosEAHTML::checkbox( 'lift', 'class="inputbox"', '1', '', 0, $obj->lift );
		$obj->handicap			= mosEAHTML::checkbox( 'handicap', 'class="inputbox"', '1', '', 0, $obj->handicap );
		$obj->toheat_ufloor		= mosEAHTML::checkbox( 'toheat_ufloor', 'class="inputbox"', '1', '', 0, $obj->toheat_ufloor );
		$obj->fireside			= mosEAHTML::checkbox( 'fireside', 'class="inputbox"', '1', '', 0, $obj->fireside );
		$obj->aircondition		= mosEAHTML::checkbox( 'aircondition', 'class="inputbox"', '1', '', 0, $obj->aircondition );	
		$obj->tv				= mosEAHTML::checkbox( 'tv', 'class="inputbox"', '1', '', 0, $obj->tv );
		$obj->dsl				= mosEAHTML::checkbox( 'dsl', 'class="inputbox"', '1', '', 0, $obj->dsl );
		$obj->balcony			= mosEAHTML::checkbox( 'balcony', 'class="inputbox"', '1', '', 0, $obj->balcony );   			
		$obj->terrace			= mosEAHTML::checkbox( 'terrace', 'class="inputbox"', '1', '', 0, $obj->terrace );
		$obj->garden			= mosEAHTML::checkbox( 'garden', 'class="inputbox"', '1', '', 0, $obj->garden );
		$obj->swpool			= mosEAHTML::checkbox( 'swpool', 'class="inputbox"', '1', '', 0, $obj->swpool );
		$obj->parkarea			= mosEAHTML::checkbox( 'parkarea', 'class="inputbox"', '1', '', 0, $obj->parkarea );   			
		$obj->garage			= mosEAHTML::checkbox( 'garage', 'class="inputbox"', '1', '', 0, $obj->garage );   			
		$obj->hot				= mosEAHTML::checkbox( 'hot', 'class="inputbox"', '1', '', 0, $obj->hot );   			

		// get object images and generate gallery HTML-code
		$gl = "";
		$pics = $obj->loadPictures($obj->id,1); 
		if(count($pics) > 0) { 
			$c = 2;
			foreach($pics as $pic) {
				if($c%2 == 0) $gl .= "<tr>";   						
				$pic->path = ($pic->path == "")? $ea_picpath : $pic->path;
				$gl .= "<td style=\"width:50%; text-align:center\"><img src=\"".$mosConfig_live_site.$pic->path.$pic->fname.$pic->type."\" width=\"250px\" border=\"0\" /></td>";  					
				if($c%2 != 0) $gl .= "</tr>";
				$c++;
			}
			if(count($pics)%2 != 0) $gl .= "<td>&nbsp;</td></tr>";
		}	
		else {
			$gl = "<tr><td>" . _EAB_OBJ_NOIMG . "</td></tr>";
		}
	
		$lists['countries'] = mosHTML::selectList( $obj->countrySelectList(), 'country', 'class="inputbox" size="1"', 'value', 'text', $obj->country );
		
		$obj->created_by = intval( $obj->created_by ) ? intval( $obj->created_by ) : $my->id;
		$obj->created = $obj->created == "0000-00-00" ? date( "Y-m-d" ) : $obj->created;
		$obj->publish = mosEAHTML::checkbox( 'publish', 'class="inputbox"', '1', '', 0, $obj->publish ); 
   			
		if($task == "new"){
			$obj->publish_up = date( "Y-m-d" );
			$obj->publish_down = '0000-00-00';
		}
		
		$sql = "SELECT template FROM #__templates_menu WHERE client_id='1' AND menuid='0'";
		$database->setQuery( $sql );
	
		$params['cur_templ']  = $database->loadResult();
		$params['measure'] 	  = $ea_measure;
		$params['currency']   = $ea_currency;
		$params['picpath']	  = $ea_picpath;
	
	   	HTML_ea_userfrontend::editMyObjects($option,$act,$task,$action,$obj,$gl,$lists,$params);
	}

}

function resetMyCounter($option,$act,$task,$id){
	global $database,$mosConfig_live_site,$acl,$my,$ea_usr_gid;

	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	$obj = new EAObject($database);
	$obj->load($id);
			
	$obj->hits = 0;
	$obj->store();
			  
	$msg = _EAB_OBJ_RESETCNT_SUCCESS;
	mosRedirect( "index.php?option=com_estateagent&act=eaadmin&task=edit&id=".$obj->id, $msg );

}

function publishMyEAObject($option,$act,$task,$cid,$limit,$limitstart) {
	global $database,$acl,$my,$ea_usr_gid;
	
	if (count( $cid ) < 1) {
    	$action = $publish ? 'publish' : 'unpublish';
    	echo "<script> alert('Select an object to $action'); window.history.go(-1);</script>\n";
    	exit;
    }
   
    $cids = implode( ',', $cid );
   
   	$publish = ($task == "publish")? "1" : "0";
			
  	$database->setQuery( "UPDATE #__estateagent SET publish=$publish WHERE id IN ( $cids )" );
  	$database->query();
  			
  	if($database->getErrorMsg() == "") $msg = _EAB_OBJ_SCSS;
	else $msg = _EAB_OBJ_ERROR;
			
	mosRedirect( "index.php?option=com_estateagent&act=eaadmin&limitstart=$limitstart&limit=$limit", $msg );
			
}

function cloneMyEAObject($option,$act,$task,$cid,$limit,$limitstart) {
	global $database,$acl,$my,$ea_usr_gid,$ea_usr_autoverify,$ea_maxobjects;
	
	if (count( $cid ) < 1) {
    	$action = $publish ? 'verify' : 'unverify';
    	echo "<script> alert('Select an object to $action'); window.history.go(-1);</script>\n";
    	exit;
    }
	
	$query = "SELECT count(id) FROM #__estateagent WHERE created_by='$my->id'";
	$database->setQuery($query);
	$total = $database->loadResult();

	if($ea_maxobjects > 0 && $total >= $ea_maxobjects){
	
		$msg = _EA_USR_NONEWOBJECTS;
		mosRedirect( "index.php?option=com_estateagent&act=eaadmin", $msg );

	}else{ 	        	
    
    	foreach($cid as $id) {
    		$obj = new EAObject( $database );	
    		$obj->load($id);
    		$title = _EAB_OBJ_COPY . $obj->title; 
    		$obj->set("title",$title);
    		$obj->set("id",0);
    		if($ea_usr_autoverify){
    			$obj->set("verified",1);
    		}
    		else{
    			$obj->set("verified",'-1');
    		}
    		$obj->store();        		
    	}
	}
           	
    mosRedirect( "index.php?option=com_estateagent&act=eaadmin&limitstart=$limitstart&limit=$limit" );
	
}

function saveMyEAObject($option,$act,$task,$cid,$limit,$limitstart){
	global $database,$acl,$my,$ea_usr_notification,$ea_usr_autoverify,$ea_usr_gid;
	
	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	$obj = new EAObject( $database );
    		      		
    if (!$obj->bind( $_POST )) {
    	echo "<script> alert('".$obj->getError()."'); window.history.go(-1); </script>\n";
    	exit();
    }
   	$obj->id 				= $cid[0] > 0 ? "" : $obj->id;
   	$obj->description 		= str_replace( '<br>', '<br />', $obj->description );
  	$obj->description		= strip_tags($obj->description,"<br />,<b>,</b>,<i>,</i>,<p>,</p>");
	$obj->location			= str_replace( '<br>', '<br />', $obj->location );
	$obj->location			= strip_tags($obj->location,"<br />,<b>,</b>,<i>,</i>,<p>,</p>");
  	$obj->condition 		= str_replace( '<br>', '<br />', $obj->condition );
	$obj->condition			= strip_tags($obj->condition,"<br />,<b>,</b>,<i>,</i>,<p>,</p>");
  	$obj->other  			= str_replace( '<br>', '<br />', $obj->other );
	$obj->other				= strip_tags($obj->other,"<br />,<b>,</b>,<i>,</i>,<p>,</p>");
	$obj->created			= $obj->created ? $obj->created : date( "Y-m-d" );
  	$obj->created_by    	= $obj->created_by != 0 ? $obj->created_by : $my->id;
  	if($ea_usr_autoverify){
        $obj->verified = 1;    
    }
    else{
        $obj->verified = '-1';
    }    
    
	if (!$obj->check()) {
    	echo "<script> alert('".$obj->getError()."'); window.history.go(-1); </script>\n";
    	exit();
    }
    if (!$obj->store()) {
    	echo "<script> alert('".$obj->getError()."'); window.history.go(-1); </script>\n";
    	exit();
    }
	
   	mosRedirect("index.php?option=com_estateagent&act=eaadmin");
	
}

function removeMyEAObject($option,$act,$task,$cid,$limit,$limitstart){
	global $database,$acl,$my,$ea_usr_gid;

	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	$msg = _EAB_OBJ_DELSCSS;
			
	$total = count( $cid );
 	if ( $total < 1) {
    	echo "<script> alert('"._EAB_OBJ_ERROR16."'); window.history.go(-1);</script>\n";
    	exit;
    }
	if(count($cid) < 1){
		$cid[0] = $id;
	}			
			
	foreach($cid as $o){							
		$obj = new EAObject($database);
		//delete object images
		$images = $obj->getObjectImages($o);							
		foreach($images as $i) {								
			$img = new EAImage($database);
			$img->load($i);
			$img->delete();
		}
		if(!$obj->delete($o)) $msg = _EAB_OBJ_DELERROR;
	}
				
	mosRedirect( "index.php?option=com_estateagent&act=eaadmin", $msg );

}

function showMyCData($option,$act,$task){
	global $database,$acl,$my,$ea_usr_gid;
	
	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	$contact = null;
	$query = "SELECT * FROM #__contact_details WHERE user_id='".$my->id."'";
	$database->setQuery($query);
	$database->loadObject($contact);
	
	if($contact == null){
		// init new
		$contact->id = 0;
		$contact->name = "";
		$contact->address = "";
		$contact->postcode = "";
		$contact->suburb = "";
		$contact->state = "";
		$contact->country = "";
		$contact->telephone = "";
		$contact->fax = "";
		$contact->email_to = "";
	}

	HTML_ea_userfrontend::showMyData($option,$act,$task,$contact);

}

function saveMyCData($option,$act,$task){
	global $database,$acl,$my,$ea_usr_gid;
	
	if(!$my->id) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	else {
		$my_groups = $acl->get_object_groups( 'users', $my->id, 'ARO' );		
		if($my_groups[0] < $ea_usr_gid) mosRedirect( "index.php?option=com_estateagent", _NOT_AUTH );
	}
	
	// security checks
	$cnt['name']       = strip_tags($_POST['name']);
	$cnt['address']    = strip_tags($_POST['address']);
	$cnt['postcode']   = strip_tags($_POST['postcode']);
	$cnt['suburb']     = strip_tags($_POST['suburb']);
	$cnt['state']      = strip_tags($_POST['state']);
	$cnt['country']    = strip_tags($_POST['country']);
	$cnt['telephone']  = strip_tags($_POST['telephone']);
	$cnt['fax']        = strip_tags($_POST['fax']);
	$cnt['email_to']   = strip_tags($_POST['email_to']);
	$cnt['user_id']    = strip_tags($_POST['user_id']);
	
	
		
	if($_POST['id']==0){
		
		$query = "SELECT id FROM #__categories WHERE title='EstateAgents' or name='EstateAgents'";
		$database->setQuery($query);
		$id = $database->loadResult();	
	
		$query = "INSERT INTO #__contact_details"
				. "\n (name,address,postcode,suburb,state,country,telephone,fax,email_to,user_id,published,catid)"
				. "\n VALUES('".$cnt['name']."','".$cnt['address']."','".$cnt['postcode']."','".$cnt['suburb']."','".$cnt['state']."','".$cnt['country']."',"
				. "\n '".$cnt['telephone']."','".$cnt['fax']."','".$cnt['email_to']."','".$cnt['user_id']."',1,$id)";
	}
	else{
		$query = "UPDATE #__contact_details"
				. "\n SET name='".$cnt['name']."', address='".$cnt['address']."', postcode='".$cnt['postcode']."',"
				. "\n suburb='".$cnt['suburb']."', state='".$cnt['state']."', country='".$cnt['country']."',"
				. "\n telephone='".$cnt['telephone']."', fax='".$cnt['fax']."', email_to='".$cnt['email_to']."' WHERE id='".$_POST['id']."'";
	}
	$database->setQuery($query);
	$result = $database->query();
	#echo $query;
	
    mosRedirect("index.php?option=com_estateagent&act=eaadmin&task=showMyCData");

}

?>