<?php
//EA Latest//
// Latest EstateAgent Object Module Image and Title
// Author: Andre Klinkhamer
// Url: www.kroatie-vakanties.com
// Created: 19.03.2006
// A lot of help with the horizontal part from JW Reimelink (internet buddy and coding friend).
// All rights reserved
// Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
// Version: 1.0

# Module Parameter Settings
	$moduleclass_sfx 		    = $params->get( 'moduleclass_sfx' );
	$showbgcolor				= $params->get( 'showbgcolor', 1 );
  	$linecolor1 				= $params->get( 'linecolor1', '#FFFFFF' );
  	$linecolor2 				= $params->get( 'linecolor2', '#EBE7E7' );
  	$limit	 					= $params->get( 'limit', '5' );
  	$limithor 					= $params->get( 'limithor', '3' );
	$showtitle                  = $params->get( 'showtitle', 1 );
	$alignment					= $params->get( 'alignment', 1 );
	

### DONT EDIT BELOW THIS LINE #################################################

# Don't allow direct acces to the file
  defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$today =  mosCurrentDate( $format="%Y-%m-%d" );
$content = "";

	# Set up database query
	$query = "SELECT id, cat, title, publish, publish_up, publish_down
					FROM #__estateagent 
					WHERE "
	                . "\n ("
					. "\n ((publish_up >= '0000-00-00' AND publish_up <= '$today') AND publish_down >= '$today')"
	       			. "\n OR ((publish_up >= '0000-00-00' AND publish_up <= '$today' ) AND (publish_down = '0000-00-00' OR publish_down >= '$today'))"
	       			. "\n OR (publish_up = '0000-00-00' AND publish_down = '0000-00-00')"
	       			. "\n )"
					. " AND publish=1 ORDER BY id DESC LIMIT $limit"; 

	# Query the database       
	$database->setQuery( $query );
	$rows = $database->loadObjectList();

# ***********************************START OF VERTICAL PART*****************************************
if ($alignment == 1) {
	$i=0;

	# Put the output on screen
	$content .="<table width=\"100%\" class=\"moduletable\"".$moduleclass_sfx."\">";
	$content .="<tr><td>";

	foreach($rows as $row) {
		# Set up database query for images
		$query1 = "SELECT id, path, fname, type, ordering, publish
		FROM #__estateagent_images
		WHERE objid='$row->id' AND ordering=1";

		# Query the database for images
		$img = "";
		$database->setQuery( $query1 );
		$database->loadObject($img);

		# build image path
		$imgpath = $mosConfig_live_site . $img->path . "t" . $img->fname . $img->type;
		$RowColor = $i%2?"$linecolor1":"$linecolor2";

		if ($showbgcolor == 1) {
			$content .= "<table width=\"100%\" style=\"background-color:$RowColor\" cellpadding=\"2\" cellspacing=\2\" border=\"0\">";
		} else {
			$content .= "<table width=\"100%\" cellpadding=\"2\" cellspacing=\2\" border=\"0\">";
		}
			
		$content .= "<tr>";
		$content .= "<td valign=\"top\" style=\"text-align:center\"><a href=\"".sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$row->id)."\"><img src='$imgpath'/></a></td></tr>";
	
		if ( $showtitle ) {
			$content .= "<tr>";
			$content .= "<td style=\"text-align:center\"><a href=\"".sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=".$row->id)."\"><font size='2'><b>".$row->title."</b></font></a>";
		}
		$content .= "</td></tr></table>";
	
		$i++;
	}

	$content .="</td></tr></table>";
# ***********************************START OF HORIZONTAL PART*****************************************
} else {
	# Make up a table
	$tel=1; //init celcounter
	$i=0;

	# Put the output on screen
	$content .="<table width=\"100%\" class=\"moduletable\"".$moduleclass_sfx."\">";
	$content.="<tr>";  //begin de tabel

	foreach($rows as $row) {
		$query1 = "SELECT id, path, fname, type, ordering, publish
				   FROM #__estateagent_images
				   WHERE objid='$row->id' AND ordering=1";
				
		# Query the database for images
		$img = "";
		$database->setQuery( $query1 );
		$database->loadObject($img);

		#build image path
		$imgpath = $mosConfig_live_site . $img->path . "t" . $img->fname . $img->type;

		// bepaal de volgende positie adhv de row-counter :volgende cel of nwe regel
		$i = $tel ;
		$pos = fmod($i,$limithor+1);  // moet nog getuned worden, eerst maar eens iets naast elkaar zien !
		if ( $pos <= 0 ) {
			$content.= "</tr><tr>" ; // begin een nieuwe rij van de te tonen tabel
		}

		$content.="<td width=\"120\" height=\"100\" style=\"text-align:center\">";                    // begin celcode
		$content.= "<a href=\"" . sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=" 
				. $row->id)."\"><img src='$imgpath'/></a>";

		if ( $showtitle ) {
			$content .= "<br/>";
			$content .="<a href=\"" . sefRelToAbs("index.php?option=com_estateagent&act=object&task=showEO&id=" 
					 . $row->id) . "\"><font size='2'><b>"
					 . $row->title."</b></font></a>";
		}

		$content .="</td>" ;                                              //einde  celcode

		$tel++ ;  // volgende row uit de query
	}
	$content .= "</tr></table>"; //einde tabel
}
?>